<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
  <xsl:output method='text'/>
	

  <xsl:template match='/'>
  	<xsl:variable name="roid" select="/oo/@ro"/>
  	<xsl:choose>
  		<xsl:when test="/oo/d[@ro=$roid]!=''"><xsl:apply-templates select="/oo/d[@ro=$roid]"/></xsl:when>
  		<xsl:otherwise><xsl:apply-templates select="/oo/d[@ro='-1']"/></xsl:otherwise>
  	</xsl:choose>
  </xsl:template>

  <xsl:template match='d'>
    <xsl:variable name='scope'>
      <xsl:choose>
        <xsl:when test='i/gb="GB"'>4</xsl:when>
        <xsl:when test='i/gb="B"'>5</xsl:when>
        <xsl:when test='sc/text()="GROUP"'>1</xsl:when>
        <xsl:when test='sc/text()="BRANCH"'>2</xsl:when>
        <xsl:when test='sc/text()="ALL"'>3</xsl:when>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name='wCount' select='count(ww[not(@b)]/w)'/>

    <xsl:if test='$scope=3'>select * from ( </xsl:if>

    <xsl:apply-templates select='ss[not(@b)]'>
      <xsl:with-param name='scope' select='$scope'/>
    </xsl:apply-templates>
    <xsl:apply-templates select='tt[not(@b)]'/>
    <xsl:apply-templates select='ww[not(@b)]'>
      <xsl:with-param name='scope' select='$scope'/>
      <xsl:with-param name='wCount' select='$wCount'/>
    </xsl:apply-templates>
    <xsl:apply-templates select='tt[not(@b)]/j'>
      <xsl:with-param name='scope' select='$scope'/>
      <xsl:with-param name='wCount' select='$wCount'/>
    </xsl:apply-templates>
    <xsl:apply-templates select='gg[not(@b)]'/>
    <xsl:if test='$scope=3'>
      <xsl:text>) t union (&#10;</xsl:text>
      <xsl:apply-templates select='ss[@b]'>
        <xsl:with-param name='scope' select='2'/>
      </xsl:apply-templates>
      <xsl:apply-templates select='tt[@b]'/>
      <xsl:apply-templates select='ww[@b]'>
        <xsl:with-param name='scope' select='2'/>
        <xsl:with-param name='wCount' select='$wCount'/>
      </xsl:apply-templates>
      <xsl:apply-templates select='tt[@b]/j'>
        <xsl:with-param name='scope' select='2'/>
        <xsl:with-param name='wCount' select='$wCount'/>
      </xsl:apply-templates>
      <xsl:apply-templates select='gg[@b]'/>
    </xsl:if>
    <xsl:apply-templates select='e[@b]'/>
    <xsl:if test='$scope=3'>) </xsl:if>
    <xsl:apply-templates select='oo'/>
    <xsl:call-template name='variables'/>
  </xsl:template>

  <xsl:template match='ss'>
    <xsl:param name='scope'/>
    <xsl:text>select&#10;</xsl:text>
    <xsl:for-each select='s'>
      <xsl:choose>
        <xsl:when test='text()="SCOPE"'>
          <xsl:choose>
            <xsl:when test='$scope=2'>
              <xsl:text>'Branch' as "SCOPE"</xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:text>'Group' as "SCOPE"</xsl:text>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <xsl:otherwise><xsl:value-of select='.'/></xsl:otherwise>
      </xsl:choose>
      <xsl:if test='position()!=last()'>,</xsl:if>
      <xsl:text>&#10;</xsl:text>
    </xsl:for-each>
  </xsl:template>

  <xsl:template match='tt'>
    <xsl:text>from&#10;</xsl:text>
    <xsl:for-each select='t'>
      <xsl:value-of select='.'/>
      <xsl:if test='position()!=last()'>,</xsl:if>
      <xsl:text>&#10;</xsl:text>
    </xsl:for-each>
  </xsl:template>

  <xsl:template match='ww'>
    <xsl:param name='scope'/>
    <xsl:param name='wCount'/>
    <xsl:variable name='gbTable' select='../tt/t[@gb]/text()'/>
    <xsl:variable name='gbAlias'>
      <xsl:call-template name='getAlias'><xsl:with-param name='table' select='$gbTable'/></xsl:call-template>
    </xsl:variable>
    <xsl:if test='$wCount!=0 or $scope!=4'><xsl:text> where&#10;</xsl:text></xsl:if>
    <xsl:if test='$scope!=4'>
      <xsl:if test='$gbAlias!=""'><xsl:value-of select='$gbAlias'/>.</xsl:if><xsl:text>GRID=:GRID&#10;</xsl:text>
    </xsl:if>
    <xsl:if test='$wCount!=0 and $scope!=4'>
	 	<xsl:choose>
			<xsl:when test='w[1]/@o'> or </xsl:when>
			<xsl:otherwise> and </xsl:otherwise>
		</xsl:choose>
    </xsl:if>
    <xsl:for-each select='w'>
      <xsl:variable name='bind'>
        <xsl:if test='@b'><xsl:value-of select='@b'/>$$<xsl:value-of select='position()'/></xsl:if>
      </xsl:variable>
      <xsl:variable name='op'>
        <xsl:choose>
          <xsl:when test='@o'> or </xsl:when>
          <xsl:otherwise> and </xsl:otherwise>
        </xsl:choose>
      </xsl:variable>
      <xsl:variable name='not'>
        <xsl:if test='@nt'>not</xsl:if>
      </xsl:variable>
      <xsl:variable name='null'>
        <xsl:if test='@null'>y</xsl:if>
      </xsl:variable>
      <xsl:value-of select='$not'/><xsl:text>(</xsl:text>
      <xsl:for-each select='f'>
        <xsl:variable name='currCol' select='@n'/>
        <xsl:variable name='currVar'>
          <xsl:choose>
            <xsl:when test='text()!=""'><xsl:value-of select='text()'/></xsl:when>
            <xsl:otherwise><xsl:value-of select='preceding-sibling::node()[position()=last()]'/></xsl:otherwise> <!--select text() from the first f node -->
          </xsl:choose>
        </xsl:variable>
        <xsl:variable name='varName'>
          <xsl:choose>
            <xsl:when test='$bind!=""'><xsl:value-of select='$bind'/></xsl:when>
            <xsl:when test='contains($currCol,".")'>
              <xsl:value-of select='substring-after($currCol,".")'/><xsl:text>$</xsl:text><xsl:number level='any'/>
            </xsl:when>
            <xsl:otherwise><xsl:value-of select='$currCol'/><xsl:text>$</xsl:text><xsl:number level='any'/></xsl:otherwise>
          </xsl:choose>
        </xsl:variable>
        <xsl:variable name='in'>
          <xsl:if test='contains($currVar,",,")'>y</xsl:if>
        </xsl:variable>
        <xsl:variable name='between1' select='substring-before($currVar,"::")'/>
        <xsl:variable name='between2' select='substring-after($currVar,"::")'/>
        <xsl:variable name='like' select='substring-before($currVar,"++")'/>
        <xsl:if test='position()!=1'>
          <xsl:choose>
            <xsl:when test='$not!=""'> and </xsl:when> <!--case 4,6,8-->
            <xsl:otherwise><xsl:value-of select='$op'/></xsl:otherwise>
          </xsl:choose>
        </xsl:if>
        <xsl:choose>
          <xsl:when test='$not!=""'> <!--case 4,6,8-->
            <xsl:text>(</xsl:text><xsl:value-of select='$currCol'/>
            <xsl:choose>
              <xsl:when test='$null="y"'> <!--case 4,8-->
                <xsl:choose>
                  <xsl:when test='$currVar=""'><xsl:text> is null</xsl:text></xsl:when> <!--case 4-->
                  <xsl:otherwise><xsl:text> is null or </xsl:text><xsl:value-of select='$currCol'/></xsl:otherwise> <!--case 8-->
                </xsl:choose>
              </xsl:when>
              <xsl:otherwise><xsl:text> is not null and </xsl:text><xsl:value-of select='$currCol'/></xsl:otherwise> <!--case 6-->
            </xsl:choose>
          </xsl:when>
          <xsl:otherwise> <!--case 3,5,7-->
            <xsl:value-of select='$currCol'/>
            <xsl:choose>
              <xsl:when test='$null="y"'> <!--case 3,7-->
                <xsl:choose>
                  <xsl:when test='$currVar=""'><xsl:text> is null</xsl:text></xsl:when> <!--case 3-->
                  <xsl:otherwise><xsl:text> is null or </xsl:text><xsl:value-of select='$currCol'/></xsl:otherwise> <!--case 7-->
                </xsl:choose>
              </xsl:when>
              <xsl:otherwise></xsl:otherwise> <!--case 5-->
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:choose>
          <xsl:when test='$in!=""'>
            <xsl:text> in (</xsl:text>
            <xsl:call-template name='inBinds'>
              <xsl:with-param name='bindName' select='$varName'/>
              <xsl:with-param name='bindList' select='$currVar'/>
              <xsl:with-param name='currNum' select='0'/>
            </xsl:call-template>
            <xsl:text>)</xsl:text>
          </xsl:when>
          <xsl:when test='$between1!=""'>
            <xsl:text> between :</xsl:text><xsl:value-of select='$varName'/><xsl:text>_bx_1 and :</xsl:text><xsl:value-of select='$varName'/><xsl:text>_bx_2</xsl:text>
          </xsl:when>
          <xsl:when test='$like!=""'>
            <xsl:text> like :</xsl:text><xsl:value-of select='$varName'/>
          </xsl:when>
          <xsl:when test='@nn'>
            <xsl:choose>
              <xsl:when test='@nn="y"'>
                <xsl:text> is not null </xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:text> is null </xsl:text>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:when>
          <xsl:otherwise>
            <xsl:if test='$currVar!=""'>
              <xsl:text>=:</xsl:text><xsl:value-of select='$varName'/>
            </xsl:if>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:if test='$not!=""'><xsl:text>)</xsl:text></xsl:if>
      </xsl:for-each>
      <xsl:text>)&#10;</xsl:text>
      <xsl:if test='position()!=last()'><xsl:text>and </xsl:text></xsl:if>
    </xsl:for-each>

    <xsl:for-each select='fw'>
      <xsl:text>and </xsl:text><xsl:value-of select='.'/>
    </xsl:for-each>
    <xsl:text>&#10;</xsl:text>
  </xsl:template>

  <xsl:template match='oo'>
    <xsl:text>order by&#10;</xsl:text>
    <xsl:for-each select='o'>
      <xsl:value-of select='.'/>
      <xsl:if test='position()!=last()'>,</xsl:if>
      <xsl:text>&#10;</xsl:text>
    </xsl:for-each>
  </xsl:template>

  <xsl:template match='gg'>
    <xsl:text>group by&#10;</xsl:text>
    <xsl:for-each select='g'>
      <xsl:value-of select='.'/>
      <xsl:if test='position()!=last()'>,</xsl:if>
      <xsl:text>&#10;</xsl:text>
    </xsl:for-each>
  </xsl:template>

  <xsl:template name='inBinds'>
    <xsl:param name='bindName'/>
    <xsl:param name='bindList'/>
    <xsl:param name='currNum'/>
    <xsl:choose>
      <xsl:when test='contains($bindList,",,")'>
        <xsl:text>:</xsl:text><xsl:value-of select='$bindName'/><xsl:text>_ib_</xsl:text><xsl:value-of select='$currNum'/><xsl:text>,</xsl:text>
        <xsl:call-template name='inBinds'>
          <xsl:with-param name='bindName' select='$bindName'/>
          <xsl:with-param name='bindList'>
            <xsl:value-of select='substring-after($bindList,",,")'/>
          </xsl:with-param>
          <xsl:with-param name='currNum' select='$currNum+1'/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>:</xsl:text><xsl:value-of select='$bindName'/><xsl:text>_ib_</xsl:text><xsl:value-of select='$currNum'/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match='j'>
    <xsl:param name='scope'/>
    <xsl:param name='wCount'/>
    <xsl:choose>
      <xsl:when test='$scope=4 and $wCount=0'><xsl:text>where&#10;</xsl:text></xsl:when>
      <xsl:otherwise><xsl:text>and </xsl:text></xsl:otherwise>
    </xsl:choose>
    <xsl:text>(</xsl:text><xsl:value-of select='.'/><xsl:text>)&#10;</xsl:text>
  </xsl:template>

  <xsl:template match='e'>
    <xsl:text>&#127;escape=</xsl:text><xsl:value-of select='.'/><xsl:text>&#10;</xsl:text>
  </xsl:template>

  <xsl:template name='variables'>
    <xsl:for-each select='ww/w'>
      <xsl:variable name='bind'>
        <xsl:if test='@b'><xsl:value-of select='@b'/>$$<xsl:value-of select='position()'/></xsl:if>
      </xsl:variable>
      <xsl:for-each select='f[not(@nn) and string-length(text())!=0]'>
        <xsl:variable name='currCol'>
          <xsl:value-of select='@n'/>$<xsl:number level='any'/>
        </xsl:variable>
        <xsl:variable name='currVar' select='.'/>
        <xsl:variable name='varName'>
          <xsl:choose>
            <xsl:when test='$bind!=""'><xsl:value-of select='$bind'/></xsl:when>
            <xsl:when test='contains($currCol,".")'>
              <xsl:value-of select='substring-after($currCol,".")'/>
            </xsl:when>
            <xsl:otherwise><xsl:value-of select='$currCol'/></xsl:otherwise>
          </xsl:choose>
        </xsl:variable>
        <xsl:variable name='in'>
          <xsl:if test='contains($currVar,",,")'>y</xsl:if>
        </xsl:variable>
        <xsl:variable name='between1' select='substring-before($currVar,"::")'/>
        <xsl:variable name='between2' select='substring-after($currVar,"::")'/>
        <xsl:choose>
          <xsl:when test='$in!=""'>
            <xsl:call-template name='inVars'>
              <xsl:with-param name='varName' select='$varName'/>
              <xsl:with-param name='varList' select='$currVar'/>
              <xsl:with-param name='currNum' select='0'/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test='$between1!=""'>
            <xsl:text>&#127;</xsl:text><xsl:value-of select='$varName'/>_bx_1=<xsl:value-of select='$between1'/>
            <xsl:text>&#10;&#127;</xsl:text>
            <xsl:value-of select='$varName'/>_bx_2=<xsl:value-of select='$between2'/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:text>&#127;</xsl:text><xsl:value-of select='$varName'/>=<xsl:value-of select='.'/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>&#10;</xsl:text>
      </xsl:for-each>
    </xsl:for-each>
  </xsl:template>

  <xsl:template name='inVars'>
    <xsl:param name='varName'/>
    <xsl:param name='varList'/>
    <xsl:param name='currNum'/>
    <xsl:choose>
      <xsl:when test='contains($varList,",,")'>
        <xsl:variable name='value' select='substring-before($varList,",,")'/>
        <xsl:text>&#127;</xsl:text><xsl:value-of select='$varName'/><xsl:text>_ib_</xsl:text><xsl:value-of select='$currNum'/><xsl:text>=</xsl:text><xsl:value-of select='$value'/><xsl:text>&#10;</xsl:text>
        <xsl:call-template name='inVars'>
          <xsl:with-param name='varName' select='$varName'/>
          <xsl:with-param name='varList'>
            <xsl:value-of select='substring-after($varList,",,")'/>
          </xsl:with-param>
          <xsl:with-param name='currNum' select='$currNum+1'/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>&#127;</xsl:text><xsl:value-of select='$varName'/><xsl:text>_ib_</xsl:text><xsl:value-of select='$currNum'/><xsl:text>=</xsl:text><xsl:value-of select='$varList'/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name='getAlias'>
    <xsl:param name='table'/>
    <xsl:choose>
      <xsl:when test='contains($table," ")'>
        <xsl:call-template name='getAlias'>
          <xsl:with-param name='table' select='substring-after($table," ")'/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise><xsl:value-of select='$table'/></xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>