<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

	<xsl:variable name="account_info_id"><xsl:apply-templates select="/d/cc/c[.='ACCOUNT_INFO_ID']/@h"/></xsl:variable>
	<xsl:variable name="login_user_id"><xsl:apply-templates select="/d/cc/c[.='LOGIN_USER_ID']/@h"/></xsl:variable>
	<xsl:variable name="login_user_name"><xsl:apply-templates select="/d/cc/c[.='LOGIN_USER_NAME']/@h"/></xsl:variable>
	<xsl:variable name="job_title"><xsl:apply-templates select="/d/cc/c[.='JOB_TITLE']/@h"/></xsl:variable>
	<xsl:variable name="dept_num"><xsl:apply-templates select="/d/cc/c[.='DEPT_NUM']/@h"/></xsl:variable>
	<xsl:variable name="pending_hire_date"><xsl:apply-templates select="/d/cc/c[.='PENDING_HIRE_DATE']/@h"/></xsl:variable>	
	<xsl:variable name="hire_date"><xsl:apply-templates select="/d/cc/c[.='HIRE_DATE']/@h"/></xsl:variable>	
	<xsl:variable name="contract_end_date"><xsl:apply-templates select="/d/cc/c[.='CONTRACT_END_DATE']/@h"/></xsl:variable>	
	<xsl:variable name="termination_date"><xsl:apply-templates select="/d/cc/c[.='TERMINATION_DATE']/@h"/></xsl:variable>	
	<xsl:variable name="creation_date"><xsl:apply-templates select="/d/cc/c[.='CREATION_DATE']/@h"/></xsl:variable>	
	<xsl:variable name="po_num"><xsl:apply-templates select="/d/cc/c[.='PO_NUM']/@h"/></xsl:variable>
	<xsl:variable name="start_date"><xsl:apply-templates select="/d/cc/c[.='START_DATE']/@h"/></xsl:variable>	
	<xsl:variable name="end_date"><xsl:apply-templates select="/d/cc/c[.='END_DATE']/@h"/></xsl:variable>	
	<xsl:variable name="po_total_hours"><xsl:apply-templates select="/d/cc/c[.='PO_TOTAL_HOURS']/@h"/></xsl:variable>
	<xsl:variable name="bill_rate"><xsl:apply-templates select="/d/cc/c[.='BILL_RATE']/@h"/></xsl:variable>
	<xsl:variable name="benefits_rate"><xsl:apply-templates select="/d/cc/c[.='BENEFITS_RATE']/@h"/></xsl:variable>
	<xsl:variable name="pay_rate"><xsl:apply-templates select="/d/cc/c[.='PAY_RATE']/@h"/></xsl:variable>
	<xsl:variable name="active"><xsl:apply-templates select="/d/cc/c[.='ACTIVE']/@h"/></xsl:variable>
	<xsl:variable name="supervisors_info"><xsl:apply-templates select="/d/cc/c[.='SUPERVISORS_NAMES']/@h"/></xsl:variable>
	<xsl:variable name="projects_info"><xsl:apply-templates select="/d/cc/c[.='PROJECTS_NAMES']/@h"/></xsl:variable>
	<xsl:variable name="invoiced" select="format-number(sum(/d/invoice/rr/r/@e),$FormatHour,'non')"/>
	<xsl:variable name="hiring_manager"><xsl:apply-templates select="/d/cc/c[.='HIRING_MANAGER']/@h"/></xsl:variable>
	<xsl:variable name="insurance"><xsl:apply-templates select="/d/cc/c[.='INSURANCE']/@h"/></xsl:variable>
	<xsl:variable name="overhead"><xsl:apply-templates select="/d/cc/c[.='OVERHEAD']/@h"/></xsl:variable>
	<xsl:variable name="ira"><xsl:apply-templates select="/d/cc/c[.='IRA']/@h"/></xsl:variable>
	<xsl:variable name="ira_num"><xsl:apply-templates select="/d/cc/c[.='IRA_NUM']/@h"/></xsl:variable>
	<xsl:variable name="ira_amount"><xsl:apply-templates select="/d/cc/c[.='IRA_AMOUNT']/@h"/></xsl:variable>
	<xsl:variable name="er_tax"><xsl:apply-templates select="/d/cc/c[.='ER_TAX']/@h"/></xsl:variable>


<xsl:template match="/">
	<h1><xsl:value-of select="$oa"/>  - <xsl:value-of select="$creation_date"/></h1>
	<form name="frmXML" method="post">
		<input type="hidden" name="act" value="?o=accounting_info&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}"/>
		<input type="hidden" name="xml"/>
 	</form>

	<form name="frm" method="post" onsubmit="return false;" id="detail" action="?s={$s}&amp;pn={$pn}&amp;sti={$sti}">
		<input name="oid"  type="hidden" value="{$login_user_id}"/>
		<input name="account_info_id"  type="hidden" id="id" value="{$account_info_id}"/>
		<input name="login_user_id"  type="hidden"/>
		<input name="job_title"  type="hidden"/>
		<input name="dept_num"  type="hidden"/>
		<input name="pending_hire_date"  type="hidden"/>
		<input name="hire_date"  type="hidden"/>
		<input name="contract_end_date"  type="hidden"/>
		<input name="termination_date"  type="hidden"/>
		<input name="po_num"  type="hidden"/>
		<input name="start_date"  type="hidden"/>
		<input name="end_date"  type="hidden"/>
		<input name="po_total_hours"  type="hidden"/>
		<input name="bill_rate"  type="hidden"/>
		<input name="benefits_rate"  type="hidden"/>
		<input name="pay_rate"  type="hidden"/>
		<input name="hiring_manager"  type="hidden"/>
		<input name="insurance"  type="hidden"/>
		<input name="overhead"  type="hidden"/>
		<input name="ira"  type="hidden"/>
		<input name="ira_num"  type="hidden"/>
		<input name="ira_amount"  type="hidden"/>
		<input name="er_tax"  type="hidden"/>
		<script>
		function gatherFields(){
			if(!window.confirm('Are you sure you want to copy this accounting information to become the current information?')) return false;
			f=document.forms['frm'];
			f.login_user_id.value='<xsl:value-of select="$login_user_id"/>';
			f.job_title.value='<xsl:value-of select="$job_title"/>';
			f.dept_num.value='<xsl:value-of select="$dept_num"/>';
			f.hiring_manager.value='<xsl:value-of select="$hiring_manager"/>';
			
			f.pending_hire_date.value='<xsl:value-of select="$pending_hire_date"/>';
			f.hire_date.value='<xsl:value-of select="$hire_date"/>';
			f.contract_end_date.value='<xsl:value-of select="$contract_end_date"/>';
			f.termination_date.value='<xsl:value-of select="$termination_date"/>';
			
			f.po_num.value='<xsl:value-of select="$po_num"/>';
			f.start_date.value='<xsl:value-of select="$start_date"/>';
			f.end_date.value='<xsl:value-of select="$end_date"/>';
			f.po_total_hours.value='<xsl:value-of select="$po_total_hours"/>';
			f.bill_rate.value='<xsl:value-of select="$bill_rate"/>';
			f.benefits_rate.value='<xsl:value-of select="$benefits_rate"/>';
			f.pay_rate.value='<xsl:value-of select="$pay_rate"/>';
			f.insurance.value='<xsl:value-of select="$insurance"/>';
			f.overhead.value='<xsl:value-of select="$overhead"/>';
			f.ira.value='<xsl:value-of select="$ira"/>';
			f.ira_num.value='<xsl:value-of select="$ira_num"/>';
			f.ira_amount.value='<xsl:value-of select="$ira_amount"/>';
			f.er_tax.value='<xsl:value-of select="$er_tax"/>';
			execUpdate();
		}
		</script>
	</form>
	<table><tr><td valign="top">	
		<xsl:call-template name="strTable"><xsl:with-param name="title">Job Details</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3" border="0">
				<tr ctrlrow=""><td width="80"></td><td></td></tr>
	  		<xsl:call-template name="field"><xsl:with-param name="name" select="'LOGIN_USER_NAME'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'JOB_TITLE'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'DEPT_NUM'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'SUPERVISORS_NAMES'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'PROJECTS_NAMES'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'HIRING_MANAGER'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
			</table>
		<xsl:call-template name="endTable"/>

		<xsl:call-template name="strTable"><xsl:with-param name="title">Dates</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3" border="0">
				<tr ctrlrow=""><td width="80"></td><td></td></tr>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'PENDING_HIRE_DATE'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'HIRE_DATE'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'CONTRACT_END_DATE'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'TERMINATION_DATE'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
			</table>
		<xsl:call-template name="endTable"/>

	</td><td width="10"></td><td valign="top">
		
		<xsl:call-template name="strTable"><xsl:with-param name="title">Purchase Order Details</xsl:with-param><xsl:with-param name="width" select="220"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3" border="0">
				<tr ctrlrow=""><td width="120"></td><td></td></tr>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'PO_NUM'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'START_DATE'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'END_DATE'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'PO_TOTAL_HOURS'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'INVOICED_PO_HOURS'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'LEFT_PO_HOURS'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
			</table>
		<xsl:call-template name="endTable"/>

		<xsl:call-template name="strTable"><xsl:with-param name="title">Rates</xsl:with-param><xsl:with-param name="width" select="220"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3" border="0">
				<tr ctrlrow=""><td width="150"></td><td></td></tr>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'PAY_RATE'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'BENEFITS_RATE'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'BILL_RATE'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
			</table>
		<xsl:call-template name="endTable"/>

		<xsl:call-template name="strTable"><xsl:with-param name="title"></xsl:with-param><xsl:with-param name="width" select="220"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3" border="0">
				<tr ctrlrow=""><td width="150"></td><td></td></tr>
					<xsl:call-template name="field"><xsl:with-param name="name" select="'INSURANCE'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
					<xsl:call-template name="field"><xsl:with-param name="name" select="'OVERHEAD'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
					<xsl:call-template name="field"><xsl:with-param name="name" select="'IRA'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
					<xsl:if test="not(/d/privileges/rr/r[@a='IRA']/@b='N')">
					<tr><td>IRA #: </td><td><xsl:value-of select="$ira_num"/></td></tr>
					<tr><td>IRA amount:</td><td><xsl:value-of select="$ira_amount"/></td></tr>
			</xsl:if>
			<xsl:call-template name="field"><xsl:with-param name="name" select="'ER_TAX'"/><xsl:with-param name="ro" select="'Y'"/></xsl:call-template>
		</table>
		<xsl:call-template name="endTable"/>


	</td></tr></table>
	<!--
	<button accessKey="a"  onclick="document.location='list?o=accounting_info_history&amp;sc=t.creation_date&amp;sti={$sti}&amp;s={$s}&amp;pn={$pn}&amp;oid={$login_user_id}'">Accounting Information <u>A</u>rchive </button>&#160;
	<button accessKey="c"  name="btnEdit1" onclick="execDetail('accounting_info')"><u>C</u>urrent Accounting Information</button>&#160;
	<xsl:if test="$RoID=3"><button type="submit" accesskey="s" onclick="gatherFields()"> <u>R</u>estore</button></xsl:if>
	-->
	<xsl:call-template name="lists"/>		
	
	<br/><br/>
	<xsl:call-template name="Navigation">
		<xsl:with-param name="Buttons">
			<button onclick="document.location='list?o={$o}&amp;sc=t.creation_date&amp;sti={$sti}&amp;s={$s}&amp;pn={$pn}&amp;oid={$login_user_id}'">Accounting Information <u>A</u>rchive </button>
			<button name="btnEdit1" onclick="execDetail('accounting_info')"><u>C</u>urrent Accounting Information</button>
			<xsl:if test="$RoID=3"><button onclick="gatherFields()"> <u>R</u>estore</button></xsl:if>
		</xsl:with-param>
	</xsl:call-template>
</xsl:template>	
		
		
<xsl:template name="lists">
	<xsl:if test="not(/d/privileges/rr/r[@a='INVOICE_NUM']/@b='N' and /d/privileges/rr/r[@a='INVOICED_DATE']/@b='N' and /d/privileges/rr/r[@a='INVOICE_WORKED_HOURS']/@b='N' and 
	/d/privileges/rr/r[@a='INVOICED_PO_HOURS']/@b='N' and /d/privileges/rr/r[@a='INVOICE_BILL_RATE']/@b='N' and /d/privileges/rr/r[@a='INVOICED_AMOUNT']/@b='N')">
	<h3>Invoices for PO# <xsl:value-of select="$po_num"/></h3>
		<table cellspacing="0" cellpadding="0" width="100%" border="0" id="list">
			<tr valign="center">
				<xsl:if test="not(/d/privileges/rr/r[@a='INVOICE_NUM']/@b='N')"><th width="80"><span>#</span></th></xsl:if>
				<xsl:if test="not(/d/privileges/rr/r[@a='INVOICED_DATE']/@b='N')"><th width="100"><span>inv. date</span></th></xsl:if>
				<xsl:if test="not(/d/privileges/rr/r[@a='INVOICE_WORKED_HOURS']/@b='N')"><th width="120"><span>worked hours</span></th></xsl:if>
				<xsl:if test="not(/d/privileges/rr/r[@a='INVOICED_PO_HOURS']/@b='N')"><th width="100"><span>hours billed</span></th></xsl:if>
				<xsl:if test="not(/d/privileges/rr/r[@a='INVOICE_BILL_RATE']/@b='N')"><th width="100"><span>bill rate</span></th></xsl:if>
				<xsl:if test="not(/d/privileges/rr/r[@a='INVOICED_AMOUNT']/@b='N')"><th width="100"><span>amount</span></th></xsl:if>
				<th><span>&#160;</span></th>
			</tr>
			<xsl:for-each select="/d/invoice/rr/r">
				<xsl:variable name="class">lst<xsl:value-of select="floor((position()) mod 2)"/></xsl:variable>
				<xsl:variable name="date_record"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="@b"/></xsl:call-template></xsl:variable>
				<tr id="{@a}"><xsl:apply-templates select="@*[position()>1]"/><td class="{$class}"/></tr>
			</xsl:for-each>
				<tr>
					<td colspan="2" align="right"><b>Total: </b></td>
					<xsl:if test="not(/d/privileges/rr/r[@a='INVOICE_WORKED_HOURS']/@b='N')"><td align="right"><b><xsl:value-of select="format-number(sum(/d/invoice/rr/r/@d),$FormatCrs,'non')"/></b></td></xsl:if>
					<xsl:if test="not(/d/privileges/rr/r[@a='INVOICED_PO_HOURS']/@b='N')"><td align="right"><b><xsl:value-of select="$invoiced"/></b></td><td></td></xsl:if>
					<xsl:if test="not(/d/privileges/rr/r[@a='INVOICED_AMOUNT']/@b='N')"><td align="right"><b>$ <xsl:value-of select="format-number(sum(/d/invoice/rr/r/@g),$FormatCrs,'non')"/></b></td></xsl:if>
					<td></td>
				</tr>
	</table>
<br/><br/></xsl:if>

	<h3>Expense reimbursements (<xsl:value-of select="$start_date"/>-<xsl:value-of select="$end_date"/>)</h3>
		<table cellspacing="0" cellpadding="0" width="100%" border="0" id="list">
			<tr valign="center">
				<xsl:if test="not(/d/privileges/rr/r[@a='INVOICE_NUM']/@b='N')"><th width="80"><span>#</span></th></xsl:if>
				<xsl:if test="not(/d/privileges/rr/r[@a='INVOICED_DATE']/@b='N')"><th width="100"><span>inv. date</span></th></xsl:if>
				<xsl:if test="not(/d/privileges/rr/r[@a='EXP_STATEMENT_ID']/@b='N')"><th width="120"><span>exp. statement #</span></th></xsl:if>
				<xsl:if test="not(/d/privileges/rr/r[@a='REIMBUR_EMP_AMOUNT']/@b='N')"><th width="100"><span>employee </span></th></xsl:if>
				<xsl:if test="not(/d/privileges/rr/r[@a='REIMBUR_COMP_AMOUNT']/@b='N')"><th width="100"><span>company</span></th></xsl:if>
				<xsl:if test="not(/d/privileges/rr/r[@a='INVOICED_AMOUNT']/@b='N')"><th width="100"><span>amount</span></th></xsl:if>
				<th><span>&#160;</span></th>
			</tr>
			<xsl:for-each select="/d/reimbursement/rr/r">
				<xsl:variable name="class">lst<xsl:value-of select="floor((position()) mod 2)"/></xsl:variable>
				<xsl:variable name="date_record"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="@b"/></xsl:call-template></xsl:variable>
				<tr id="{@a}"><xsl:apply-templates select="@*[position()>1]"/><td class="{$class}"/></tr>
			</xsl:for-each>
				<tr>
					<td colspan="3" align="right"><b>Total: </b></td>
					<xsl:if test="not(/d/privileges/rr/r[@a='REIMBUR_EMP_AMOUNT']/@b='N')"><td align="right"><b>$ <xsl:value-of select="format-number(sum(/d/reimbursement/rr/r[@e!='']/@e),$FormatCrs,'nan')"/></b></td></xsl:if>
					<xsl:if test="not(/d/privileges/rr/r[@a='REIMBUR_COMP_AMOUNT']/@b='N')"><td align="right"><b>$ <xsl:value-of select="format-number(sum(/d/reimbursement/rr/r[@f!='']/@f),$FormatCrs,'nan')"/></b></td></xsl:if>
					<xsl:if test="not(/d/privileges/rr/r[@a='INVOICED_AMOUNT']/@b='N')"><td align="right"><b>$ <xsl:value-of select="format-number(sum(/d/reimbursement/rr/r[@g!='']/@g),$FormatCrs,'nan')"/></b></td></xsl:if>
					<td></td>
				</tr>
				<tr><td colspan="6" style="background-color:white;border-top:1px #879CAD solid; " align="right"><h3 style="color: red;">Total: <xsl:value-of select="format-number(sum(/d/reimbursement/rr/r/@g) + sum(/d/invoice/rr/r/@g),$FormatCrs,'nan')"/></h3></td><td style="background-color:white;border-top:1px #879CAD solid"/></tr>
	</table>
</xsl:template>	
		
	<xsl:template name="list">
		<h2>Invoices for PO# <xsl:value-of select="$po_num"/></h2>
		<table cellspacing="0" cellpadding="0" width="100%" border="0" id="list">
			<tr valign="center">
				<th width="50"><span>#</span></th>
				<th width="140"><span>start date</span></th>
				<th width="140"><span>end date</span></th>
				<th width="100"><span>hours</span></th>
				<th width="100"><span>bill rate</span></th>
				<th width="100"><span>amount</span></th>
				<th><span>&#160;</span></th>
			</tr>
			<xsl:for-each select="/d/invoice/rr/r">
				<xsl:variable name="class">lst<xsl:value-of select="floor((position()) mod 2)"/></xsl:variable>
				<xsl:variable name="date_record"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="@b"/></xsl:call-template></xsl:variable>
				<tr id="{@a}">
						<xsl:apply-templates select="@*[position()>1 and position()&lt;last()]"/>
						<td class="{$class}" align="right"><xsl:value-of select="format-number(@g,$FormatCrs,'non')"/></td>
				</tr>
			</xsl:for-each>
			<tr>
				<td colspan="3" align="right"><b>Total: </b></td>
				<td><b><xsl:value-of select="$invoiced"/></b></td>
				<td></td>
				<td align="right"><b>$ <xsl:value-of select="format-number(sum(/d/invoice/rr/r/@g),$FormatCrs,'non')"/></b></td>
			</tr>
		</table>
	</xsl:template>	
</xsl:stylesheet>

