<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

	<xsl:variable name="exp_statement_id"><xsl:apply-templates select="/d/cc/c[.='EXP_STATEMENT_ID']/@h"/></xsl:variable>
	
	<xsl:variable name="login_user_id"><xsl:apply-templates select="/d/cc/c[.='LOGIN_USER_ID']/@h"/></xsl:variable>
	<xsl:variable name="user_name"><xsl:apply-templates select="/d/cc/c[.='USER_NAME']/@h"/></xsl:variable>
	<xsl:variable name="start_date"><xsl:apply-templates select="/d/cc/c[.='START_DATE']/@h"/></xsl:variable>
	<xsl:variable name="end_date"><xsl:apply-templates select="/d/cc/c[.='END_DATE']/@h"/></xsl:variable>
	<xsl:variable name="start_date_yyyymmdd"><xsl:value-of select="/d/rr/r/@a"/></xsl:variable>
	<xsl:variable name="end_date_yyyymmdd"><xsl:apply-templates select="/d/rr/r/@b"/></xsl:variable>
	<xsl:variable name="days"><xsl:apply-templates select="/d/cc/c[.='DAYS']/@h"/></xsl:variable>
	<xsl:variable name="days_in_period"><xsl:apply-templates select="/d/cc/c[.='DAYS']/@h"/></xsl:variable>
	<xsl:variable name="project_id"><xsl:apply-templates select="/d/cc/c[.='PROJECT_ID']/@h"/></xsl:variable>
	<xsl:variable name="project_name"><xsl:apply-templates select="/d/cc/c[.='PROJECT_NAME']/@h"/></xsl:variable>
	<xsl:variable name="note"><xsl:apply-templates select="/d/cc/c[.='NOTE']/@h"/></xsl:variable>
	<xsl:variable name="submitted"><xsl:apply-templates select="/d/cc/c[.='SUBMITTED']/@h"/></xsl:variable>
	<xsl:variable name="submitted_date"><xsl:apply-templates select="/d/cc/c[.='SUBMITTED_DATE']/@h"/></xsl:variable>
	<xsl:variable name="approved"><xsl:apply-templates select="/d/cc/c[.='APPROVED']/@h"/></xsl:variable>
	<xsl:variable name="approved_by"><xsl:apply-templates select="/d/cc/c[.='APPROVED_BY']/@h"/></xsl:variable>
	<xsl:variable name="approved_date"><xsl:apply-templates select="/d/cc/c[.='APPROVED_DATE']/@h"/></xsl:variable>
	<xsl:variable name="reimbursed"><xsl:apply-templates select="/d/cc/c[.='REIMBURSED']/@h"/></xsl:variable>
	<xsl:variable name="reimbursed_by"><xsl:apply-templates select="/d/cc/c[.='REIMBURSED_BY']/@h"/></xsl:variable>
	<xsl:variable name="reimbursed_date"><xsl:apply-templates select="/d/cc/c[.='REIMBURSED_DATE']/@h"/></xsl:variable>
	<xsl:variable name="processed"><xsl:apply-templates select="/d/cc/c[.='PROCESSED']/@h"/></xsl:variable>
	<xsl:variable name="processed_by"><xsl:apply-templates select="/d/cc/c[.='PROCESSED_BY']/@h"/></xsl:variable>
	<xsl:variable name="processed_date"><xsl:apply-templates select="/d/cc/c[.='PROCESSED_DATE']/@h"/></xsl:variable>
	<xsl:variable name="invoiced"><xsl:apply-templates select="/d/cc/c[.='INVOICED']/@h"/></xsl:variable>
	<xsl:variable name="invoice_id"><xsl:apply-templates select="/d/cc/c[.='INVOICE_ID']/@h"/></xsl:variable>
	<xsl:variable name="active"><xsl:apply-templates select="/d/cc/c[.='ACTIVE']/@h"/></xsl:variable>

	
	<xsl:variable name="isSubmitted" select="($submitted='Y') and not($submitted='N')"/>
	<xsl:variable name="isApproved" select="($approved='Y') and not($approved='N')"/>
	<xsl:variable name="isReimbursed" select="($reimbursed='Y') and not($reimbursed='N')"/>
	<xsl:variable name="isProcessed" select="($processed='Y') and not($processed='N')"/>
	<xsl:variable name="isInvoiced" select="($invoiced='Y') and not($invoiced='N')"/>
	
	<xsl:variable name="total_emp" select="sum(/d/exp_statement_record/rr/r[@k='E']/@d)+sum(/d/exp_statement_record/rr/r[@k='E']/@e)+sum(/d/exp_statement_record/rr/r[@k='E']/@f)+sum(/d/exp_statement_record/rr/r[@k='E']/@g)+sum(/d/exp_statement_record/rr/r[@k='E']/@h)+sum(/d/exp_statement_record/rr/r[@k='E']/@i)+sum(/d/exp_statement_record/rr/r[@k='E']/@j)"/>
	<xsl:variable name="total_comp" select="sum(/d/exp_statement_record/rr/r[@k='C']/@d)+sum(/d/exp_statement_record/rr/r[@k='C']/@e)+sum(/d/exp_statement_record/rr/r[@k='C']/@f)+sum(/d/exp_statement_record/rr/r[@k='C']/@g)+sum(/d/exp_statement_record/rr/r[@k='C']/@h)+sum(/d/exp_statement_record/rr/r[@k='C']/@i)+sum(/d/exp_statement_record/rr/r[@k='C']/@j)"/>
	
	<xsl:variable name="ro_employee">
	<xsl:choose>
		<xsl:when test="($login_user_id=$UsID or $login_user_id='') and (not($isSubmitted) or count(/d/rr/r)=0)">N</xsl:when>
		<xsl:when test="($RoID=2 or $RoID=4) and ($isSubmitted and not($isApproved) and not($isProcessed))">N</xsl:when>
		<xsl:when test="$RoID=3 and ($isSubmitted and not($isProcessed))">N</xsl:when><!--<xsl:when test="$RoID=3 and ($isSubmitted and not($isProcessed))">N</xsl:when>-->
		<xsl:otherwise>Y</xsl:otherwise>
	</xsl:choose>
	</xsl:variable>
	<xsl:variable name="ro_company">
		<xsl:choose>
			<xsl:when test="$RoID=3">N</xsl:when>
			<xsl:when test="$RoID=1 and not($isSubmitted)">N</xsl:when>
			<xsl:when test="($RoID=2 or $RoID=4) and not($isApproved)">N</xsl:when>
			<xsl:otherwise>Y</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>

<xsl:template match="/">
	<h1><xsl:value-of select="$oa"/> &#160;<xsl:if test="$exp_statement_id!=''">No.<xsl:value-of select="$exp_statement_id"/><br/><h3><xsl:value-of select="$user_name"/></h3></xsl:if></h1>
	<form name="frmXML" method="post">
		<input type="hidden" name="act" value="?o={$o}&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}"/>
		<input type="hidden" name="xml" value=""/>
		<input type="hidden" name="om" value="exp_statement_record"/>
		<input type="hidden" name="xmlm" value=""/>
	</form>
	
	
	<table><tr><td valign="top">			
		<form name="frm" method="post" onsubmit="return false;" id="detail" action="?s={$s}&amp;pn={$pn}&amp;sti={$sti}">
			<input name="EXP_STATEMENT_ID" type="hidden" id="id" value="{$exp_statement_id}"/>
			<input name="LOGIN_USER_ID" type="hidden" value="[#LOGIN_USER_ID]"/>
			<input type="hidden" name="oid" value="" id="np"/>
			<xsl:call-template name="strTable"><xsl:with-param name="title" select="string('Expense Statement Details')"/><xsl:with-param name="width" select="320"/></xsl:call-template>
				<table cellspacing="0" cellpadding="4" border="0">
					<tr ctrlrow=""><td width="50"></td><td width="200"><b>Dates</b></td></tr>
					<xsl:choose>
						<xsl:when test="$exp_statement_id=''">			
							<tr><td align="right">from:<xsl:call-template name="ico_req"/>&#160;</td><td><xsl:call-template name="CalendarDate"><xsl:with-param name="name" select="string('START_DATE')"/></xsl:call-template></td>
								<!--<td rowspan="3"><textarea name="NOTE"  type="text" rows="5" cols="40" maxlength="255"><xsl:value-of select="$note"/></textarea></td>-->
							</tr>
							<tr><td align="right">to:<xsl:call-template name="ico_req"/>&#160;</td><td><xsl:call-template name="CalendarDate"><xsl:with-param name="name" select="string('END_DATE')"/></xsl:call-template></td></tr>
							<tr><td align="right">project:<xsl:call-template name="ico_req"/>&#160;</td><td>
								<xsl:call-template name="select">
									<xsl:with-param name="name" select="string('PROJECT_ID')"/>
									<xsl:with-param name="value" select="$project_id"/>
									<xsl:with-param name="nodes" select="/d/project"/>
									<xsl:with-param name="id" select="string('r')"/>
								</xsl:call-template>
								</td></tr>
							<tr><td align="right">notes:</td><td><textarea name="NOTE"  type="text" style="width:100%"  rows="4"><xsl:value-of select="$note"/></textarea></td></tr>
						</xsl:when>
						<xsl:when test="$login_user_id=$UsID and not($isSubmitted)">
							<tr><td align="right">from:<xsl:call-template name="ico_req"/>&#160;</td><td  class="i"><xsl:value-of select="$start_date"/></td></tr>
							<tr><td align="right">to:<xsl:call-template name="ico_req"/>&#160;</td><td  class="i"><xsl:value-of select="$end_date"/></td></tr>
							<tr><td align="right">project:<xsl:call-template name="ico_req"/>&#160;</td><td>
								<xsl:call-template name="select">
									<xsl:with-param name="name" select="string('PROJECT_ID')"/>
									<xsl:with-param name="value" select="$project_id"/>
									<xsl:with-param name="nodes" select="/d/project"/>
									<xsl:with-param name="id" select="string('r')"/>
								</xsl:call-template>
							</td></tr>
							<tr><td align="right" valign="top">notes:</td><td><textarea name="NOTE"  type="text" style="width:100%" rows="6"><xsl:value-of select="$note"/></textarea></td></tr>
						</xsl:when>
						<xsl:otherwise>
							<tr><td align="right">from:&#160;</td><td class="i"><xsl:value-of select="$start_date"/></td></tr>
							<tr><td align="right">to:&#160;</td><td class="i"><xsl:value-of select="$end_date"/></td></tr>
							<tr><td align="right">project:&#160;</td><td class="i" valign="top"><xsl:value-of select="$project_name"/></td></tr>
							<tr><td align="right">notes:&#160;</td><td class="i" valign="top"><xsl:value-of select="$note"/></td></tr>
						</xsl:otherwise>
					</xsl:choose>
					<tr><td align="right">total:&#160;</td><td class="i" valign="top">
						<xsl:choose>
							<xsl:when test="$RoID=3"><xsl:value-of select="format-number($total_comp+$total_emp,$FormatCrs,'non')"/></xsl:when>
							<xsl:otherwise><xsl:value-of select="format-number($total_emp,$FormatCrs,'non')"/></xsl:otherwise>
						</xsl:choose>
					</td></tr>
					<tr><td colspan="4"><i>
						<xsl:if test="not($isSubmitted)">not </xsl:if><b>submitted</b>&#160;<xsl:if test="$isSubmitted">on&#160;<xsl:value-of select="$submitted_date"/><br/></xsl:if>
						<xsl:if test="($isApproved)"><b>approved</b> by <xsl:value-of select="$approved_by"/>&#160;on&#160;<xsl:value-of select="$approved_date"/><br/></xsl:if>
						<xsl:if test="$isReimbursed"><b>reimbursed</b> by <xsl:value-of select="$reimbursed_by"/>&#160;on&#160;<xsl:value-of select="$reimbursed_date"/><br/></xsl:if>
						<xsl:if test="$isProcessed"><b>processed</b> by <xsl:value-of select="$processed_by"/>&#160;on&#160;<xsl:value-of select="$processed_date"/><br/></xsl:if>
						<xsl:if test="$isInvoiced"><b>invoiced</b> - <a href="detail?o=reimbursement&amp;oid={$invoice_id}&amp;s={$s}">invoice id- <xsl:value-of select="$invoice_id"/></a></xsl:if>
					</i></td></tr>
				</table>
			<xsl:call-template name="endTable"/>
		</form>	

</td><td width="10"/>

<xsl:if test="$exp_statement_id!=''">
	<td valign="top">
		<form name="frm13" method="post" enctype="multipart/form-data" action="file?o={$o}&amp;oid={$oid}&amp;s={$s}">
			<xsl:call-template name="strTable"><xsl:with-param name="title" select="string('Attachments')"/></xsl:call-template>
				<table cellspacing="0" cellpadding="2" border="0" id="list">
					<xsl:for-each select="/d/exp_statement_document/rr/r">
						<xsl:variable name="class">lst<xsl:value-of select="floor((position()+1) mod 2)"/></xsl:variable>
						<tr><td height="22" class="{$class}" width="15">
							<a href="file?oid={@a}&amp;s={$s}"><img border="0" width="15" height="15">
								<xsl:attribute name="src">/tts/i/i/ico_<xsl:choose>
										<xsl:when test="(@c='.JPG') or ((@c='.JPEG')) or (@c='.GIF') or (@c='.PNG')">img</xsl:when>
										<xsl:when test="(@c='.TXT') or (@c='.RTF') or (@c='.DOC')">doc</xsl:when>
										<xsl:when test="(@c='.HTM') or (@c='.HTML')">web</xsl:when>
										<xsl:otherwise>att</xsl:otherwise>
									</xsl:choose>.gif</xsl:attribute></img></a>
						</td>
						<td class="{$class}" width="250"><a href="file?oid={@a}&amp;s={$s}"><xsl:value-of select="@b"/></a> [<xsl:value-of select="@d"/>]</td>
						<xsl:if test="($ro_employee='N' or $RoID=3)"><td class="{$class}" width="20"><a href="file?oid={@a}&amp;s={$s}&amp;a=d"><img src="/tts/i/i/ico_del.gif" border="0" alt="Delete"/></a></td></xsl:if>
					</tr>
					</xsl:for-each>
					<xsl:if test="($ro_employee='N' or $RoID=3)">			
						<tr><td height="22" colspan="3">
								<input type="file" name="FILE_1" id='np' size="24" onchange="document.forms['frm13'].btnUpload.disabled=(this.value=='')"/><!--notes:<input type="text" name="NOTE" size="18"/><br/>-->
								<button name="btnUpload" type="submit"  id='np' disabled="">Upload</button>
						</td></tr>
					</xsl:if>
				</table>
			<xsl:call-template name="endTable"/>
		</form>
	</td>
</xsl:if>
<iframe width='174' height='189' name='gToday:calendar:/tts/i/j/calendar.js' id='gToday:calendar:/tts/i/j/calendar.js' src='/tts/popcal.htm' scrolling='no' frameborder='0' style='visibility:visible; z-index:999; position:absolute; left:-500px; top:0px;' onblur="gfPop.fHideCal();"></iframe>
</tr></table>
			
			
		<form name="frm1" method="post" onsubmit="return false;" id="detail">
			<xsl:if test="$exp_statement_id!=''"><xsl:call-template name="list"/><br/></xsl:if>
			

		<script>
			<![CDATA[
			function execDeleteExpStatementRecord(){
				if(document.forms['frm'].oid.value==""){
					alert("Please, select row");
					return false;
				}
			}
			function gatherFields(action, bInsertOnly){
				var xml="", s="",e, f=null, fXML=null, i,j,ctrls,listRcds,e,errmsg='', oid=null;;
				fXML=document.forms['frmXML'];
				f=document.forms['frm'];
				oid=f.EXP_STATEMENT_ID.value;
				if(!execUpdate(f,fXML.xml, false))return false;
			  listRcds=document.getElementById('tbody_records');
			 	for(i=0; i < listRcds.rows.length; i++){
			  	if(errmsg!='') break;
			  	row=listRcds.rows[i];
			  	if(row.firstChild.tagName=="TH") continue;
					selects=row.getElementsByTagName("SELECT");
					if(selects.length > 0){
						ctrls=row.getElementsByTagName("INPUT");
						e_date=selects[0];
						s="";
						for(j=0; j<ctrls.length;j++){
							e=ctrls[j];
							if(e.defaultValue!=e.value && !(e.np)){
								if(validate(e)) s+='<w c="' + e.name + '">' + (e.value.replace(/</g, '&lt;').replace(/&/g, '&amp;')) + '</w>\n';
								else{errmsg=('Please enter valid number!'); e.focus(); e.select(); break;}
							}
						}
						if(row.id==""){ //begin insert
							if(e_date.value==''){if(bInsertOnly){errmsg='Select date!';e_date.focus();  break;} else continue;}
							xml+="<s a='i'><w c='EXP_STATEMENT_RECORD_ID' k=''></w><w c='" + e_date.name + "'>" + e_date.value + "</w>";
							if(selects[1])xml+="<w c='" + selects[1].name + "'>" + selects[1].value + "</w>";
							xml+="\n" + s + "<w c='EXP_STATEMENT_ID'>" + oid + "</w></s>\n";
						}		//end insert
						else{ //begin update
							if(e_date.value==''){
										alert("Choose date");
										return false;
							}						
							if((s!='') || (e_date.defaultValue!=e_date.value)){
								xml+="<s a='u'><w c='EXP_STATEMENT_RECORD_ID' k=''>" + row.id + "</w>\n<w c='" + e_date.name + "'>" + e_date.value + "</w>\n" + s + "<w c='EXP_STATEMENT_ID'>" + oid + "</w></s>\n";
							}
						} //end update		
					}
			  }
			  if(errmsg!=''){fXML.xmlm.value='';alert(errmsg);return false;}
				if(action){
					if (fXML.xml.value=='') fXML.xml.value='<w c="EXP_STATEMENT_ID"  k="">'+f.EXP_STATEMENT_ID.value+'</w>';
					fXML.xml.value+="<w c='" + action + "'>Y</w>";
				}
				fXML.xmlm.value=xml;
				fXML.action='update'+fXML.act.value;
				fXML.submit();fXML.xmlm.value='';
				return true;
			}
		]]>
		</script>
		</form>
			<xsl:call-template name="Navigation">
				<xsl:with-param name="Buttons">
				<button onclick="document.location='list?o={$o}&amp;sti={$sti}&amp;s={$s}&amp;pn={$pn}'"> <u>B</u>ack to list </button>
				<xsl:choose>
					<xsl:when test="$login_user_id=''">
						<button><xsl:attribute name="onclick"><xsl:choose><xsl:when test="$exp_statement_id!=''">gatherFields()</xsl:when><xsl:otherwise>execInsert();</xsl:otherwise></xsl:choose></xsl:attribute> <u>S</u>ave changes</button>&#160;
					</xsl:when>
					<xsl:when test="($login_user_id=$UsID) and not($isSubmitted) and not($isApproved) and not($isProcessed)">
						<button name="btnSave"><xsl:attribute name="onclick"><xsl:choose><xsl:when test="$exp_statement_id!=''">gatherFields()</xsl:when><xsl:otherwise>execInsert();</xsl:otherwise></xsl:choose></xsl:attribute> <u>S</u>ave changes</button>
						<button disabled="" name="btnDelete" onclick="execDelete('exp_statement_record')"> <u>D</u>elete row</button>
						<button name="btnSubmit" onclick="gatherFields('submitted')"> S<u>u</u>bmit statement</button>
					</xsl:when>
					<xsl:when test="($RoID=2 or $RoID=3 or $RoID=4) and ($isSubmitted and not($isApproved) and not($isProcessed))">
						<button name="btnSave"><xsl:attribute name="onclick"><xsl:choose><xsl:when test="$exp_statement_id!=''">gatherFields()</xsl:when><xsl:otherwise>execInsert();</xsl:otherwise></xsl:choose></xsl:attribute> <u>S</u>ave changes</button>
						<button disabled="" name="btnDelete" onclick="execDelete('exp_statement_record')"> <u>D</u>elete row</button>
						<button name="btnApprove" onclick="gatherFields('approved')"> <u>A</u>pprove statement</button>
					</xsl:when>
					<xsl:when test="$RoID=3 and ($isSubmitted and $isApproved)">
						<button name="btnSave"><xsl:attribute name="onclick"><xsl:choose><xsl:when test="$exp_statement_id!=''">gatherFields()</xsl:when><xsl:otherwise>execInsert();</xsl:otherwise></xsl:choose></xsl:attribute> <u>S</u>ave changes</button>
						<button disabled="" name="btnDelete" onclick="execDelete('exp_statement_record')"> <u>D</u>elete row</button>
						<button name="btnApprove"  onclick="gatherFields('processed')"> <u>P</u>rocess statement</button>
					</xsl:when>
				</xsl:choose>
				<button onclick="execGoto('detail?o={$o}&amp;oid={$oid}&amp;sti={$sti}&amp;p=y&amp;s={$s}&amp;pn={$pn}','',true)"> <u>P</u>rint</button>
			
			</xsl:with-param>
			</xsl:call-template>
	</xsl:template>

	<xsl:template name="list">
			<table cellspacing="0" cellpadding="0" width="100%" border="0" id="list">
			<tbody id="tbody_records">
				<tr valign="center">
					<th rowspan="2" width="90"><span style="height:100%;width:92px;">date</span></th>
					<th rowspan="2" width="70"><span style="height:100%;width:82px;">paid by</span></th>
					<th rowspan="2" width="100%"><span style="height:100%;">notes</span></th>
					<th colspan="7" width="420"><span>amounts</span></th>
					<th rowspan="2" width="70"><span style="height:100%;width:70px;">total</span></th>
				</tr>
				<tr valign="center">
					<th width="60"><span style="width:60px;">lodging</span></th>
					<th width="60"><span style="width:60px;">transport</span></th>
					<th width="60"><span style="width:60px;">fuel</span></th>
					<th width="60"><span style="width:60px;">meals</span></th>
					<th width="60"><span style="width:60px;">phone</span></th>
					<th width="60"><span style="width:60px;">fun</span></th>
					<th width="60"><span style="width:60px;">other</span></th>
			</tr>
				<xsl:if test="$ro_employee='N' or $ro_company='N'">
					<tr>
						<td class="lst0"><xsl:call-template name="select_date"/></td>
						<td class="lst0"><select name="TYPE">
								<xsl:if test="$ro_employee='N'"><option value="E">Employee</option></xsl:if>
								<xsl:if test="$ro_company='N'"><option value="C">Company</option></xsl:if>
								</select>
						</td>
						<td class="lst0"><input name="NOTE" type="text" style="width:100%;" maxlength="80" value=""/></td>
						<td class="lst0"><input name="AMT_LODGING" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(0,$FormatCrs,'non')}"/></td>
						<td class="lst0"><input name="AMT_TRANSPORT" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(0,$FormatCrs,'non')}"/></td>
						<td class="lst0"><input name="AMT_FUEL" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(0,$FormatCrs,'non')}"/></td>
						<td class="lst0"><input name="AMT_MEALS" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(0,$FormatCrs,'non')}"/></td>
						<td class="lst0"><input name="AMT_PHONE" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(0,$FormatCrs,'non')}"/></td>
						<td class="lst0"><input name="AMT_ENTER" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(0,$FormatCrs,'non')}"/></td>
						<td class="lst0"><input name="AMT_OTHER" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(0,$FormatCrs,'non')}"/></td>
						<td class="lst0">&#160;</td>
					</tr>				
					<tr><td colspan="11" align="center" valign="top" bgcolor="white"><button size="10" accessKey="d" id="np" onclick="gatherFields('', true)"> <u>A</u>dd record</button></td></tr>
					<tr><td colspan="11" bgcolor="white"/></tr><tr><td colspan="11" bgcolor="white"/></tr>
				</xsl:if>
			<tr><th colspan="11">Expenses paid by employee</th></tr>
				<xsl:for-each select="/d/exp_statement_record/rr/r[@k='E']">
					<xsl:variable name="class">lst<xsl:value-of select="floor((position()+1) mod 2)"/></xsl:variable>
					<xsl:variable name="date_record"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="@b"/></xsl:call-template></xsl:variable>
					<tr id="{@a}">	
						<xsl:choose>	
						<xsl:when test="$ro_employee='N'">
							<xsl:attribute name="onclick">_appstyle(this);document.getElementsByName('btnDelete').disabled=false;</xsl:attribute>
							<td class="{$class}"><xsl:call-template name="select_date"><xsl:with-param name="value" select="@b"/></xsl:call-template></td>
							<td class="{$class}" colspan="2">
								<xsl:choose>
									<xsl:when test="$login_user_id=$UsID">
										<input name="NOTE" type="text" style="width:100%;" maxlength="255" value="{@c}"/>
									</xsl:when>
									<xsl:otherwise><xsl:value-of select="@c"/></xsl:otherwise>
								</xsl:choose>
							</td>
							<td class="{$class}"><input name="AMT_LODGING" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@d,$FormatCrs,'non')}"/></td>
							<td class="{$class}"><input name="AMT_TRANSPORT" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@e,$FormatCrs,'non')}"/></td>
							<td class="{$class}"><input name="AMT_FUEL" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@f,$FormatCrs,'non')}"/></td>
							<td class="{$class}"><input name="AMT_MEALS" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@g,$FormatCrs,'non')}"/></td>
							<td class="{$class}"><input name="AMT_PHONE" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@h,$FormatCrs,'non')}"/></td>
							<td class="{$class}"><input name="AMT_ENTER" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@i,$FormatCrs,'non')}"/></td>
							<td class="{$class}"><input name="AMT_OTHER" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@j,$FormatCrs,'non')}" /></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number((@d+@e+@f+@g+@h+@i+@j),$FormatCrs,'non')"/></td>
						</xsl:when>
						<xsl:otherwise>
							<td class="{$class}"><input type="hidden" name="START_DATE" value="{$date_record}"/><xsl:value-of select="$date_record"/></td>
							<td class="{$class}">Employee</td>
							<td class="{$class}"><xsl:value-of select="@c"/></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number(@d,$FormatCrs,'non')"/></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number(@e,$FormatCrs,'non')"/></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number(@f,$FormatCrs,'non')"/></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number(@g,$FormatCrs,'non')"/></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number(@h,$FormatCrs,'non')"/></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number(@i,$FormatCrs,'non')"/></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number(@j,$FormatCrs,'non')"/></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number((@d+@e+@f+@g+@h+@i+@j),$FormatCrs,'non')"/></td>
						</xsl:otherwise>
					</xsl:choose>
					</tr>	
				</xsl:for-each>
				<tr valign="center">
					<td colspan="3" align="right">Total amount for expenses paid by employee: <xsl:value-of select="$start_date"/>-<xsl:value-of select="$end_date"/></td>
					<td align="right"><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='E']/@d),$FormatCrs,'non')"/></td>
					<td align="right"><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='E']/@e),$FormatCrs,'non')"/></td>
					<td align="right"><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='E']/@f),$FormatCrs,'non')"/></td>
					<td align="right"><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='E']/@g),$FormatCrs,'non')"/></td>
					<td align="right"><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='E']/@h),$FormatCrs,'non')"/></td>
					<td align="right"><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='E']/@i),$FormatCrs,'non')"/></td>
					<td align="right"><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='E']/@j),$FormatCrs,'non')"/></td>
					<td align="right"><b><xsl:value-of select="format-number($total_emp,$FormatCrs,'non')"/></b></td>
				</tr>
				<xsl:if test="$isSubmitted and $RoID=3 and not($isReimbursed)"><tr><td colspan="11" bgcolor="white" align="center"><button size="10" accessKey="u" id="np" name="btnReimburs" onclick="gatherFields('reimbursed')"> <u>R</u>eimbursed</button></td></tr></xsl:if>
				
	<!-- dsf-->			
			<tr><td colspan="11" bgcolor="white"/></tr><tr><td colspan="11" bgcolor="white"/></tr>
			<tr><th colspan="11">Expenses paid by company</th></tr>
			<xsl:for-each select="/d/exp_statement_record/rr/r[@k='C']">
							<xsl:variable name="class">lst<xsl:value-of select="floor((position()+1) mod 2)"/></xsl:variable>
							<xsl:variable name="date_record"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="@b"/></xsl:call-template></xsl:variable>
				<tr id="{@a}">	
				<xsl:choose>	
						<xsl:when test="$ro_company='N'">
									<xsl:attribute name="onclick">_appstyle(this);document.getElementsByName('btnDelete').disabled=false;</xsl:attribute>
									<td class="{$class}"><xsl:call-template name="select_date"><xsl:with-param name="value" select="@b"/></xsl:call-template></td>
									<td class="{$class}" colspan="2"><input name="NOTE" type="text" style="width:100%;" maxlength="255" value="{@c}"/></td>
									<td class="{$class}"><input name="AMT_LODGING" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@d,$FormatCrs,'non')}"/></td>
									<td class="{$class}"><input name="AMT_TRANSPORT" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@e,$FormatCrs,'non')}"/></td>
									<td class="{$class}"><input name="AMT_FUEL" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@f,$FormatCrs,'non')}"/></td>
									<td class="{$class}"><input name="AMT_MEALS" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@g,$FormatCrs,'non')}"/></td>
									<td class="{$class}"><input name="AMT_PHONE" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@h,$FormatCrs,'non')}"/></td>
									<td class="{$class}"><input name="AMT_ENTER" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@i,$FormatCrs,'non')}"/></td>
									<td class="{$class}"><input name="AMT_OTHER" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@j,$FormatCrs,'non')}" /></td>
									<td class="{$class}" align="right"><xsl:value-of select="format-number((@d+@e+@f+@g+@h+@i+@j),$FormatCrs,'non')"/></td>
						</xsl:when>
						<xsl:otherwise>
							<td class="{$class}"><input type="hidden" name="START_DATE" value="{$date_record}"/><xsl:value-of select="$date_record"/></td>
							<td class="{$class}">Company</td>
							<td class="{$class}"><xsl:value-of select="@c"/></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number(@d,$FormatCrs,'non')"/></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number(@e,$FormatCrs,'non')"/></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number(@f,$FormatCrs,'non')"/></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number(@g,$FormatCrs,'non')"/></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number(@h,$FormatCrs,'non')"/></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number(@i,$FormatCrs,'non')"/></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number(@j,$FormatCrs,'non')"/></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number((@d+@e+@f+@g+@h+@i+@j),$FormatCrs,'non')"/></td>
						</xsl:otherwise>
					</xsl:choose>
							</tr>	
			</xsl:for-each>
<!--
			<xsl:if test="$ro_company='N'">
			<tr><td colspan="11" bgcolor="white"/></tr><tr><td colspan="11" bgcolor="white"/></tr>
			<tr><th colspan="11">Expenses paid by company</th></tr>
			<xsl:for-each select="/d/exp_statement_record/rr/r[@k='C']">
				<xsl:variable name="class">lst<xsl:value-of select="floor((position()+1) mod 2)"/></xsl:variable>
				<xsl:variable name="date_record"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="@b"/></xsl:call-template></xsl:variable>
				<tr id="{@a}">	
						<xsl:attribute name="onclick">_appstyle(this);document.getElementsByName('btnDelete').disabled=false;</xsl:attribute>
						<td class="{$class}"><xsl:call-template name="select_date"><xsl:with-param name="value" select="@b"/></xsl:call-template></td>
						<td class="{$class}" colspan="2"><input name="NOTE" type="text" style="width:100%;" maxlength="255" value="{@c}"/></td>
						<td class="{$class}"><input name="AMT_LODGING" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@d,$FormatCrs,'non')}"/></td>
						<td class="{$class}"><input name="AMT_TRANSPORT" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@e,$FormatCrs,'non')}"/></td>
						<td class="{$class}"><input name="AMT_FUEL" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@f,$FormatCrs,'non')}"/></td>
						<td class="{$class}"><input name="AMT_MEALS" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@g,$FormatCrs,'non')}"/></td>
						<td class="{$class}"><input name="AMT_PHONE" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@h,$FormatCrs,'non')}"/></td>
						<td class="{$class}"><input name="AMT_ENTER" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@i,$FormatCrs,'non')}"/></td>
						<td class="{$class}"><input name="AMT_OTHER" type="text" style="width:100%;text-align:right;" maxlength="10" value="{format-number(@j,$FormatCrs,'non')}" /></td>
						<td class="{$class}" align="right"><xsl:value-of select="format-number((@d+@e+@f+@g+@h+@i+@j),$FormatCrs,'non')"/></td>
				</tr>	
			</xsl:for-each>
		</xsl:if>-->
				<tr valign="center">
					<td colspan="3" align="right">Total amount for expenses paid by company: <xsl:value-of select="$start_date"/> - <xsl:value-of select="$end_date"/></td>
					<td align="right"><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='C']/@d),$FormatCrs,'non')"/></td>
					<td align="right"><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='C']/@e),$FormatCrs,'non')"/></td>
					<td align="right"><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='C']/@f),$FormatCrs,'non')"/></td>
					<td align="right"><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='C']/@g),$FormatCrs,'non')"/></td>
					<td align="right"><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='C']/@h),$FormatCrs,'non')"/></td>
					<td align="right"><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='C']/@i),$FormatCrs,'non')"/></td>
					<td align="right"><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='C']/@j),$FormatCrs,'non')"/></td>
					<td align="right"><b><xsl:value-of select="format-number($total_comp,$FormatCrs,'non')"/></b></td>
				</tr>
			</tbody>
		</table>
</xsl:template>	



<xsl:template name="select_date">
	<xsl:param name="value"/>
	<xsl:variable name="formatedDate"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="$value"/></xsl:call-template></xsl:variable>
	<select name="START_DATE" id="r">
		<option value="">Select date</option>
		<xsl:call-template name="for_date">
			<xsl:with-param name="i" select="number(1)"/> 
			<xsl:with-param name="yyyymmdd" select="string($start_date_yyyymmdd)"/>
			<xsl:with-param name="value" select="$value"/>
		</xsl:call-template>
	</select>
</xsl:template>

<xsl:template name="for_date"> 
	<xsl:param name="i"/> 
	<xsl:param name="yyyymmdd"/>
	<xsl:param name="value"/>
	<option>
		<xsl:if test="$yyyymmdd=$value"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>
		<xsl:attribute name="value"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="$yyyymmdd"/></xsl:call-template></xsl:attribute>
		<xsl:call-template name="FormatDate"><xsl:with-param name="date" select="$yyyymmdd"/></xsl:call-template>
	</option>
		<xsl:if test="($i+1 &lt;= $days)"> 
			<xsl:call-template name="for_date"> 
				<xsl:with-param name="i" select="$i + 1"/> 
				<xsl:with-param name="value" select="$value"/>
				<xsl:with-param name="yyyymmdd" select="string(js:nextDate(string($yyyymmdd)))"/>
			</xsl:call-template> 
		</xsl:if>
</xsl:template>

<xsl:template name="CalendarDate">
	<xsl:param name="name"/>
	<input name="{$name}" type="text" size="10" maxlength="10" id="r" value=""/><img src="/tts/i/i/ico_cal.gif" style="position:relative;top:3px;left:-2px;cursor:hand;" onclick="gfPop.fPopCalendar(document.frm.{$name});window.frames['gToday:calendar:/tts/i/j/calendar.js'].focus();return false;" />
</xsl:template>
</xsl:stylesheet>


