<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

	<xsl:variable name="exp_statement_id"><xsl:apply-templates select="/d/cc/c[.='EXP_STATEMENT_ID']/@h"/></xsl:variable>
	
	<xsl:variable name="login_user_id"><xsl:apply-templates select="/d/cc/c[.='LOGIN_USER_ID']/@h"/></xsl:variable>
	<xsl:variable name="user_name"><xsl:apply-templates select="/d/cc/c[.='USER_NAME']/@h"/></xsl:variable>
	<xsl:variable name="start_date"><xsl:apply-templates select="/d/cc/c[.='START_DATE']/@h"/></xsl:variable>
	<xsl:variable name="end_date"><xsl:apply-templates select="/d/cc/c[.='END_DATE']/@h"/></xsl:variable>
	<xsl:variable name="start_date_yyyymmdd"><xsl:value-of select="/d/rr/r/@a"/></xsl:variable>
	<xsl:variable name="end_date_yyyymmdd"><xsl:apply-templates select="/d/rr/r/@b"/></xsl:variable>
	<xsl:variable name="days"><xsl:apply-templates select="/d/cc/c[.='DAYS']/@h"/></xsl:variable>
	<xsl:variable name="days_in_period"><xsl:apply-templates select="/d/cc/c[.='DAYS']/@h"/></xsl:variable>
	<xsl:variable name="project_id"><xsl:apply-templates select="/d/cc/c[.='PROJECT_ID']/@h"/></xsl:variable>
	<xsl:variable name="project_name"><xsl:apply-templates select="/d/cc/c[.='PROJECT_NAME']/@h"/></xsl:variable>
	<xsl:variable name="note"><xsl:apply-templates select="/d/cc/c[.='NOTE']/@h"/></xsl:variable>
	<xsl:variable name="submitted"><xsl:apply-templates select="/d/cc/c[.='SUBMITTED']/@h"/></xsl:variable>
	<xsl:variable name="submitted_date"><xsl:apply-templates select="/d/cc/c[.='SUBMITTED_DATE']/@h"/></xsl:variable>
	<xsl:variable name="approved"><xsl:apply-templates select="/d/cc/c[.='APPROVED']/@h"/></xsl:variable>
	<xsl:variable name="approved_by"><xsl:apply-templates select="/d/cc/c[.='APPROVED_BY']/@h"/></xsl:variable>
	<xsl:variable name="approved_date"><xsl:apply-templates select="/d/cc/c[.='APPROVED_DATE']/@h"/></xsl:variable>
	<xsl:variable name="reimbursed"><xsl:apply-templates select="/d/cc/c[.='REIMBURSED']/@h"/></xsl:variable>
	<xsl:variable name="reimbursed_by"><xsl:apply-templates select="/d/cc/c[.='REIMBURSED_BY']/@h"/></xsl:variable>
	<xsl:variable name="reimbursed_date"><xsl:apply-templates select="/d/cc/c[.='REIMBURSED_DATE']/@h"/></xsl:variable>
	<xsl:variable name="processed"><xsl:apply-templates select="/d/cc/c[.='PROCESSED']/@h"/></xsl:variable>
	<xsl:variable name="processed_by"><xsl:apply-templates select="/d/cc/c[.='PROCESSED_BY']/@h"/></xsl:variable>
	<xsl:variable name="processed_date"><xsl:apply-templates select="/d/cc/c[.='PROCESSED_DATE']/@h"/></xsl:variable>
	<xsl:variable name="invoiced"><xsl:apply-templates select="/d/cc/c[.='INVOICED']/@h"/></xsl:variable>
	<xsl:variable name="invoice_id"><xsl:apply-templates select="/d/cc/c[.='INVOICE_ID']/@h"/></xsl:variable>
	<xsl:variable name="active"><xsl:apply-templates select="/d/cc/c[.='ACTIVE']/@h"/></xsl:variable>

	
	<xsl:variable name="isSubmitted" select="($submitted='Y') and not($submitted='N')"/>
	<xsl:variable name="isApproved" select="($approved='Y') and not($approved='N')"/>
	<xsl:variable name="isReimbursed" select="($reimbursed='Y') and not($reimbursed='N')"/>
	<xsl:variable name="isProcessed" select="($processed='Y') and not($processed='N')"/>
	<xsl:variable name="isInvoiced" select="($invoiced='Y') and not($invoiced='N')"/>
	
	<xsl:variable name="total_emp" select="sum(/d/exp_statement_record/rr/r[@k='E']/@d)+sum(/d/exp_statement_record/rr/r[@k='E']/@e)+sum(/d/exp_statement_record/rr/r[@k='E']/@f)+sum(/d/exp_statement_record/rr/r[@k='E']/@g)+sum(/d/exp_statement_record/rr/r[@k='E']/@h)+sum(/d/exp_statement_record/rr/r[@k='E']/@i)+sum(/d/exp_statement_record/rr/r[@k='E']/@j)"/>
	<xsl:variable name="total_comp" select="sum(/d/exp_statement_record/rr/r[@k='C']/@d)+sum(/d/exp_statement_record/rr/r[@k='C']/@e)+sum(/d/exp_statement_record/rr/r[@k='C']/@f)+sum(/d/exp_statement_record/rr/r[@k='C']/@g)+sum(/d/exp_statement_record/rr/r[@k='C']/@h)+sum(/d/exp_statement_record/rr/r[@k='C']/@i)+sum(/d/exp_statement_record/rr/r[@k='C']/@j)"/>
	
	<xsl:variable name="ro_employee">
	<xsl:choose>
		<xsl:when test="($login_user_id=$UsID or $login_user_id='') and (not($isSubmitted) or count(/d/rr/r)=0)">N</xsl:when>
		<xsl:when test="($RoID=2 or $RoID=4) and ($isSubmitted and not($isApproved) and not($isProcessed))">N</xsl:when>
		<xsl:when test="$RoID=3 and ($isSubmitted and not($isProcessed))">N</xsl:when><!--<xsl:when test="$RoID=3 and ($isSubmitted and not($isProcessed))">N</xsl:when>-->
		<xsl:otherwise>Y</xsl:otherwise>
	</xsl:choose>
	</xsl:variable>
	<xsl:variable name="ro_company">
		<xsl:choose>
			<xsl:when test="$RoID=3">N</xsl:when>
			<xsl:when test="$RoID=1 and not($isSubmitted)">N</xsl:when>
			<xsl:when test="($RoID=2 or $RoID=4) and not($isApproved)">N</xsl:when>
			<xsl:otherwise>Y</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>

<xsl:template match="/">

<html>
	<head>
		<title>Expense Statement <xsl:if test="$exp_statement_id!=''">No.<xsl:value-of select="$exp_statement_id"/></xsl:if></title>
		<meta http-equiv="content-type" content="text/html; charset=windows-1251"/>
		<meta content="mshtml 6.00.2800.1400" name="generator"/>
		<link href="/tts/i/print.css" media="all" type="text/css" rel="stylesheet"/>
	</head>
	<body>
	<h1><xsl:value-of select="$oa"/> &#160;<xsl:if test="$exp_statement_id!=''">No.<xsl:value-of select="$exp_statement_id"/><br/><h3><xsl:value-of select="$user_name"/></h3></xsl:if></h1>
	
	<table cellspacing="0" cellpadding="4" border="0">
		<tr ctrlrow=""><td width="50"></td><td width="200"><b>Dates</b></td></tr>
			<tr><td align="right">from:&#160;</td><td class="i"><xsl:value-of select="$start_date"/></td></tr>
			<tr><td align="right">to:&#160;</td><td class="i"><xsl:value-of select="$end_date"/></td></tr>
			<tr><td align="right">project:&#160;</td><td class="i" valign="top"><xsl:value-of select="$project_name"/></td></tr>
			<tr><td align="right">notes:&#160;</td><td class="i" valign="top"><xsl:value-of select="$note"/></td></tr>
		<tr><td align="right">total:&#160;</td><td class="i" valign="top">
			<xsl:choose>
				<xsl:when test="$RoID=3"><xsl:value-of select="format-number($total_comp+$total_emp,$FormatCrs,'non')"/></xsl:when>
				<xsl:otherwise><xsl:value-of select="format-number($total_emp,$FormatCrs,'non')"/></xsl:otherwise>
			</xsl:choose>
		</td></tr>
		<tr><td colspan="4"><i>
			<xsl:if test="not($isSubmitted)">not </xsl:if><b>submitted</b>&#160;<xsl:if test="$isSubmitted">on&#160;<xsl:value-of select="$submitted_date"/><br/></xsl:if>
			<xsl:if test="($isApproved)"><b>approved</b> by <xsl:value-of select="$approved_by"/>&#160;on&#160;<xsl:value-of select="$approved_date"/><br/></xsl:if>
			<xsl:if test="$isReimbursed"><b>reimbursed</b> by <xsl:value-of select="$reimbursed_by"/>&#160;on&#160;<xsl:value-of select="$reimbursed_date"/><br/></xsl:if>
			<xsl:if test="$isProcessed"><b>processed</b> by <xsl:value-of select="$processed_by"/>&#160;on&#160;<xsl:value-of select="$processed_date"/><br/></xsl:if>
			<xsl:if test="$isInvoiced"><b>invoiced</b> - <a href="detail?o=reimbursement&amp;oid={$invoice_id}&amp;s={$s}">invoice id- <xsl:value-of select="$invoice_id"/></a></xsl:if>
		</i></td></tr>
	</table>

<xsl:if test="$exp_statement_id!=''"><br/><xsl:call-template name="list"/><br/></xsl:if>
</body></html>
</xsl:template>

	<xsl:template name="list">
			<table cellspacing="1" cellpadding="3" width="100%" border="1" id="list">
			<thead>
				<tr valign="center">
					<th rowspan="2" width="90"><span>date</span></th>
					<th rowspan="2" width="100%"><span>notes</span></th>
					<th colspan="7"><span>amounts</span></th>
					<th rowspan="2"><span>total</span></th>
				</tr>
				<tr valign="center">
					<th width="60">lodging</th>
					<th width="60">transport</th>
					<th width="60">fuel</th>
					<th width="60">meals</th>
					<th width="60">phone</th>
					<th width="60">fun</th>
					<th width="60">other</th>
				</tr>
			</thead>
			<tbody>
				<tr><th colspan="11">Expenses incurred by employee</th></tr>
					<xsl:for-each select="/d/exp_statement_record/rr/r[@k='E']">
					<xsl:variable name="class">lst<xsl:value-of select="floor((position()+1) mod 2)"/></xsl:variable>
					<xsl:variable name="date_record"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="@b"/></xsl:call-template></xsl:variable>
					<tr id="{@a}">	
							<td><xsl:value-of select="$date_record"/></td>
							<td><xsl:value-of select="@c"/></td>
							<td align="right"><xsl:value-of select="format-number(@d,$FormatCrs,'non')"/></td>
							<td align="right"><xsl:value-of select="format-number(@e,$FormatCrs,'non')"/></td>
							<td align="right"><xsl:value-of select="format-number(@f,$FormatCrs,'non')"/></td>
							<td align="right"><xsl:value-of select="format-number(@g,$FormatCrs,'non')"/></td>
							<td align="right"><xsl:value-of select="format-number(@h,$FormatCrs,'non')"/></td>
							<td align="right"><xsl:value-of select="format-number(@i,$FormatCrs,'non')"/></td>
							<td align="right"><xsl:value-of select="format-number(@j,$FormatCrs,'non')"/></td>
							<td align="right"><xsl:value-of select="format-number((@d+@e+@f+@g+@h+@i+@j),$FormatCrs,'non')"/></td>
					</tr>	
				</xsl:for-each>
				<tr valign="center">
					<td colspan="2" align="right">Total amount for expenses incurred by employee: <xsl:value-of select="$start_date"/>-<xsl:value-of select="$end_date"/></td>
					<td align="right"><b><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='E']/@d),$FormatCrs,'non')"/></b></td>
					<td align="right"><b><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='E']/@e),$FormatCrs,'non')"/></b></td>
					<td align="right"><b><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='E']/@f),$FormatCrs,'non')"/></b></td>
					<td align="right"><b><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='E']/@g),$FormatCrs,'non')"/></b></td>
					<td align="right"><b><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='E']/@h),$FormatCrs,'non')"/></b></td>
					<td align="right"><b><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='E']/@i),$FormatCrs,'non')"/></b></td>
					<td align="right"><b><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='E']/@j),$FormatCrs,'non')"/></b></td>
					<td align="right"><b><xsl:value-of select="format-number($total_emp,$FormatCrs,'non')"/></b></td>
				</tr>
			<tr><th colspan="11"><br/><br/>Expenses incurred by company</th></tr>
			<xsl:for-each select="/d/exp_statement_record/rr/r[@k='C']">
					<xsl:variable name="class">lst<xsl:value-of select="floor((position()+1) mod 2)"/></xsl:variable>
					<xsl:variable name="date_record"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="@b"/></xsl:call-template></xsl:variable>
					<tr id="{@a}">	
						<td><input type="hidden" name="START_DATE" value="{$date_record}"/><xsl:value-of select="$date_record"/></td>
						<td><xsl:value-of select="@c"/></td>
						<td align="right"><xsl:value-of select="format-number(@d,$FormatCrs,'non')"/></td>
						<td align="right"><xsl:value-of select="format-number(@e,$FormatCrs,'non')"/></td>
						<td align="right"><xsl:value-of select="format-number(@f,$FormatCrs,'non')"/></td>
						<td align="right"><xsl:value-of select="format-number(@g,$FormatCrs,'non')"/></td>
						<td align="right"><xsl:value-of select="format-number(@h,$FormatCrs,'non')"/></td>
						<td align="right"><xsl:value-of select="format-number(@i,$FormatCrs,'non')"/></td>
						<td align="right"><xsl:value-of select="format-number(@j,$FormatCrs,'non')"/></td>
						<td align="right"><xsl:value-of select="format-number((@d+@e+@f+@g+@h+@i+@j),$FormatCrs,'non')"/></td>
					</tr>	
			</xsl:for-each>
			<tr valign="center">
				<td colspan="2" align="right">Total amount for expenses incurred by company: <xsl:value-of select="$start_date"/> - <xsl:value-of select="$end_date"/></td>
				<td align="right"><b><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='C']/@d),$FormatCrs,'non')"/></b></td>
				<td align="right"><b><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='C']/@e),$FormatCrs,'non')"/></b></td>
				<td align="right"><b><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='C']/@f),$FormatCrs,'non')"/></b></td>
				<td align="right"><b><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='C']/@g),$FormatCrs,'non')"/></b></td>
				<td align="right"><b><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='C']/@h),$FormatCrs,'non')"/></b></td>
				<td align="right"><b><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='C']/@i),$FormatCrs,'non')"/></b></td>
				<td align="right"><b><xsl:value-of select="format-number(sum(/d/exp_statement_record/rr/r[@k='C']/@j),$FormatCrs,'non')"/></b></td>
				<td align="right"><b><xsl:value-of select="format-number($total_comp,$FormatCrs,'non')"/></b></td>
			</tr>
		</tbody>
	</table>
</xsl:template>	
</xsl:stylesheet>


