<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

	<xsl:variable name="field_privilege_id"><xsl:apply-templates select="/d/cc/c[.='FIELD_PRIVILEGE_ID']/@h"/></xsl:variable>
	<xsl:variable name="object_alias"><xsl:apply-templates select="/d/cc/c[.='OBJECT_ALIAS']/@h"/></xsl:variable>
	<xsl:variable name="object_privilege_id"><xsl:apply-templates select="/d/cc/c[.='OBJECT_PRIVILEGE_ID']/@h"/></xsl:variable>
	<xsl:variable name="field_name"><xsl:apply-templates select="/d/cc/c[.='FIELD_NAME']/@h"/></xsl:variable>
	<xsl:variable name="field_alias"><xsl:apply-templates select="/d/cc/c[.='FIELD_ALIAS']/@h"/></xsl:variable>
	<xsl:variable name="required_field" select="/d/cc/c[.='REQUIRED_FIELD']/@h"/>
	<xsl:variable name="field_type"><xsl:apply-templates select="/d/cc/c[.='FIELD_TYPE']/@h"/></xsl:variable>

	<xsl:template match="/">
		<h1><xsl:value-of select="$object_alias"/> field</h1>
		
		<form name="frmXML" method="post">
			<input type="hidden" name="act" value="?o={$o}&amp;oid={$oid}&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}"/>
			<input type="hidden" value="" name="xml"/>
		</form>

		<form name="frm" method="post" onsubmit="return false;" id="detail">
		<xsl:call-template name="strTable"><xsl:with-param name="title">Field Details</xsl:with-param><xsl:with-param name="width" select="350"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3" border="0">
				<tr ctrlrow=""><td width="150"></td><td><input name="field_privilege_id"  type="hidden" id="id" value="{$oid}"/></td></tr>
				<tr><td>field name:<xsl:call-template name="ico_req"/></td><td><input name="field_name" type="text" size="30" maxlength="50" id="r" value="{$field_name}"/></td></tr>
				<tr><td>field alias:<xsl:call-template name="ico_req"/></td><td><input name="field_alias"  type="text" size="30" maxlength="50" value="{$field_alias}"/></td></tr>
				<tr><td>object:<xsl:call-template name="ico_req"/></td><td>
					<xsl:call-template name='select'>
						<xsl:with-param name="value" select="$object_privilege_id"/>
						<xsl:with-param name="name" select="string('OBJECT_NAME')"/>
						<xsl:with-param name="nodes" select="/d/object_privilege_id"/>
						<xsl:with-param name="id" select="string('r')"/>
					</xsl:call-template></td></tr>
				<tr><td>type in detail page:<xsl:call-template name="ico_req"/></td><td>
					<select name="field_type">
						<option value="T"><xsl:if test="$field_type='T'"><xsl:attribute name="selected"/></xsl:if>Text</option>
						<option value="R"><xsl:if test="$field_type='R'"><xsl:attribute name="selected"/></xsl:if>Read Only</option>
						<option value="S"><xsl:if test="$field_type='S'"><xsl:attribute name="selected"/></xsl:if>Select</option>
						<option value="C"><xsl:if test="$field_type='C'"><xsl:attribute name="selected"/></xsl:if>Checkbox</option>
						<option value="H"><xsl:if test="$field_type='H'"><xsl:attribute name="selected"/></xsl:if>Hidden</option>
					</select>
				</td></tr>
			</table>
		<xsl:call-template name="endTable"/>
	</form>
		<xsl:call-template name="Navigation">
			<xsl:with-param name="Buttons">
				<button onclick="document.location='list?o={$o}&amp;sti={$sti}&amp;s={$s}&amp;pn={$pn}'">Fields <u>L</u>ist </button>
				<button><xsl:attribute name="onclick"><xsl:choose><xsl:when test="$field_privilege_id!=''">execUpdate()</xsl:when><xsl:otherwise>execInsert();</xsl:otherwise></xsl:choose></xsl:attribute> <u>S</u>ave changes</button>
			</xsl:with-param>
		</xsl:call-template>
</xsl:template>	
</xsl:stylesheet>


