<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

	<xsl:variable name="invoice_id"><xsl:apply-templates select="/d/cc/c[.='INVOICE_ID']/@h"/></xsl:variable>
	<xsl:variable name="invoice_num"><xsl:apply-templates select="/d/cc/c[.='INVOICE_NUM']/@h"/></xsl:variable>
	<xsl:variable name="user_name"><xsl:apply-templates select="/d/cc/c[.='USER_NAME']/@h"/></xsl:variable>
	<xsl:variable name="po_num"><xsl:apply-templates select="/d/cc/c[.='PO_NUM']/@h"/></xsl:variable>
	<xsl:variable name="hours"><xsl:apply-templates select="/d/cc/c[.='INVOICED_PO_HOURS']/@h"/></xsl:variable>
	<xsl:variable name="bill_rate"><xsl:apply-templates select="/d/cc/c[.='BILL_RATE']/@h"/></xsl:variable>
	<xsl:variable name="invoiced_date"><xsl:apply-templates select="/d/cc/c[.='INVOICED_DATE']/@h"/></xsl:variable>
	<xsl:variable name="active"><xsl:apply-templates select="/d/cc/c[.='ACTIVE']/@h"/></xsl:variable>

<xsl:template match="/">
	<h1><xsl:value-of select="$oa"/> #<xsl:value-of select="$invoice_num"/></h1>
	<form name="frmXML" method="post">
		<input type="hidden" name="oid" value="{$oid}"/>
		<input type="hidden" name="act" value="?o={$o}&amp;oid={$oid}&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}"/>
		<input type="hidden" value="" name="xml"/>
	</form>

	<form name="frm" method="post" onsubmit="return false;" id="detail">
		<xsl:call-template name="strTable"><xsl:with-param name="title">Invoice Details</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3" border="0">
				<tr ctrlrow=""><td width="100"></td><td><input name="invoice_id" type="hidden" id="id" value="{$invoice_id}"/></td></tr>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'LOGIN_USER_NAME'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'INVOICE_NUM'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'PO_NUM'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'INVOICE_WORKED_HOURS'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'INVOICED_HOURS'"/><xsl:with-param name="field_name" select="'HOURS'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'BILL_RATE'"/></xsl:call-template>
				<xsl:call-template name="field"><xsl:with-param name="name" select="'INVOICED_DATE'"/></xsl:call-template>
			</table>
		<xsl:call-template name="endTable"/>
	</form>
	<br/><br/>
	<xsl:call-template name="list"/>

	<xsl:call-template name="Navigation">
		<xsl:with-param name="Buttons">
			<button onclick="document.location='list?o={$o}&amp;sti={$sti}&amp;s={$s}&amp;pn={$pn}&amp;y={$y}&amp;m={$m}&amp;d={$d}'">Invoice <u>L</u>ist </button>
			<xsl:if test="$RoID=3"><button onclick="execUpdate()"><u>S</u>ave changes</button></xsl:if>
		</xsl:with-param>
	</xsl:call-template>
</xsl:template>	

<xsl:template name="list">
	<h3>Hours Worked</h3>
		<table cellspacing="0" cellpadding="0" width="100%" border="0" id="list">
			<tr valign="center">
				<th width="30"><span>&#160;</span></th>
				<th width="140"><span>date</span></th>
				<th width="150"><span>project</span></th>
				<th width="80"><span>total</span></th>
				<th width="200"><span>invoiced by</span></th>
				<th width="100"><span>invoiced date</span></th>
				<th><span>&#160;</span></th>
			</tr>
			<xsl:for-each select="/d/worked_hours/rr/r">
				<xsl:variable name="project_id" select="@g"/>
				<xsl:if test="/d/project/rr/r[@a=$project_id]/@b!=''">
					<xsl:variable name="class">lst<xsl:value-of select="floor((position()) mod 2)"/></xsl:variable>
					<tr id="{@a}">
							<th><span><xsl:value-of select="position()"/></span></th>
							<xsl:apply-templates select="@*[position()>1 and position()&lt;(last())]"/><td class="{$class}"/>
					</tr>
				</xsl:if>
			</xsl:for-each>
			<tr>
				<td colspan="3" align="right"><b>Total: </b></td>
				<td align="right"><b><xsl:value-of select="format-number(sum(/d/worked_hours/rr/r/@d),$FormatHour,'non')"/></b></td>
				<td></td>
			</tr>
	</table>
</xsl:template>	
</xsl:stylesheet>


