<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

<xsl:template match="/">
	<br/>
	<xsl:choose>
		<xsl:when test="$oid=''"><xsl:call-template name="ComposeMsg"/></xsl:when>
		<xsl:otherwise><xsl:call-template name="ViewMsg"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>	

<xsl:template name="ViewMsg">
	<xsl:variable name="message_id"><xsl:apply-templates select="/d/cc/c[.='MESSAGE_ID']/@h"/></xsl:variable>
	<xsl:variable name="subject"><xsl:apply-templates select="/d/cc/c[.='SUBJECT']/@h"/></xsl:variable>
	<xsl:variable name="text"><xsl:apply-templates select="/d/cc/c[.='TEXT']/@h"/></xsl:variable>
	<xsl:variable name="from_user"><xsl:apply-templates select="/d/cc/c[.='FROM_USER']/@h"/></xsl:variable>
	<xsl:variable name="to_login_user_id"><xsl:apply-templates select="/d/cc/c[.='TO_LOGIN_USER_ID']/@h"/></xsl:variable>
	<xsl:variable name="from_login_user_id"><xsl:apply-templates select="/d/cc/c[.='FROM_LOGIN_USER_ID']/@h"/></xsl:variable>
	<xsl:variable name="to_user"><xsl:apply-templates select="/d/cc/c[.='TO_USER']/@h"/></xsl:variable>
	<xsl:variable name="creation_date"><xsl:apply-templates select="/d/cc/c[.='CREATION_DATE']/@h"/></xsl:variable>
	<xsl:variable name="urgent"><xsl:apply-templates select="/d/cc/c[.='URGENT']/@h"/></xsl:variable>
	<xsl:variable name="box"><xsl:if test="$UsID=$from_login_user_id">@out</xsl:if></xsl:variable>
	
	<form name="frm" onsubmit="" action="?s={$s}&amp;sti={$sti}" method="post">
		<input type="hidden" name="xml"/><input type="hidden" name="oid" value="{$message_id}" np="Y"/>
		<xsl:call-template name="strTable"><xsl:with-param name="title"></xsl:with-param><xsl:with-param name="width" select="450"/></xsl:call-template>
			<table width="97%" border="0">
				<tr><td><h3> from <xsl:value-of select="$from_user"/></h3></td></tr>
				<tr><td><h3> to <xsl:value-of select="$to_user"/></h3><xsl:if test="$urgent='Y'"><img src="/tts/i/i/ico_urgent.gif" style="float:right;"/></xsl:if><br/></td></tr>
				<tr><td><h2><xsl:value-of select="$subject"/></h2></td></tr>
				<tr><td><textarea style="width:100%; height:200px; border:0px;" contenteditable="false"><xsl:value-of select="$text" disable-output-escaping="yes"/></textarea></td></tr>
				<tr><td height="100%" align="right" valign="bottom"><h5><xsl:value-of select="$creation_date"/></h5></td></tr>
			</table>
		<xsl:call-template name="endTable"/>
		<script>
		function softDelete(){
			if(window.confirm("Are you sure you want to delete this message?")){
				f=document.forms['frm'];
				f.xml.value='&lt;w c="message_id"  k="">'+f.oid.value+'&lt;/w><xsl:if test="$UsID=$from_login_user_id">&lt;w c="from_active">N&lt;/w></xsl:if><xsl:if test="$UsID=$to_login_user_id">&lt;w c="to_active">N&lt;/w></xsl:if>';
				f.action='update?o=message&amp;s=<xsl:value-of select="$s"/>&amp;sti=<xsl:value-of select="/d/i/sti"/>';
				f.submit();
			}
		}
		</script>
 </form>
	<xsl:call-template name="Navigation">
		<xsl:with-param name="Buttons">
			<button onclick="document.location='list?o=message{$box}&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}'"><u>B</u>ack to list </button>&#160;
			<button onclick="this.form.submit()"><u>D</u>elete message </button>
		</xsl:with-param>
	</xsl:call-template>
		
</xsl:template>

<xsl:template name="ComposeMsg">
<h1>Send message</h1>
	<form name="frmXML" method="post" action="send?o=message&amp;s={$s}&amp;sti={$sti}">
		<input type="hidden" name="message_id" id="id" value="0"/>
		<input type="hidden" name="to_login_user_id" value="to_login_user_id"/>
		<input type="hidden" name="subject"/>
		<input type="hidden" name="urgent"/>
		<input type="hidden" name="content"/>
	</form>
	<xsl:variable name="selectedUser" select="/d/i/r"/>
	<form name="frm" method="post" id="detail" onsubmit="return false;">
		<table width="550" cellspacing="0" cellpadding="3" border="0">
			<tr ctrlrow=""><td width="30"></td><td width="450"></td><td width="70"></td></tr>
				<tr><td>subject:<xsl:call-template name="ico_req"/></td><td><input name="subject" style="width:100%;" type="text" size="34" maxlength="50" id="r" value=""/></td><td> urgent:<select name="urgent" style="width:40px;"><option value='N'>No</option><option value='Y'>Yes</option></select></td></tr>
				<tr><td valign="top">to:<xsl:call-template name="ico_req"/></td><td colspan="3">
					<select name="to_user" id="r" style="width:100%;" multiple="multiple" size="5">
						<option value="">(Select recipient)</option>
						<xsl:if test="$selectedUser!=''"><option value="{$selectedUser}" selected=""><xsl:value-of select="/d/recipient/rr/r[@a=$selectedUser]/@b"/></option></xsl:if>
						<xsl:for-each select="/d/recipient/rr/r[@a!=$selectedUser]"><option value="{@a}"><xsl:value-of select="@b"/></option></xsl:for-each>
					</select>
				</td></tr>
				<tr><td>text:</td><td colspan="2"><textarea name="content" style="width:100%;" rows="12"></textarea></td>
			</tr>
		</table>
	</form>
	<script>
		function sendMessage(byEmail){
			var s="", req="", cnt=0;
			var f=document.forms['frm'];
			var fXML=document.forms['frmXML'];
			fXML.subject.value=f.subject.value;
			fXML.urgent.value=f.urgent.value;
			fXML.content.value=f.content.value.replace(/&lt;/g, '&lt;').replace(/&amp;/g, '&amp;').replace(/&gt;/g, '&gt;');
			for(i=0; i&lt;f.elements['to_user'].length; i++)
				if(f.elements['to_user'].options[i].selected){
					s+=(cnt?',':'') + (f.elements['to_user'].options[i].value);
					cnt++;
				}
			fXML.to_login_user_id.value=s;
			if(s=='') req='\nto user'
			if(f.subject.value=='') req+='\nsubject'
			
			/*types=document.getElementsByName('m_type');
			for(i=0;i&lt;types.length; i++)
				if(types[i].checked){m_type=types[i].value;break;}
			if(m_type=='') req+='\nmail or offline message'*/
			if(req!='')alert('The fallowing required fileds are empty:' + req)
			else{
				fXML.submit();
			}
		}
	</script>
	<xsl:call-template name="Navigation">
		<xsl:with-param name="Buttons">
			<button onclick="sendMessage();"> <u>S</u>end </button>
		</xsl:with-param>
	</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>


