<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

	<xsl:variable name="object_privilege_id"><xsl:apply-templates select="/d/cc/c[.='OBJECT_PRIVILEGE_ID']/@h"/></xsl:variable>
	<xsl:variable name="object_name"><xsl:apply-templates select="/d/cc/c[.='OBJECT_NAME']/@h"/></xsl:variable>
	<xsl:variable name="object_alias"><xsl:apply-templates select="/d/cc/c[.='OBJECT_ALIAS']/@h"/></xsl:variable>
	<xsl:variable name="type"><xsl:apply-templates select="/d/cc/c[.='TYPE']/@h"/></xsl:variable>
	<xsl:variable name="active"><xsl:apply-templates select="/d/cc/c[.='ACTIVE']/@h"/></xsl:variable>


<xsl:template match="/">
<h1>Object</h1>
	<form name="frmXML" method="post">
		<input type="hidden" name="oid" value="{$oid}"/>
		<input type="hidden" name="act" value="?o={$o}&amp;oid={$oid}&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}"/>
		<input type="hidden" value="" name="xml"/>
	</form>

	<form name="frm" method="post" onsubmit="return false;" id="detail">
		<xsl:call-template name="strTable"><xsl:with-param name="title">Object Details</xsl:with-param><xsl:with-param name="width" select="400"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3" border="0">
				<tr ctrlrow=""><td width="120"></td><td><input name="object_privilege_id"  type="hidden" id="id" value="{$object_privilege_id}"/></td></tr>
				<tr><td>object_name:<xsl:call-template name="ico_req"/></td><td><input name="object_name" type="text" size="30" maxlength="50" id="r" value="{$object_name}"/></td></tr>
				<tr><td>object_alias:<xsl:call-template name="ico_req"/></td><td><input name="object_alias"  type="text" size="30" maxlength="50" value="{$object_alias}"/></td></tr>
				<tr><td>type:<xsl:call-template name="ico_req"/></td><td>
					<select name="type">
						<option value="Y">View</option>
						<option value="N">No Access</option>
					</select>
				</td></tr>
			</table>
		<xsl:call-template name="endTable"/>
	</form>

	<form name="frm13" method="post" enctype="multipart/form-data" action="file?o=object_privilege&amp;oid={$object_privilege_id}&amp;s={$s}&amp;sti={$sti}">
		<xsl:call-template name="strTable"><xsl:with-param name="title" select="string('Help Documents')"/><xsl:with-param name="width" select="400"/></xsl:call-template>
			<table cellspacing="0" cellpadding="2" border="0" id="list">
				<xsl:for-each select="/d/document/rr/r">
					<xsl:variable name="class">lst<xsl:value-of select="floor((position()+1) mod 2)"/></xsl:variable>
					<tr><td height="22" class="{$class}" width="15">
						<a href="file?oid={@a}&amp;s={$s}"><img border="0" width="15" height="15">
							<xsl:attribute name="src">/tts/i/i/ico_<xsl:choose>
									<xsl:when test="(@c='.JPG') or ((@c='.JPEG')) or (@c='.GIF') or (@c='.PNG')">img</xsl:when>
									<xsl:when test="(@c='.TXT') or (@c='.RTF') or (@c='.DOC')">doc</xsl:when>
									<xsl:when test="(@c='.HTM') or (@c='.HTML')">web</xsl:when>
									<xsl:otherwise>att</xsl:otherwise>
								</xsl:choose>.gif</xsl:attribute></img></a>
					</td>
					<td class="{$class}" width="340"><a href="file?oid={@a}&amp;s={$s}"><xsl:value-of select="@b"/></a> [<xsl:value-of select="@d"/>]</td>
					<td class="{$class}" width="20"><a href="file?oid={@a}&amp;s={$s}&amp;a=d"><img src="/tts/i/i/ico_del.gif" border="0" alt="Delete"/></a></td>
					</tr>
				</xsl:for-each>
					<tr><td height="22" colspan="4">
							<!--<select name="note"><option>type</option><option value="LIST">list</option><option value="SEARCH">search</option><option value="DETAIL">detail</option></select>-->
							<input type="file" name="FILE_1" size="39" onchange="this.form.btnUpload.disabled=(this.value=='')"/><!--notes:<input type="text" name="NOTE" size="18"/><br/>-->
							<button name="btnUpload" type="submit"  disabled="">Upload</button>
					</td></tr>
			</table>
		<xsl:call-template name="endTable"/>
	</form>

	<xsl:call-template name="Navigation">
		<xsl:with-param name="Buttons">
			<button onclick="document.location='list?o={$o}&amp;sti={$sti}&amp;s={$s}&amp;pn={$pn}'">Object <u>l</u>ist </button>
			<button><xsl:attribute name="onclick"><xsl:choose><xsl:when test="$object_privilege_id!=''">execUpdate()</xsl:when><xsl:otherwise>execInsert();</xsl:otherwise></xsl:choose></xsl:attribute> <u>S</u>ave changes</button>
		</xsl:with-param>
	</xsl:call-template>
</xsl:template>	
</xsl:stylesheet>
