<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

	<xsl:variable name="project_id"><xsl:apply-templates select="/d/cc/c[.='PROJECT_ID']/@h"/></xsl:variable>
	<xsl:variable name="project_name"><xsl:apply-templates select="/d/cc/c[.='PROJECT_NAME']/@h"/></xsl:variable>
	<xsl:variable name="project_desc"><xsl:apply-templates select="/d/cc/c[.='PROJECT_DESC']/@h"/></xsl:variable>
	<xsl:variable name="client_id"><xsl:apply-templates select="/d/cc/c[.='CLIENT_ID']/@h"/></xsl:variable>
	<xsl:variable name="client_name" select="/d/client_id/rr/r[$client_id=@a]/@b"/>
	<xsl:variable name="active"><xsl:apply-templates select="/d/cc/c[.='ACTIVE']/@h"/></xsl:variable>

<xsl:template match="/">
	<h1><xsl:value-of select="$oa"/></h1>

	<form name="frmXML" method="post">
		<input type="hidden" name="act" value="?o={$o}&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}"/>
		<input type="hidden" value="" name="xml"/>
		<input type="hidden" name="om" value="login_user_project"/>
		<input type="hidden" name="xmlm" value=""/>
		<input type="hidden" name="ol" value="supervisor_project"/>
		<input type="hidden" name="xmll" value=""/>
	</form>

	<form name="frm" method="post" onsubmit="return false;" id="detail">
		<xsl:call-template name="strTable"><xsl:with-param name="title">Project Details</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3" border="0">
				<tr ctrlrow=""><td width="80"></td><td><input name="PROJECT_ID"  type="hidden" id="id" value="{$project_id}"/></td></tr>
				<tr><td>name:<xsl:call-template name="ico_req"/></td><td><input name="PROJECT_NAME" type="text" size="30" maxlength="50" id="r" value="{$project_name}"/></td></tr>
				<tr><td>description:</td><td><input name="PROJECT_DESC"  type="text" size="30" maxlength="50" value="{$project_desc}"/></td></tr>
				<tr><td>client:<xsl:call-template name="ico_req"/></td><td>
					<xsl:call-template name='select'>
						<xsl:with-param name="value" select="$client_id"/>
						<xsl:with-param name="name" select="string('CLIENT_ID')"/>
						<xsl:with-param name="nodes" select="/d/client_id"/>
						<xsl:with-param name="id" select="string('r')"/>
					</xsl:call-template></td></tr>
				<tr><td>active:</td><td><select name="active"><option value="Y"><xsl:if test="$active='Yes'"><xsl:attribute name="selected"/></xsl:if>Yes</option><option value="N"><xsl:if test="$active='No'"><xsl:attribute name="selected"/></xsl:if>No</option></select></td></tr>
			</table>
		<xsl:call-template name="endTable"/>
	</form>
	
	<xsl:if test="$project_id!=''">
		<form name="frm1" method="post" onsubmit="return false;" id="detail">
			<xsl:call-template name="strTable"><xsl:with-param name="title"> <xsl:value-of select="$client_name"/> Team</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
					<div style="overflow-y : auto; height:150px; width:280px;">
					<table width="100%" border="0">
					<tr ctrlrow=""><td width="250"></td></tr>
						<xsl:for-each select="/d/login_user/rr/r"><xsl:sort select="@b"/><xsl:variable name="LoginUserId" select="@a"/>
							<tr><td><xsl:value-of select="@b"/></td><td><input type="checkbox" name="{@c!=''}" id="{@c}" value="{$LoginUserId}"><xsl:if test="@c!=''"><xsl:attribute name="checked"/></xsl:if></input></td></tr>
						</xsl:for-each>						
				</table>
				</div>
			<xsl:call-template name="endTable"/>
		</form>

		<form name="frm2" method="post" onsubmit="return false;" id="detail">
			<xsl:call-template name="strTable"><xsl:with-param name="title"><xsl:value-of select="$client_name"/> Supervisors</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
				<table border="0">
					<tr ctrlrow=""><td width="250"></td></tr>
						<xsl:for-each select="/d/login_user/rr/r[@d=$client_id and @e=2]"><xsl:sort select="@b"/><xsl:variable name="LoginUserId" select="@a"/>
							<tr><td><xsl:value-of select="@b"/></td><td><input type="checkbox" name="{@f!=''}" id="{@f}" value="{$LoginUserId}"><xsl:if test="@f!=''"><xsl:attribute name="checked"/></xsl:if></input></td></tr>
						</xsl:for-each>						
				</table>
			<xsl:call-template name="endTable"/>
		</form>
	</xsl:if>
	<script>
		function gatherFields(){
			var s="", xml="",label='', field_name="", f;
			if(!execUpdate(document.frm,document.frmXML.xml, false))return false;
			var fXML=document.forms['frmXML'];

			f1=document.forms['frm1'];
			for(i=0; i&lt;f1.elements.length; i++){
				e=f1.elements[i];
				if(e.checked.toString()!=e.name){
					if(e.checked) 
						xml+='&lt;s a="i">&lt;w c="LOGIN_USER_PROJECT_ID" k="">&lt;/w>&lt;w c="PROJECT_ID"><xsl:value-of select="$project_id"/>&lt;/w>&lt;w c="LOGIN_USER_ID">'+e.value+'&lt;/w>&lt;/s>\n';
					else xml+='&lt;s a="d">&lt;w c="LOGIN_USER_PROJECT_ID" k="">'+e.id+'&lt;/w>&lt;/s>\n';
				}
				else continue;
				fXML.xmlm.value=xml;
			}
			fXML.xmlm.value=xml;xml='';
			
			f2=document.forms['frm2'];
						for(i=0; i&lt;f2.elements.length; i++){
							e=f2.elements[i];
							if(e.checked.toString()!=e.name){
								if(e.checked) 
									xml+='&lt;s a="i">&lt;w c="SUPERVISOR_PROJECT_ID" k="">&lt;/w>&lt;w c="PROJECT_ID"><xsl:value-of select="$project_id"/>&lt;/w>&lt;w c="SUPERVISOR_ID">'+e.value+'&lt;/w>&lt;/s>\n';
								else xml+='&lt;s a="d">&lt;w c="SUPERVISOR_PROJECT_ID" k="">'+e.id+'&lt;/w>&lt;/s>\n';
							}
							else continue;
							fXML.xmll.value=xml;
						}
			fXML.xmll.value=xml;xml='';
			fXML.action='update'+fXML.act.value;
			fXML.submit();
			fXML.xmlm.value='';
			fXML.xmll.value='';return true;
	}
	
	</script>
		<xsl:call-template name="Navigation">
			<xsl:with-param name="Buttons">
				<button onclick="document.location='list?o=project&amp;sti={$sti}&amp;s={$s}&amp;pn={$pn}'">Project <u>l</u>ist </button>&#160;
				<button><xsl:attribute name="onclick"><xsl:choose><xsl:when test="$project_id!=''">gatherFields()</xsl:when><xsl:otherwise>execInsert();</xsl:otherwise></xsl:choose></xsl:attribute> <u>S</u>ave changes</button>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>	
</xsl:stylesheet>


