<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

	<xsl:variable name="invoice_id"><xsl:apply-templates select="/d/cc/c[.='INVOICE_ID']/@h"/></xsl:variable>
	<xsl:variable name="invoice_num"><xsl:apply-templates select="/d/cc/c[.='INVOICE_NUM']/@h"/></xsl:variable>
	<xsl:variable name="user_name"><xsl:apply-templates select="/d/cc/c[.='USER_NAME']/@h"/></xsl:variable>
	<xsl:variable name="total_amount"><xsl:apply-templates select="/d/cc/c[.='TOTAL_AMOUNT']/@h"/></xsl:variable>
	<xsl:variable name="invoiced_date"><xsl:apply-templates select="/d/cc/c[.='INVOICED_DATE']/@h"/></xsl:variable>
	<xsl:variable name="active"><xsl:apply-templates select="/d/cc/c[.='ACTIVE']/@h"/></xsl:variable>

<xsl:template match="/">
	<h1>Invoice #<xsl:value-of select="$invoice_num"/></h1>
	<form name="frmXML" method="post">
		<input type="hidden" name="oid" value="{$oid}"/>
		<input type="hidden" name="act" value="?o={$o}&amp;oid={$oid}&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}"/>
		<input type="hidden" value="" name="xml"/>
	</form>

	<form name="frm" method="post" onsubmit="return false;" id="detail">
		<xsl:call-template name="strTable"><xsl:with-param name="title">Invoice Details</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3" border="0">
				<tr ctrlrow=""><td width="100"></td><td><input name="invoice_id"  type="hidden" id="id" value="{$invoice_id}"/></td></tr>
				<tr><td height="23">employee:</td><td><xsl:value-of select="$user_name"/></td></tr>
				<xsl:choose>
					<xsl:when test="$RoID=3">
						<tr><td height="23">invoice #:</td><td><input name="invoice_num"  type="text" maxlength="50" value="{$invoice_num}"/></td></tr>
						<tr><td>total:</td><td><input name="total"  type="text" maxlength="50" value="{$total_amount}"/></td></tr>
						<tr><td>date:</td><td><input name="invoiced_date" type="text" maxlength="10" value="{$invoiced_date}"/></td></tr>
						<tr><td>active:</td><td><select name="active"><option value="Y"><xsl:if test="$active='Yes'"><xsl:attribute name="selected"/></xsl:if>Yes</option><option value="N"><xsl:if test="$active='No'"><xsl:attribute name="selected"/></xsl:if>No</option></select></td></tr>
					</xsl:when>
					<xsl:otherwise>
						<tr><td height="23">invoice #:</td><td><xsl:value-of select="$invoice_num"/></td></tr>
						<tr><td>total:</td><td><xsl:value-of select="format-number($total_amount,$FormatHour,'non')"/></td></tr>
						<tr><td>date:</td><td><xsl:value-of select="$invoiced_date"/></td></tr>
						<tr><td>active:</td><td><xsl:value-of select="$active"/></td></tr>
					</xsl:otherwise>
				</xsl:choose>
			</table>
		<xsl:call-template name="endTable"/>
	</form>
	<br/><br/>
	<xsl:call-template name="list"/>	
	
	<xsl:call-template name="Navigation">
		<xsl:with-param name="Buttons">
			<xsl:if test="$RoID=3"><button onclick="execUpdate()"><u>S</u>ave changes</button></xsl:if>
		</xsl:with-param>
	</xsl:call-template>

</xsl:template>	

<xsl:template name="list">
	<h3>Exp Statement</h3><!-- todo-->
		<table cellspacing="0" cellpadding="0" width="100%" border="0" id="list">
			<tr valign="center">
				<th width="30"><span>&#160;</span></th>
				<th width="140"><span>date</span></th>
				<th width="150"><span>project</span></th>
				<th width="60"><span>lodging</span></th>
				<th width="60"><span>transport</span></th>
				<th width="60"><span>fuel</span></th>
				<th width="60"><span>meals</span></th>
				<th width="60"><span>phone</span></th>
				<th width="60"><span>fun</span></th>
				<th width="60"><span>other</span></th>
				<th width="60"><span>total</span></th>
				<th><span>&#160;</span></th>
			</tr>
					<xsl:for-each select="/d/exp_statements/rr/r">
						<xsl:variable name="class">lst<xsl:value-of select="floor((position()) mod 2)"/></xsl:variable>
						<xsl:variable name="date_record"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="@b"/></xsl:call-template></xsl:variable>
						<tr id="{@a}">
								<th><span><xsl:value-of select="position()"/></span></th>
								<xsl:apply-templates select="@*[position()>1]"/>
								<td align="right" class="lst1"><b><xsl:value-of select="format-number(@d+@f+@e+@g+@h+@i+@j + @k,$FormatCrs,'non')"/></b></td>
								<td class="lst1"/>
						</tr>
					</xsl:for-each>
	</table>
</xsl:template>	

</xsl:stylesheet>


