<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

	<xsl:variable name="role_id"><xsl:apply-templates select="/d/cc/c[.='ROLE_ID']/@h"/></xsl:variable>
	<xsl:variable name="role_name"><xsl:apply-templates select="/d/cc/c[.='ROLE_NAME']/@h"/></xsl:variable>
	<xsl:variable name="type"><xsl:apply-templates select="/d/cc/c[.='TYPE']/@h"/></xsl:variable>
	<xsl:variable name="description"><xsl:apply-templates select="/d/cc/c[.='DESCRIPTION']/@h"/></xsl:variable>
	<xsl:variable name="active"><xsl:apply-templates select="/d/cc/c[.='ACTIVE']/@h"/></xsl:variable>
	<xsl:variable name="system"><xsl:apply-templates select="/d/cc/c[.='SYSTEM']/@h"/></xsl:variable>

<xsl:template match="/">
<h1>Role Privileges</h1>

<form name="frmXML" method="post">
	<input type="hidden" name="act" value="?o={$o}&amp;oid={$oid}&amp;ol=role_field_privilege&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}"/>
	<input type="hidden" value="" name="xml"/>
	<input type="hidden" name="" value=""/>
	<input type="hidden" value="" name="xmll"/>
</form>
<table><tr><td valign="top">
	<form name="frm" method="post" onsubmit="return false;" id="detail">
		<xsl:call-template name="strTable"><xsl:with-param name="title">Role Details</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3" border="0">
				<tr ctrlrow=""><td width="80"></td><td><input name="role_id"  type="hidden" id="id" value="{$role_id}"/></td></tr>
				<tr><td>name:<xsl:call-template name="ico_req"/></td><td><input name="role_name" type="text" size="30" maxlength="50" id="r" value="{$role_name}"><xsl:if test="$system='Yes'"><xsl:attribute name="disabled"/></xsl:if></input></td></tr>
				<tr><td>type:<xsl:call-template name="ico_req"/></td><td>
					<xsl:choose>
						<xsl:when test="$role_id=''">
							<select name="type">
								<option value="1">Employee</option>
								<option value="3">Manager</option>
								<option value="2">Supervisor</option>
								<option value="4">Sub-supervisor</option>
								<option value="5">Observer</option>
								<option value="6">HR</option>
							</select>
						</xsl:when>
						<xsl:otherwise><xsl:value-of select="$type"/></xsl:otherwise>
					</xsl:choose>
				</td></tr>
				<tr><td>description:</td><td><input name="description"  type="text" size="30" maxlength="50" value="{$description}"><xsl:if test="$system='Yes'"><xsl:attribute name="disabled"/></xsl:if></input></td></tr>
				<tr><td>system:</td><td><xsl:if test="$system=''">No</xsl:if><xsl:value-of select="$system"/></td></tr>
				<tr><td>active:</td><td><select name="active"><xsl:if test="$system='Yes'"><xsl:attribute name="disabled"/></xsl:if><option value="Y"><xsl:if test="$active='Yes'"><xsl:attribute name="selected"/></xsl:if>Yes</option><option value="N"><xsl:if test="$active='No'"><xsl:attribute name="selected"/></xsl:if>No</option></select></td></tr>
			</table>
		<xsl:call-template name="endTable"/>
	</form>
</td><td width="10"/><td>
	<xsl:if test="$role_id!=''">
		<form name="frm1" method="post" onsubmit="return false;" id="detail">
			<xsl:for-each select="/d/field_privilege/rr/r">
				<xsl:if test="@c[not(. = ../preceding-sibling::*/@c)]">
				<xsl:variable name="object_id" select="@c"/>		
					<xsl:call-template name="strTable"><xsl:with-param name="title"> <xsl:value-of select="@e"/> Privileges</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
						<table width="280" cellpadding="0" cellspacing="0" border="0">
							<tr ctrlrow=""><th width="160"></th><th width="35">edit</th><th width="35">view</th><th width="50">hide</th></tr>
							<tr><td colspan="4">
								<div style="overflow-y : auto; height:180px; width:280px;">
								<table width="100%"  cellpadding="0" cellspacing="0" border="0">
									<tr ctrlrow=""><td width="160"></td><td width="35"></td><td width="35"></td><td width="30"></td></tr>
										<xsl:for-each select="/d/field_privilege/rr/r[@c=$object_id]">
										<xsl:sort select="@b"/>
											<tr><td><xsl:value-of select="@b"/></td>
												<td><input type="radio" name="type_{@a}" id="{@a}" value=""><xsl:if test="@f='H' or @f='R'"><xsl:attribute name="disabled"/></xsl:if><xsl:if test="@d=''"><xsl:attribute name="checked"/></xsl:if></input></td>
												<td><input type="radio" name="type_{@a}" id="{@a}" value="V"><xsl:if test="@f='H'"><xsl:attribute name="disabled"/></xsl:if><xsl:if test="@d='V'"><xsl:attribute name="checked"/></xsl:if></input></td>
												<td><input type="radio" name="type_{@a}" id="{@a}" value="N"><xsl:if test="@f='H'"><xsl:attribute name="disabled"/></xsl:if><xsl:if test="@d='N'"><xsl:attribute name="checked"/></xsl:if></input></td>
											</tr>
										</xsl:for-each>
									</table>
								</div>
							</td></tr></table>
					<xsl:call-template name="endTable"/>
				</xsl:if>
			</xsl:for-each>	
		</form>

	</xsl:if>
</td></tr></table>
	<script><![CDATA[
		function gatherFields(){
			var s="", xml="",label='', field_name="", f, e_id;
			if(!execUpdate(document.frm,document.frmXML.xml, false))return false;
			var fXML=document.forms['frmXML'];
			f1=document.forms['frm1'];
			for(i=0; i<f1.elements.length; i++){
				e=f1.elements[i];
				if(e.type=="radio" && (e.checked!=e.defaultChecked)){
					if(e.checked)xml+='<s a="u"><w c="ROLE_FIELD_PRIVILEGE_ID" k="">'+e.id+'</w><w c="TYPE">'+e.value+'</w></s>\n';
				}
			}
			fXML.xmll.value=xml;xml='';fXML.action='update'+fXML.act.value;fXML.submit();fXML.xmll.value='';return true;
	}
	]]>
	</script>
	<xsl:call-template name="Navigation">
		<xsl:with-param name="Buttons">
			<button onclick="document.location='list?o=role&amp;sti={$sti}&amp;s={$s}&amp;pn={$pn}'">Role <u>l</u>ist </button>
			<button><xsl:attribute name="onclick"><xsl:choose><xsl:when test="$role_id!=''">gatherFields()</xsl:when><xsl:otherwise>execInsert();</xsl:otherwise></xsl:choose></xsl:attribute> <u>S</u>ave changes</button>
		</xsl:with-param>
	</xsl:call-template>
</xsl:template>	
</xsl:stylesheet>


