<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]

	<xsl:variable name="project_id"><xsl:apply-templates select="/d/cc/c[.='PROJECT_ID']/@h"/></xsl:variable>
	<xsl:variable name="ticket_num"><xsl:apply-templates select="/d/cc/c[.='TICKET_NUM']/@h"/></xsl:variable>
	<xsl:variable name="priority"><xsl:apply-templates select="/d/cc/c[.='PRIORITY']/@h"/></xsl:variable>
	<xsl:variable name="description"><xsl:apply-templates select="/d/cc/c[.='DESCRIPTION']/@h"/></xsl:variable>
	<xsl:variable name="assigned_to"><xsl:apply-templates select="/d/cc/c[.='ASSIGNED_TO']/@h"/></xsl:variable>
	
	<xsl:variable name="added_date"><xsl:apply-templates select="/d/cc/c[.='ADDED_DATE']/@h"/></xsl:variable>
	<xsl:variable name="added_by"><xsl:apply-templates select="/d/cc/c[.='ADDED_BY']/@h"/></xsl:variable>
	<xsl:variable name="est_complete_date"><xsl:apply-templates select="/d/cc/c[.='EST_COMPLETE_DATE']/@h"/></xsl:variable>
	<xsl:variable name="completed_date"><xsl:apply-templates select="/d/cc/c[.='COMPLETED_DATE']/@h"/></xsl:variable>
	<xsl:variable name="completed_by"><xsl:apply-templates select="/d/cc/c[.='COMPLETED_BY']/@h"/></xsl:variable>
	<xsl:variable name="completion_notes"><xsl:apply-templates select="/d/cc/c[.='COMPLETION_NOTES']/@h"/></xsl:variable>
	<xsl:variable name="est_publish_date"><xsl:apply-templates select="/d/cc/c[.='EST_PUBLISH_DATE']/@h"/></xsl:variable>
	<xsl:variable name="published_date"><xsl:apply-templates select="/d/cc/c[.='PUBLISHED_DATE']/@h"/></xsl:variable>
	<xsl:variable name="published_by"><xsl:apply-templates select="/d/cc/c[.='PUBLISHED_BY']/@h"/></xsl:variable>
	<xsl:variable name="canceled_date"><xsl:apply-templates select="/d/cc/c[.='CANCELED_DATE']/@h"/></xsl:variable>
	<xsl:variable name="canceled_by"><xsl:apply-templates select="/d/cc/c[.='CANCELED_BY']/@h"/></xsl:variable>
	<xsl:variable name="status"><xsl:apply-templates select="/d/cc/c[.='STATUS']/@h"/></xsl:variable>


	<xsl:variable name="to_do_log_id" select="/d/to_do_log/rr/r[$UsID=@b]/@a"/>
	<xsl:variable name="check_out_date_time" select="/d/to_do_log/rr/r[$UsID=@b]/@c"/>
	<xsl:variable name="check_in_date_time" select="/d/to_do_log/rr/r[$UsID=@b]/@d"/>
	
	<xsl:variable name="login_user_project_id" select="/d/project_id/rr/r[$project_id=@a]/@c"/>


<xsl:template match="/">
<h1><xsl:value-of select="$oa"/> <xsl:if test="$oid!=''">#</xsl:if><xsl:value-of select="$oid"/></h1>
	<form name="frmXML" method="post">
		<input type="hidden" name="act" value="?o={$o}&amp;oid={$oid}&amp;s={$s}&amp;pn={$pn}&amp;sti={$sti}"/>
		<input type="hidden" value="" name="xml"/>
		<input type="hidden" value="" name="oid"/>
		<input type="hidden" value="" name="xmll"/>
	</form>

	<form name="frm" method="post" onsubmit="return false;" id="detail">
		<table border="0"><tr><td valign="top">
		
		<xsl:call-template name="strTable"><xsl:with-param name="title">To-do Details</xsl:with-param><xsl:with-param name="width" select="380"/></xsl:call-template>
			<table cellspacing="0" cellpadding="3" border="0">
				<tr ctrlrow=""><td width="110"></td><td><input name="TO_DO_ID"  type="hidden" id="id" value="{$oid}"/></td></tr>
				<tr><td>project:<xsl:call-template name="ico_req"/></td><td>
				
				<xsl:choose>
					<xsl:when test="$RoID!=3">
						<select name="PROJECT_ID" id="r" style="width:100%"><xsl:if test="$RoID=5"><xsl:attribute name="disabled"/></xsl:if>
							<xsl:for-each select="/d/project_id/rr/r[@c!='']">
								<option value="{@a}"><xsl:if test="$project_id=@a"><xsl:attribute name="selected"/></xsl:if><xsl:value-of select="@b"/></option>
							</xsl:for-each>
						</select>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name='select'>
							<xsl:with-param name="value" select="$project_id"/>
							<xsl:with-param name="name" select="string('PROJECT_ID')"/>
							<xsl:with-param name="nodes" select="/d/project_id"/>
							<xsl:with-param name="id" select="string('r')"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
				
				</td></tr>
				<tr><td>priority:<xsl:call-template name="ico_req"/></td><td><input name="PRIORITY" type="text" style="width:100%" maxlength="2" id="r" value="{$priority}"><xsl:if test="$RoID=5"><xsl:attribute name="disabled"/></xsl:if></input></td></tr>
				<tr><td>ticket #:</td><td><input name="TICKET_NUM" type="text" style="width:100%" maxlength="100" value="{$ticket_num}"><xsl:if test="$RoID=5"><xsl:attribute name="disabled"/></xsl:if></input></td></tr>
				<tr><td>description:</td><td><textarea name="DESCRIPTION"  style="width:100%" rows="18"><xsl:if test="$RoID=5"><xsl:attribute name="READONLY"/></xsl:if><xsl:value-of select="$description"/></textarea></td></tr>
				<xsl:if test="$RoID!=5">
					<tr><td>assigned to: </td><td>
						<xsl:call-template name='select'>
								<xsl:with-param name="value" select="$assigned_to"/>
								<xsl:with-param name="name" select="string('ASSIGNED_TO')"/>
								<xsl:with-param name="nodes" select="/d/login_user"/>
						</xsl:call-template>
					</td></tr>
				</xsl:if>
				<tr><td>added date:</td><td><input name="ADDED_DATE" type="text" style="width:263px;" maxlength="100" value="{$added_date}"><xsl:if test="$RoID=5"><xsl:attribute name="disabled"/></xsl:if></input><xsl:call-template name="popcal"><xsl:with-param name="ctrl" select="'document.frm.ADDED_DATE'"/></xsl:call-template></td></tr>
				<xsl:if test="$RoID!=5">
					<tr><td>added by:</td><td>
						<xsl:call-template name='select'>
								<xsl:with-param name="value" select="$added_by"/>
								<xsl:with-param name="name" select="string('ADDED_BY')"/>
								<xsl:with-param name="nodes" select="/d/login_user"/>
						</xsl:call-template>
					</td></tr>
				</xsl:if>
				<tr><td>status</td><td><b><xsl:value-of select="$status"/></b></td></tr>
			</table>
		<xsl:call-template name="endTable"/>
		
		</td><td width="10"></td><td valign="top">

		<xsl:call-template name="strTable"><xsl:with-param name="title">Completed</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
			<table  border="0" cellspacing="0" cellpadding="0">
				<tr ctrlrow=""><td width="100"/></tr>
				<tr><td>est. date:</td><td><input name="EST_COMPLETE_DATE" type="text" style="width:196px;" maxlength="10" value="{$est_complete_date}"><xsl:if test="$RoID=5"><xsl:attribute name="disabled"/></xsl:if></input><xsl:call-template name="popcal"><xsl:with-param name="ctrl" select="'document.frm.EST_COMPLETE_DATE'"/></xsl:call-template></td></tr>
				<tr><td>date:</td><td><input name="COMPLETED_DATE" type="text" style="width:196px;" maxlength="10" value="{$completed_date}"><xsl:if test="$RoID=5"><xsl:attribute name="disabled"/></xsl:if></input><xsl:call-template name="popcal"><xsl:with-param name="ctrl" select="'document.frm.COMPLETED_DATE'"/></xsl:call-template></td></tr>
				<xsl:if test="$RoID!=5">
					<tr><td>by:</td><td>
						<xsl:call-template name='select'>
								<xsl:with-param name="value" select="$completed_by"/>
								<xsl:with-param name="name" select="string('COMPLETED_BY')"/>
								<xsl:with-param name="nodes" select="/d/login_user"/>
						</xsl:call-template>
					</td></tr>
				</xsl:if>
				<tr><td>completion notes:</td><td><textarea name="COMPLETION_NOTES"  style="width:100%" rows="9"><xsl:if test="$RoID=5"><xsl:attribute name="READONLY"/></xsl:if><xsl:value-of select="$completion_notes"/></textarea></td></tr>
			</table>
		<xsl:call-template name="endTable"/><br/>
		
		
			<xsl:call-template name="strTable"><xsl:with-param name="title">Published</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
				<table border="0" cellspacing="0" cellpadding="0">
					<tr ctrlrow=""><td width="100"></td></tr>
					<tr><td>est. date:</td><td><input name="EST_PUBLISH_DATE" type="text" style="width:196px" maxlength="10" value="{$est_publish_date}"><xsl:if test="$RoID=5"><xsl:attribute name="disabled"/></xsl:if></input><xsl:call-template name="popcal"><xsl:with-param name="ctrl" select="'document.frm.EST_PUBLISH_DATE'"/></xsl:call-template></td></tr>
					<tr><td>date:</td><td><input name="PUBLISHED_DATE" type="text" style="width:196px" maxlength="10" value="{$published_date}"><xsl:if test="$RoID=5"><xsl:attribute name="disabled"/></xsl:if></input><xsl:call-template name="popcal"><xsl:with-param name="ctrl" select="'document.frm.PUBLISHED_DATE'"/></xsl:call-template></td></tr>
					<xsl:if test="$RoID!=5">
						<tr><td>by:</td><td>
							<xsl:call-template name='select'>
									<xsl:with-param name="value" select="$published_by"/>
									<xsl:with-param name="name" select="string('PUBLISHED_BY')"/>
									<xsl:with-param name="nodes" select="/d/login_user"/>
							</xsl:call-template>
						</td></tr>
					</xsl:if>
				</table>
			<xsl:call-template name="endTable"/><br/>
				
			<xsl:call-template name="strTable"><xsl:with-param name="title">Canceled</xsl:with-param><xsl:with-param name="width" select="300"/></xsl:call-template>
				<table border="0" cellspacing="0" cellpadding="0">
					<tr ctrlrow=""><td width="100"></td></tr>
					<tr><td>date:</td><td><input name="CANCELED_DATE" type="text" style="width:196px" maxlength="10" value="{$canceled_date}"><xsl:if test="$RoID=5"><xsl:attribute name="disabled"/></xsl:if></input><xsl:call-template name="popcal"><xsl:with-param name="ctrl" select="'document.frm.CANCELED_DATE'"/></xsl:call-template></td></tr>
					<xsl:if test="$RoID!=5">
						<tr><td>by:</td><td>
							<xsl:call-template name='select'>
									<xsl:with-param name="value" select="$canceled_by"/>
									<xsl:with-param name="name" select="string('CANCELED_BY')"/>
									<xsl:with-param name="nodes" select="/d/login_user"/>
							</xsl:call-template>
						</td></tr>
					</xsl:if>
				</table>
			<xsl:call-template name="endTable"/>
		</td>
		</tr></table>
	<iframe width='174' height='189' name='gToday:calendar:/tts/i/j/calendar.js' id='gToday:calendar:/tts/i/j/calendar.js' src='/tts/popcal.htm' scrolling='no' frameborder='0' style='visibility:visible; z-index:999; position:absolute; left:-500px; top:0px;' onblur="gfPop.fHideCal();"></iframe>
</form>

<xsl:if test="$RoID!=5">
	<script>
		function execCheckOut(){
			f=document.forms['frmXML']
			f.xml.value='&lt;w c="TO_DO_LOG_ID" k="">&lt;/w>&lt;w c="TO_DO_ID"><xsl:value-of select="$oid"/>&lt;/w>';
			f.xmll.value=xml='&lt;s a="u">&lt;w c="LOGIN_USER_ID" k="">[#LOGIN_USER_ID]&lt;/w>&lt;w c="CHECK_IN_TIME">3/30/2005 3:55:49 PM&lt;/w>&lt;w c="CHECK_IN_TIME" k="" null=""/>&lt;/s>\n';
			f.oid.value='<xsl:value-of select="$oid"/>';
			f.action='insert?o=to_do_log&amp;ol=to_do_log&amp;s=<xsl:value-of select="$s"/>&amp;pn=<xsl:value-of select="$pn"/>&amp;sti=<xsl:value-of select="$sti"/>';
			f.submit();f.xmll.value='';
		}

		function execCheckIn(){
			f=document.forms['frmXML']
			f.xml.value='&lt;w c="TO_DO_LOG_ID" k=""><xsl:value-of select="$to_do_log_id"/>&lt;/w>&lt;w c="CHECK_IN_TIME">3/30/2005 3:55:49 PM&lt;/w>\n';
			f.action='update?o=to_do_log&amp;s=<xsl:value-of select="$s"/>&amp;pn=<xsl:value-of select="$pn"/>&amp;sti=<xsl:value-of select="$sti"/>';
			f.submit();f.xml.value='';
		}
	</script></xsl:if>

	<xsl:call-template name="Navigation">
		<xsl:with-param name="Buttons">
			<button onclick="document.location='list?o={$o}&amp;sti={$sti}&amp;s={$s}&amp;pn={$pn}'">To-do <u>l</u>ist </button>
			<xsl:if test="$RoID!=5">
				<xsl:if test="$project_id!='' and $login_user_project_id!=''">
					<xsl:choose>
						<xsl:when test="$to_do_log_id!='' and $check_out_date_time!=''"><button onclick="execCheckIn({$to_do_log_id})">Check-in</button><br/><xsl:value-of select="$check_out_date_time"/> GMT</xsl:when>
						<xsl:otherwise><button style="width:100%;" onclick="execCheckOut()">Check-out</button></xsl:otherwise>
					</xsl:choose>
				</xsl:if>
				<button><xsl:attribute name="onclick"><xsl:choose><xsl:when test="$oid!=''">execUpdate()</xsl:when><xsl:otherwise>execInsert();</xsl:otherwise></xsl:choose></xsl:attribute> <u>S</u>ave changes</button>
			</xsl:if>
			<!--<button accesskey="s" id="np" onclick=""><u>C</u>omplete</button>&#160;
			<button accesskey="s" id="np" onclick=""><u>C</u>ancel</button>&#160;-->
		</xsl:with-param>
	</xsl:call-template>

</xsl:template>	

</xsl:stylesheet>


