<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]
	
	<xsl:variable name="W4INFO_ID"><xsl:apply-templates select="/d/cc/c[.='W4INFO_ID']/@h"/></xsl:variable>
	<xsl:variable name="LOGIN_USER_ID"><xsl:apply-templates select="/d/cc/c[.='LOGIN_USER_ID']/@h"/></xsl:variable>
	<xsl:variable name="YEAR"><xsl:apply-templates select="/d/cc/c[.='YEAR']/@h"/></xsl:variable>
	<xsl:variable name="FIRST_NAME"><xsl:apply-templates select="/d/cc/c[.='FIRST_NAME']/@h"/></xsl:variable>
	<xsl:variable name="MIDDLE_NAME"><xsl:apply-templates select="/d/cc/c[.='MIDDLE_NAME']/@h"/></xsl:variable>
	<xsl:variable name="LAST_NAME"><xsl:apply-templates select="/d/cc/c[.='LAST_NAME']/@h"/></xsl:variable>
	<xsl:variable name="STREET_1"><xsl:apply-templates select="/d/cc/c[.='STREET_1']/@h"/></xsl:variable>
	<xsl:variable name="CITY"><xsl:apply-templates select="/d/cc/c[.='CITY']/@h"/></xsl:variable>
	<xsl:variable name="STATE"><xsl:apply-templates select="/d/cc/c[.='STATE']/@h"/></xsl:variable>
	<xsl:variable name="ZIP"><xsl:apply-templates select="/d/cc/c[.='ZIP']/@h"/></xsl:variable>
	<xsl:variable name="SSN"><xsl:apply-templates select="/d/cc/c[.='SSN']/@h"/></xsl:variable>
	<xsl:variable name="MARRIED"><xsl:apply-templates select="/d/cc/c[.='MARRIED']/@h"/></xsl:variable>
	<xsl:variable name="DIFF_LAST_NAME"><xsl:apply-templates select="/d/cc/c[.='DIFF_LAST_NAME']/@h"/></xsl:variable>
	<xsl:variable name="COUNT_ALLOWANCE"><xsl:apply-templates select="/d/cc/c[.='COUNT_ALLOWANCE']/@h"/></xsl:variable>
	<xsl:variable name="ADD_AMOUNT"><xsl:apply-templates select="/d/cc/c[.='ADD_AMOUNT']/@h"/></xsl:variable>
	<xsl:variable name="EXEMPT"><xsl:apply-templates select="/d/cc/c[.='EXEMPT']/@h"/></xsl:variable>
	<xsl:variable name="LAST_UPDATED_DATE"><xsl:apply-templates select="/d/cc/c[.='LAST_UPDATED_DATE']/@h"/></xsl:variable>

	<xsl:template match="/">
		<xsl:choose>
			<xsl:when test="($LOGIN_USER_ID=$UsID)"><xsl:call-template name="write"/></xsl:when>
			<xsl:otherwise><xsl:call-template name="readonly"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="readonly">
		<h1><xsl:value-of select="$oa"/></h1>
		<form name="frmXML" method="post">
			<input type="hidden" name="act" value="?o=login_user&amp;s={$s}&amp;sti={/d/i/sti}"/>
			<input type="hidden" name="xml" value=""/>
			<input type="hidden" name="xmlm" value=""/>
		</form>
		
		<xsl:call-template name="strTable"><xsl:with-param name="title"><xsl:value-of select="$YEAR"/></xsl:with-param><xsl:with-param name="width" select="400"/></xsl:call-template>
			<table cellspacing="5" cellpadding="0"  border="0" id="detail">
				<tr ctrlrow=""><td width="10"></td><td width="180"></td><td width="90"></td></tr>
				<tr><td>1.</td><td>first name:</td><td class="i"><xsl:value-of select="$FIRST_NAME"/></td></tr>
				<tr><td></td><td>middle initial:</td><td class="i"><xsl:value-of select="$MIDDLE_NAME"/></td></tr>
				<tr><td></td><td>last name:</td><td class="i"><xsl:value-of select="$LAST_NAME"/></td></tr>
				<tr><td></td><td>home address: </td><td class="i"><xsl:value-of select="$STREET_1"/></td></tr>
				<tr><td></td><td>city, state, zip code:</td><td class="i"><xsl:value-of select="$CITY"/>, <xsl:value-of select="$STATE"/> &#160; <xsl:value-of select="$ZIP"/></td></tr>
				<tr><td>2.</td><td>social security number:</td><td class="i"><xsl:value-of select="$SSN"/></td></tr>
				<tr><td valign="top" height="20">3.</td><td valign="top" colspan="2"><xsl:value-of select="$MARRIED"/>married, but withhold at higher Single rate</td></tr>
				<tr><td valign="top" height="20">4.</td><td valign="top" colspan="2">If last name differs from that shown on social security card: &#160;<span class="i"><xsl:value-of select="$DIFF_LAST_NAME"/></span></td></tr>
				<tr><td valign="top" height="20">5.</td><td valign="top">Total number of allowances:</td><td valign="top" class="i"><xsl:value-of select="$COUNT_ALLOWANCE"/></td></tr>
				<tr><td valign="top" height="20">6.</td><td valign="top">Additional amount:</td><td valign="top" class="i"><xsl:value-of select="$ADD_AMOUNT"/></td></tr>
				<tr><td></td><td align="right">Exempt:</td><td class="i"><xsl:value-of select="$EXEMPT"/></td></tr>
				<tr><td colspan="4" align="right"><br/><h5>Last updated date:&#160;<xsl:value-of select="$LAST_UPDATED_DATE"/></h5></td></tr>
			</table>
		<xsl:call-template name="endTable"/>			
		<xsl:call-template name="Navigation">
			<xsl:with-param name="Buttons">
				<button onclick="window.history.back()"> <u>B</u>ack to list</button>
				<button onclick="document.location='list?o=w4info@history&amp;sti={$sti}&amp;s={$s}&amp;pn={$pn}&amp;oid={$LOGIN_USER_ID}'">W-4 Info <u>A</u>rchive </button>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template name="write">
		<form name="frmXML" method="post">
			<input type="hidden" name="act" value="?o=w4info&amp;s={$s}&amp;pn={$pn}&amp;sti={/d/i/sti}"/>
			<input type="hidden" name="xml" value=""/>
			<input type="hidden" name="xmlm" value=""/>
		</form>
		<form name="frm" method="post" onsubmit="return false;">
			<input name="W4INFO_ID"  type="hidden" id="id" value="{$W4INFO_ID}"/>
			<input name="LOGIN_USER_ID"  type="hidden" value="{$LOGIN_USER_ID}"/>		
			<xsl:variable name="clr"><xsl:if test="$EXEMPT='EXEMPT'">color:gray</xsl:if></xsl:variable>
			<table width="650"  cellspacing="0" cellpadding="5"  border="0" id="detail">
				<tr ctrlrow=""><td width="10"></td><td width="110"></td><td width="300"><h1>Form W-4 <xsl:value-of select="$YEAR"/></h1></td><td width="130"></td></tr>
				<tr><td>1.</td><td>first name:</td><td><input   style="{$clr};" name="FIRST_NAME" type="text" maxlength="50" value="{$FIRST_NAME}"/></td></tr>
				<tr><td></td><td>middle initial:</td><td><input style="width:20px;{$clr};" name="MIDDLE_NAME"  type="text" maxlength="50"  value="{$MIDDLE_NAME}"/></td></tr>
				<tr><td></td><td>last name:</td><td><input name="LAST_NAME"  type="text" maxlength="50" value="{$LAST_NAME}" style="{$clr};" /></td></tr>
				<tr><td></td><td>home address: </td><td><input style="{$clr};" name="STREET_1" type="text" maxlength="255"  size="50" value="{$STREET_1}"/><br/><h5>(number and street  or rural route)</h5></td></tr>
				<tr><td></td><td>city or town:</td><td><input name="CITY"  type="text" maxlength="50" value="{$CITY}" style="{$clr};"/></td></tr>
				<tr><td></td><td>state:</td><td><input name="STATE"  type="text" maxlength="15" value="{$STATE}" style="{$clr};"/></td></tr>
				<tr><td></td><td>zip code:</td><td><input name="ZIP"  type="text" maxlength="20" value="{$ZIP}"  style="width:50px;{$clr};"/></td></tr>
				<tr><td>2.</td><td>social security number:</td><td><input name="SSN" type="text"  maxlength="9" value="{$SSN}"  style="{$clr};" /></td></tr>
				<tr><td valign="top" height="20">3.</td><td colspan="2" valign="top"><input name="MARRIED" type="radio" value="N"><xsl:if test="$MARRIED='N'"><xsl:attribute name="checked"/></xsl:if></input>single&#160;&#160;<input name="MARRIED" type="radio" value="Y"><xsl:if test="$MARRIED='Y'"><xsl:attribute name="checked"/></xsl:if></input>married&#160;&#160;<input name="MARRIED" type="radio" value="M"><xsl:if test="$MARRIED='M'"><xsl:attribute name="checked"/></xsl:if></input>married, but withhold at higher Single rate.<h5><b>Note:</b> If married, but legally separeted, or spouse is a nonresident alien, check the "Single" box.</h5></td></tr>
				<tr><td valign="top" height="20">4.</td><td colspan="2" valign="top">If your last name differs from that shown on your social security card, check here. <span style="font-family:arial">&#9658;</span><br/><h5>You must call 1-800-722-1213 for a new card.</h5></td><td valign="top">&#160;<input name="DIFF_LAST_NAME" type="checkbox" value="Y"><xsl:if test="$DIFF_LAST_NAME='Y'"><xsl:attribute name="checked"/></xsl:if></input></td></tr>
				<tr><td valign="top" height="20">5.</td><td colspan="2" valign="top">Total number of allowances you are claiming (<a href="/tts/i/d/form_w4.pdf" target="_blank">see additional info</a>)</td><td valign="top">&#160;&#160;<input name="COUNT_ALLOWANCE"  type="text" maxlength="2" value="{$COUNT_ALLOWANCE}"  style="width:50px;{$clr}"/></td></tr>
				<tr><td valign="top" height="20">6.</td><td colspan="2" valign="top">Additional amount, if any, you want withheld from each paycheck:</td><td valign="top">$<input name="ADD_AMOUNT"  type="text" maxlength="10" value="{$ADD_AMOUNT}"  style="width:50px; {$clr}"/></td></tr>
				<tr><td valign="top" height="20">7.</td><td colspan="3" valign="top">I claim exemption from withholding for 2004, and I certify that I meet <b>both</b> of the following conditions for  exemption:<br/>
					<li/>Last year I had a right to a refund of <b>all</b> Federal income tax withheld because I had <b>no</b> tax liability <b>and</b> <br/>
					<li/>This year I expect a refund of <b>all</b> Federal income tax withheld because I expect to have <b>no</b> tax liability.
				</td></tr>
				<tr><td></td><td colspan="2" align="right">If you meet both conditions, type "<i>Exempt</i>" here:</td><td>&#160;<input name="EXEMPT"  type="text" maxlength="6" value="{$EXEMPT}"  style="width:50px;{$clr}"/></td></tr>
				<tr height="30"><td colspan="4" align="center">
				</td></tr>
				<tr><td colspan="4" align="right"><h5>Last updated date:</h5> <xsl:value-of select="$LAST_UPDATED_DATE"/></td></tr>
			</table>
	</form>
		<xsl:call-template name="Navigation">
			<xsl:with-param name="Buttons">
				<button onclick="document.location='list?o=w4info@history&amp;sti={$sti}&amp;s={$s}&amp;pn={$pn}&amp;oid={$LOGIN_USER_ID}'">W-4 Info <u>A</u>rchive </button>
				<button><xsl:attribute name="onclick"><xsl:choose><xsl:when test="$W4INFO_ID=''">execInsert()</xsl:when><xsl:otherwise>execUpdate()</xsl:otherwise></xsl:choose></xsl:attribute> <u>S</u>ubmit </button>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>	
</xsl:stylesheet>