<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_detail]
	
	<xsl:variable name="W4INFO_ID"><xsl:apply-templates select="/d/cc/c[.='W4INFO_ID']/@h"/></xsl:variable>
	<xsl:variable name="LOGIN_USER_ID"><xsl:apply-templates select="/d/cc/c[.='LOGIN_USER_ID']/@h"/></xsl:variable>
	<xsl:variable name="YEAR"><xsl:apply-templates select="/d/cc/c[.='YEAR']/@h"/></xsl:variable>
	<xsl:variable name="FIRST_NAME"><xsl:apply-templates select="/d/cc/c[.='FIRST_NAME']/@h"/></xsl:variable>
	<xsl:variable name="MIDDLE_NAME"><xsl:apply-templates select="/d/cc/c[.='MIDDLE_NAME']/@h"/></xsl:variable>
	<xsl:variable name="LAST_NAME"><xsl:apply-templates select="/d/cc/c[.='LAST_NAME']/@h"/></xsl:variable>
	<xsl:variable name="STREET_1"><xsl:apply-templates select="/d/cc/c[.='STREET_1']/@h"/></xsl:variable>
	<xsl:variable name="CITY"><xsl:apply-templates select="/d/cc/c[.='CITY']/@h"/></xsl:variable>
	<xsl:variable name="STATE"><xsl:apply-templates select="/d/cc/c[.='STATE']/@h"/></xsl:variable>
	<xsl:variable name="ZIP"><xsl:apply-templates select="/d/cc/c[.='ZIP']/@h"/></xsl:variable>
	<xsl:variable name="SSN"><xsl:apply-templates select="/d/cc/c[.='SSN']/@h"/></xsl:variable>
	<xsl:variable name="MARRIED"><xsl:apply-templates select="/d/cc/c[.='MARRIED']/@h"/></xsl:variable>
	<xsl:variable name="DIFF_LAST_NAME"><xsl:apply-templates select="/d/cc/c[.='DIFF_LAST_NAME']/@h"/></xsl:variable>
	<xsl:variable name="COUNT_ALLOWANCE"><xsl:apply-templates select="/d/cc/c[.='COUNT_ALLOWANCE']/@h"/></xsl:variable>
	<xsl:variable name="ADD_AMOUNT"><xsl:apply-templates select="/d/cc/c[.='ADD_AMOUNT']/@h"/></xsl:variable>
	<xsl:variable name="EXEMPT"><xsl:apply-templates select="/d/cc/c[.='EXEMPT']/@h"/></xsl:variable>
	<xsl:variable name="LAST_UPDATED_DATE"><xsl:apply-templates select="/d/cc/c[.='LAST_UPDATED_DATE']/@h"/></xsl:variable>

	<xsl:template match="/">
		<h1>Form W-4 <xsl:value-of select="$YEAR"/></h1>
		<xsl:call-template name="strTable"><xsl:with-param name="title">W-4 Info <xsl:value-of select="$YEAR"/></xsl:with-param><xsl:with-param name="width" select="145"/></xsl:call-template>
			<table width="348"  cellspacing="5" cellpadding="0"  border="0" id="detail">
				<tr ctrlrow=""><td width="10"></td><td width="180"></td><td width="90"></td></tr>
				<tr><td>1.</td><td>first name:</td><td class="i"><xsl:value-of select="$FIRST_NAME"/></td></tr>
				<tr><td></td><td>middle initial:</td><td class="i"><xsl:value-of select="$MIDDLE_NAME"/></td></tr>
				<tr><td></td><td>last name:</td><td class="i"><xsl:value-of select="$LAST_NAME"/></td></tr>
				<tr><td></td><td>home address: </td><td class="i"><xsl:value-of select="$STREET_1"/></td></tr>
				<tr><td></td><td>city, state, zip code:</td><td class="i"><xsl:value-of select="$CITY"/>, <xsl:value-of select="$STATE"/> &#160; <xsl:value-of select="$ZIP"/></td></tr>
				<tr><td>2.</td><td>social security number:</td><td class="i"><xsl:value-of select="$SSN"/></td></tr>
				<tr><td valign="top" height="20">3.</td><td valign="top" colspan="2"><xsl:value-of select="$MARRIED"/>married, but withhold at higher Single rate</td></tr>
				<tr><td valign="top" height="20">4.</td><td valign="top" colspan="2">If last name differs from that shown on social security card: &#160;<span class="i"><xsl:value-of select="$DIFF_LAST_NAME"/></span></td></tr>
				<tr><td valign="top" height="20">5.</td><td valign="top">Total number of allowances:</td><td valign="top" class="i"><xsl:value-of select="$COUNT_ALLOWANCE"/></td></tr>
				<tr><td valign="top" height="20">6.</td><td valign="top">Additional amount:</td><td valign="top" class="i"><xsl:value-of select="$ADD_AMOUNT"/></td></tr>
				<tr><td></td><td align="right">Exempt:</td><td class="i"><xsl:value-of select="$EXEMPT"/></td></tr>
				<tr><td colspan="4" align="right"><br/><h5>Last updated date:&#160;<xsl:value-of select="$LAST_UPDATED_DATE"/></h5></td></tr>
			</table>
		<xsl:call-template name="endTable"/>			
		<xsl:call-template name="Navigation">
			<xsl:with-param name="Buttons">
				<button onclick="window.history.back()"> <u>A</u>rchive list</button>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>