<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  xmlns:ms="urn:schemas-microsoft-com:xslt"  xmlns:msxsl="urn:schemas-microsoft-com:xslt"  xmlns:js="http://www.atttitude.com/jsnamespace">
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:decimal-format name="non" decimal-separator="." grouping-separator=","  NaN="0.00"/>
		<msxsl:script language='JScript' implements-prefix='js'>
			 function nextDate(date,i) {
					var d=new Date(date.substring(0,4),(parseInt(date.substring(4,6),10)-1),parseInt(date.substring(6,8),10)+((!i)?1:i));
					s=''+d.getFullYear()+get2Pos(d.getMonth()+1)+get2Pos(d.getDate());
					return s;
			 }
			 function get2Pos(val) {
					return (val&lt;10?"0"+val:val);
			 }
		</msxsl:script>

<xsl:variable name="s" select="/d/i/s"/>
<xsl:variable name="sti" select="/d/i/sti"/>
<xsl:variable name="url" select="/d/i/url"/>
<xsl:variable name="StartDate" select="/d/i/sd"/>
<xsl:variable name="MonthLen" select="/d/i/pd"/>
<xsl:variable name="LastPeriodStartDate" select="/d/i/lpsd"/>
<xsl:variable name="PrevPeriodStartDate" select="/d/i/ppsd"/>
<xsl:variable name="NextPeriodStartDate" select="/d/i/npsd"/>
<xsl:variable name="CurrentPeriodStartDate" select="/d/i/cpsd"/>


<xsl:template match="/">
	<table border="0" align="center"><tr>
		<td><a href="{$url}s={$s}&amp;sti={$sti}&amp;y={substring($PrevPeriodStartDate, 0,5)}&amp;m={substring($PrevPeriodStartDate, 5,2)}&amp;d={substring($PrevPeriodStartDate, 7,2)}"><img src="/tts/i/i/p_0.gif" alt="Go to previous period" border="0"/></a></td>
		<!--<xsl:if test="$LastPeriodStartDate &lt; $StartDate">
			<td><a href="{$url}s={$s}&amp;sti={$sti}&amp;y={substring($LastPeriodStartDate, 0,5)}&amp;m={substring($LastPeriodStartDate, 5,2)}&amp;d={substring($LastPeriodStartDate, 7,2)}"><img src="/tts/i/i/p_0.gif" alt="Go to last pay period" border="0"/></a></td>
		</xsl:if>=-->
		<xsl:for-each select="/d/date">
			<xsl:variable name="m" select="format-number(@month,'00')"/>
			<xsl:variable name="y" select="@year"/>
			<td><table cellpadding="0" cellspacing="0"  id="{@color}"  border="0">
				<tr><td  width="11" height="25" valign="top" background="/tts/i/cld_2x1_{@color}.gif"><img name="/tts/i/cld0" src="/tts/i/cld_1x1_{@color}.gif" width="11" height="12" border="0"/></td><td  width="94"  height="12"  background="/tts/i/cld_1x2_{@color}.gif" class="m" align="center"> 
				<xsl:call-template name="FormatDate"><xsl:with-param name="date" select="concat($y,$m,'01')"/><xsl:with-param name="format" select="string('MMMM')"/></xsl:call-template></td><td  width="11" valign="top" background="/tts/i/cld_2x3_{@color}.gif"><img name="/tts/i/cld2" src="/tts/i/cld_1x3_{@color}.gif" width="11" height="12" border="0"/></td></tr>
				<tr><td  width="11" background="/tts/i/cld_2x1_{@color}.gif"><img src="/tts/i/spacer.gif" width="11" height="1" border="0"/></td>
					<td>
						<table cellpadding="0" cellspacing="2" border="0"><tr><td class="w">M</td><td class="w">T</td><td class="w">W</td><td class="w">T</td><td class="w">F</td><td class="w">S</td><td class="w">S</td></tr>
							<xsl:for-each select="w"><tr><xsl:for-each select="d">
									<td class="{@c}" id="{@id}" width="14">
											<xsl:choose>
												<xsl:when test="(@c='r') or (@c='s') or (@c='f')"><xsl:value-of select='.'/></xsl:when>
												<xsl:otherwise><a href="{$url}sti={$sti}&amp;s={/d/i/s}&amp;m={$m}&amp;y={$y}&amp;d={.}"><xsl:value-of select='.'/></a></xsl:otherwise>
											</xsl:choose>
									</td></xsl:for-each></tr>	
							</xsl:for-each>	
						</table>
					</td>
					<td width="11" background="/tts/i/cld_2x3_{@color}.gif"><img src="/tts/i/spacer.gif" width="11" height="1" border="0"/></td>
				</tr>
				<tr><td width="11" height="12"><img src="/tts/i/cld_3x1_{@color}.gif" width="11" height="12" border="0"/></td><td  width="94" height="12" background="/tts/i/cld_3x2_{@color}.gif"><img src="/tts/i/spacer.gif" width="1" height="12" border="0"/></td><td  width="11" height="12"><img src="/tts/i/cld_3x3_{@color}.gif" width="11" height="12" border="0"/></td></tr>
			</table></td>
		</xsl:for-each>
		<td><a href="{$url}s={$s}&amp;sti={$sti}&amp;y={substring($NextPeriodStartDate,  0,5)}&amp;m={substring($NextPeriodStartDate, 5,2)}&amp;d={substring($NextPeriodStartDate, 7,2)}"><img src="/tts/i/i/p_4.gif" alt="Go to next pay period" border="0"/></a></td>
		<!--<xsl:if test="$LastPeriodStartDate > $StartDate">
			<td><a href="{$url}s={$s}&amp;sti={$sti}&amp;y={substring($LastPeriodStartDate, 0,5)}&amp;m={substring($LastPeriodStartDate, 5,2)}&amp;d={substring($LastPeriodStartDate, 7,2)}"><img src="/tts/i/i/p_4.gif" alt="Go to last pay period" border="0"/></a></td>
		</xsl:if>-->
	</tr></table>
			
	<xsl:if test="contains($url, 'worked_hour')">
	<div id="calendar_btn">
		<button onclick="document.location='{$url}s={$s}&amp;sti={$sti}&amp;y={substring($LastPeriodStartDate, 0,5)}&amp;m={substring($LastPeriodStartDate, 5,2)}&amp;d={substring($LastPeriodStartDate, 7,2)}';">Last pay period</button>&#160;
		<button onclick="document.location='{$url}s={$s}&amp;sti={$sti}&amp;y={substring($CurrentPeriodStartDate, 0,5)}&amp;m={substring($CurrentPeriodStartDate, 5,2)}&amp;d={substring($CurrentPeriodStartDate, 7,2)}';">Current pay period</button>
	</div>
	</xsl:if>

</xsl:template>

<xsl:template name="MonthName">
	<xsl:param name="n"/>
	<xsl:variable name="dateStr">2000-<xsl:value-of select="format-number($n, '00')"/>-16</xsl:variable>
	<xsl:value-of select="ms:format-date($dateStr,'MMMM')"/>
</xsl:template>

<xsl:template name="FormatDate">
	<xsl:param name="date"/>
	<xsl:param name="format"/>
	<xsl:variable name="_format"><xsl:choose><xsl:when test="$format!=''"><xsl:value-of select="$format"/></xsl:when><xsl:otherwise>MM/dd</xsl:otherwise></xsl:choose></xsl:variable>
	<xsl:variable name="m" select="substring($date,5,2)"/>
	<xsl:variable name="d" select="substring($date,7,4)"/>
	<xsl:variable name="y" select="substring($date,1,4)"/>
	<xsl:value-of select="ms:format-date(concat($y,'-',$m,'-',$d),string($_format))"/><br/>
</xsl:template>
</xsl:stylesheet>