<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]

<xsl:template match="/">
<html>
	<head>
		<title>Payroll Report</title>
		<meta http-equiv="content-type" content="text/html; charset=windows-1251"/>
		<meta content="mshtml 6.00.2800.1400" name="generator"/>
		<link href="/tts/i/print.css" media="all" type="text/css" rel="stylesheet"/>
	</head>
	<body>
			<h1>Payroll Report </h1><h2><xsl:value-of select="translate(/d/i/td, ':', '-')"/></h2>
			<table id="list" cellspacing="2" cellpadding="3" bordercolorlight="#FFFFFF" bordercolordark="#FFFFFF" width="100%" border="0">
				<tr valign="center">
					<th>#</th>
					<th>Name</th>
					<th>Total hours</th>
					<th>Regular</th>
					<th>Vacation</th>
					<th>Holiday</th>
					<th>Sick</th>
				</tr>
					<xsl:for-each select="/d/rr/r[position()&lt;$ps+1]">
						<xsl:variable name="class">lst<xsl:value-of select="floor(position() mod 2)"/></xsl:variable>
						<tr valign="center">
						<xsl:variable name="pos" select="position()"/>
							<td class="{$class}"><xsl:value-of select="$pos"/></td>
							<td class="{$class}"><xsl:value-of select="@b"/></td>
							<td class="{$class}" align="right"><b><xsl:value-of select="format-number(@c, $FormatHour,'non')"/></b></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number(@d, $FormatHour,'non')"/></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number(@e, $FormatHour,'non')"/></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number(@f, $FormatHour,'non')"/></td>
							<td class="{$class}" align="right"><xsl:value-of select="format-number(@g, $FormatHour,'non')"/></td>
						</tr>					
					</xsl:for-each>
					<tr><td height="2" colspan="9"><hr style="padding:0px; margin: 0px;color:#D8D8D8; height:1px;"/></td></tr>
					<tr><td></td><td class="lst1" align="right"><b>TOTAL:</b></td><td class="lst1" align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r/@c), $FormatHour,'non')"/></b></td><td class="lst1" align="right"><xsl:value-of select="format-number(sum(/d/rr/r/@d), $FormatHour,'non')"/></td><td class="lst1" align="right"><xsl:value-of select="format-number(sum(/d/rr/r/@e), $FormatHour,'non')"/></td>
					<td class="lst1" align="right"><xsl:value-of select="format-number(sum(/d/rr/r/@f), $FormatHour,'non')"/></td>
					<td class="lst1" align="right"><xsl:value-of select="format-number(sum(/d/rr/r/@g), $FormatHour,'non')"/></td></tr>
			</table><br/>
	</body>
</html>			
</xsl:template>
</xsl:stylesheet>