<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]

<xsl:template match="/">
	<html>
		<head>
			<title><xsl:value-of select="$oa"/></title>
			<meta http-equiv="content-type" content="text/html; charset=windows-1251"/>
			<meta content="mshtml 6.00.2800.1400" name="generator"/>
			<link href="/tts/i/print.css" media="all" type="text/css" rel="stylesheet"/>
		</head>
		<body>
			<h1><xsl:value-of select="$oa"/></h1><h2><xsl:value-of select="translate(/d/i/td, ':', '-')"/></h2>
			<table  cellspacing="2" cellpadding="3" width="100%" border="0">
				<tr valign="center">
					<th align="left" width="10%">Client</th>
					<th align="left" width="15%">Project</th>
					<th align="left" width="18%">Name</th>
					<th align="left" width="5%">Re</th>
					<th align="left" width="5%">Va</th>
					<th align="left" width="5%">Ho</th>
					<th align="left" width="5%">Si</th>
					<th align="left" width="5%">Total</th>
					<th align="left" width="5%">Approved</th>
					<th align="left" width="15%">Approved by</th>
					<th align="left" width="12%">Approved date</th>
				</tr>
				<xsl:for-each select="/d/rr/r">
					<xsl:if test="@n[not(. = ../preceding-sibling::r/@n)]">
						<xsl:variable name="client_id" select="@n"/>
						<xsl:variable name="rows_by_client" select="/d/rr/r[@n=$client_id]"/>
						<xsl:variable name="rows_client" select="count($rows_by_client)"/>
						<tr>
							<td class="lst1" valign="top" rowspan="{$rows_client}"><xsl:value-of select="@o"/></td>
								<xsl:for-each select="$rows_by_client">
									<xsl:variable name="project_id" select="@h"/>
									<xsl:if test="$project_id[not($project_id = ../preceding-sibling::r[@h=$project_id]/@h)]">
											<xsl:variable name="rows_by_project" select="$rows_by_client[@h=$project_id]"/>
											<xsl:variable name="rows_project" select="count($rows_by_project)"/>
											<td class="lst1" rowspan="{$rows_project}" valign="top"><xsl:value-of select="@i"/></td>
												<xsl:for-each select="$rows_by_project">
														<td class="lst1" valign="top"><xsl:value-of select="@b"/></td>
														<td class="lst1" valign="top"><xsl:apply-templates select="@d"/></td>
														<td class="lst1" valign="top"><xsl:apply-templates select="@e"/></td>
														<td class="lst1" valign="top"><xsl:apply-templates select="@f"/></td>
														<td class="lst1" valign="top"><xsl:apply-templates select="@g"/></td>
														<td class="lst1" valign="top"><xsl:apply-templates select="@c"/></td>
														<td class="lst1" valign="top"><xsl:apply-templates select="@k"/></td>
														<td class="lst1" valign="top"><xsl:value-of select="@l"/></td>
														<td class="lst1" valign="top"><xsl:value-of select="@m"/></td>
													<xsl:text disable-output-escaping="yes">&lt;/tr>&lt;tr></xsl:text>
												</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
								</tr>
								<tr><td align="right" colspan="12" class="lst1"><b>TOTAL for <xsl:value-of select="@o"/>: &#160;<xsl:value-of select="format-number(sum($rows_by_client/@d),$FormatHour,'non')"/></b></td></tr>
								<xsl:if test="position()!=last()"><tr><td></td><td height="1" colspan="11"><hr style="padding:0px; margin: 0px;color:#D8D8D8; height:1px;"/></td></tr></xsl:if>
				 			</xsl:if>			
						</xsl:for-each>
					<tr><td align="right" colspan="12" class="lst1"><b>TOTAL: &#160;<xsl:value-of select="format-number(sum(/d/rr/r/@d),$FormatHour,'non')"/></b></td></tr>
			</table><br/>
		</body>
	</html>			
</xsl:template>

<xsl:template match="@b | @c | @d | @e | @f | @g | @k">
	<xsl:value-of select="format-number(.,$FormatHour,'non')"/>
</xsl:template>
<xsl:template match="@k">
	<xsl:choose>
		<xsl:when test=".='Y'">Yes</xsl:when>
		<xsl:otherwise>No</xsl:otherwise>
	</xsl:choose>
</xsl:template>
</xsl:stylesheet>