<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]

<xsl:template match="/">
	<html>
		<head>
			<title><xsl:value-of select="$oa"/></title>
			<meta http-equiv="content-type" content="text/html; charset=windows-1251"/>
			<meta content="mshtml 6.00.2800.1400" name="generator"/>
			<link href="/tts/i/print.css" media="all" type="text/css" rel="stylesheet"/>
		</head>
		<body>
			<h1><xsl:value-of select="$oa"/></h1><h2><xsl:value-of select="translate(/d/i/td, ':', '-')"/></h2>
			<table  cellspacing="2" cellpadding="3" width="100%" border="0">
				<tr valign="center">
					<th align="left" width="15%">Name</th>
					<th align="left" width="8%">Total hours</th>
					<th align="left" width="5%">Regular</th>
					<th align="left" width="5%">Vacation</th>
					<th align="left" width="5%">Holiday</th>
					<th align="left" width="5%">Sick</th>
					<th align="left" width="6%">Client</th>
					<th align="left" width="11%">Project</th>
					<th align="left" width="5%">Hours</th>
					<th align="left" width="5%">Approved</th>
					<th align="left" width="10%">Approved by</th>
					<th align="left" width="15%">Approved date</th>
				</tr>
					<tr valign="center">
						<xsl:for-each select="/d/rr/r">
						  <xsl:if test="@a[not(. = ../preceding-sibling::r/@a)]">
								<xsl:variable name="pos1" select="position()"/>
								<xsl:variable name="login_user_id" select="/d/rr/r[$pos1]/@a"/>
								<xsl:variable name="rows_per_user" select="/d/rr/r[@a=$login_user_id]"/>
								<xsl:variable name="rows" select="count(/d/rr/r[@a=$login_user_id])"/>		
								<tr>
								<td class="lst1" rowspan="{$rows}" valign="top"><xsl:value-of select="/d/rr/r[$pos1]/@b"/></td>
								<td class="lst1" rowspan="{$rows}" valign="top" align="right"><b><xsl:value-of select="format-number(sum($rows_per_user/@c), $FormatHour,'non')"/></b></td>
								<td class="lst1" rowspan="{$rows}" valign="top" align="right"><xsl:value-of select="format-number(sum($rows_per_user/@d), $FormatHour,'non')"/></td>
								<td class="lst1" rowspan="{$rows}" valign="top" align="right"><xsl:value-of select="format-number(sum($rows_per_user/@e), $FormatHour,'non')"/></td>
								<td class="lst1" rowspan="{$rows}" valign="top" align="right"><xsl:value-of select="format-number(sum($rows_per_user/@f), $FormatHour,'non')"/></td>
								<td class="lst1" rowspan="{$rows}" valign="top" align="right"><xsl:value-of select="format-number(sum($rows_per_user/@g), $FormatHour,'non')"/></td>
									<xsl:for-each select="$rows_per_user">
										<xsl:variable name="client_id" select="@n"/>
											<xsl:if test="$client_id[not($client_id = ../preceding-sibling::r[@a=$login_user_id]/@n)]">
												<xsl:variable name="rows_client" select="count($rows_per_user[@n=$client_id])"/>	
												<xsl:variable name="rows_per_user_client" select="$rows_per_user[@n=$client_id]"/>
												<td rowspan="{$rows_client}" class="lst1" valign="top"><xsl:value-of select="@o"/></td>
													<xsl:for-each select="$rows_per_user_client">
														<xsl:variable name="pos" select="position()"/>
														<xsl:variable name="class">lst<xsl:value-of select="floor($pos mod 2)"/></xsl:variable>
															<td class="{$class}"><xsl:value-of select="@i"/>.</td>
															<td class="{$class}"><xsl:value-of select="format-number(@j, $FormatHour,'non')"/></td>
															<td class="{$class}" align="center"><xsl:choose><xsl:when test="@k='Y'">Yes</xsl:when><xsl:otherwise>No</xsl:otherwise></xsl:choose></td>
															<td class="{$class}"><xsl:value-of select="@l"/>&#160;</td>
															<td class="{$class}"><xsl:value-of select="@m"/>&#160;</td>
														<xsl:text disable-output-escaping="yes">&lt;/tr>&lt;tr></xsl:text>
													</xsl:for-each>
										</xsl:if>				
									</xsl:for-each>
								</tr><xsl:if test="position()!=last()"><tr><td height="1" colspan="12"><hr style="padding:0px; margin: 0px;color:#D8D8D8; height:1px;"/></td></tr></xsl:if>
				 			</xsl:if>			
						</xsl:for-each>
					</tr>
					<tr><td class="lst1" align="right"><b>TOTAL:</b></td>
					<td class="lst1" align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r/@c), $FormatHour,'non')"/></b></td>
					<td class="lst1" align="right"><xsl:value-of select="format-number(sum(/d/rr/r/@d), $FormatHour,'non')"/></td>
					<td class="lst1" align="right"><xsl:value-of select="format-number(sum(/d/rr/r/@e), $FormatHour,'non')"/></td>
					<td class="lst1" align="right"><xsl:value-of select="format-number(sum(/d/rr/r/@f), $FormatHour,'non')"/></td>
					<td class="lst1" align="right"><xsl:value-of select="format-number(sum(/d/rr/r/@g), $FormatHour,'non')"/></td></tr>
			</table><br/>
		</body>
	</html>			
</xsl:template>
</xsl:stylesheet>