<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]

	<xsl:template match="/">
<html>
<head>
	<title>Profit &amp; Loss Report</title>
	<meta http-equiv="content-type" content="text/html; charset=windows-1251"/>
	<meta content="mshtml 6.00.2800.1400" name="generator"/>
	<link href="/tts/i/print.css" media="all" type="text/css" rel="stylesheet"/>
</head>
<body style="padding-left:0px;">
	<h2><xsl:value-of select="string($oa)"/></h2><h3><xsl:value-of select="translate(/d/i/td, ':', '-')"/></h3>
		
			<table cellspacing="1" cellpadding="3" width="100%" border="1" id="list">
  			<thead><tr>
  				<th rowspan="2" width="20"/>
  				<th rowspan="2">Contractor name</th>
  				<th colspan="3">Paid hours</th><!--<xsl:apply-templates select="/d/oo/hh/h"/>-->
					<th rowspan="2" width="50">Pay rate</th>
					<th rowspan="2" width="50">Total wages</th>
					<th rowspan="2" width="50">Insurance</th>
					<th rowspan="2" width="50">IRA match</th>
					<th rowspan="2" width="50">Total EE expense</th>
					<th rowspan="2" width="50">Ivoiced amount</th>
					<th rowspan="2" width="50">Gross Profit</th>
					<th rowspan="2" width="50">Markup</th>
					<th rowspan="2" width="50">ER taxes</th>
					<th rowspan="2" width="50">Overhead</th>
					<th rowspan="2" width="50">Total net profit</th>
					<th rowspan="2" width="50">Average net profit per month</th>
  			</tr>
  			<tr>
  				<th>RE</th><th>VA&amp;SI</th><th>accrued VA&amp;SI</th>
  			</tr>
  			</thead>
				<xsl:for-each select="/d/rr/r">
					<xsl:variable name="user_status" select="@a"/>
					<xsl:if test="@a[not(. = ../preceding-sibling::*/@a)]">
						<tr><th/><td><b><xsl:value-of select="$user_status"/></b></td><td/><td/><td/><td/><td/><td/><td/><td/><td/><td/><td/><td/><td/><td/><td/></tr>
						<xsl:choose>
						<xsl:when test="$user_status='Hired'">
							<xsl:for-each select="/d/rr/r[@a=$user_status]">
								<xsl:variable name="hiring_manager" select="@b"/>
								<xsl:if test="@b[not(. = ../preceding-sibling::*/@b)]">
									<tr><th/><td><b><xsl:value-of select="$hiring_manager"/></b></td><td/><td/><td/><td/><td/><td/><td/><td/><td/><td/><td/><td/><td/><td/><td/></tr>
									<xsl:for-each select="/d/rr/r[@b=$hiring_manager]">
										<tr valign="center">
											<th><span><xsl:value-of select="position() + $ps*(number($pn)-1)"/></span></th>
											<td><xsl:value-of  select="@*[position()=count(key('field','USER_NAME')/preceding-sibling::*)+1]"/></td>
											<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','PAID_HOURS')/preceding-sibling::*)+1],$FormatHour,'nan')"/></nobr></td>
											<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','VA_SI_HOURS')/preceding-sibling::*)+1],$FormatHour,'nan')"/></nobr></td>
											<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','ACCRUED_VA')/preceding-sibling::*)+1],$FormatHour,'nan')"/></nobr></td>
											<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','PAY_RATE')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
											<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','TOTAL_WAGES')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
											<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','INSURANCE')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
											<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','IRA_MATCH')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
											<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','TOTAL_EE_EXPENSE')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
											<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','INVOICED_AMOUNT')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
											<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','GROSS_PROFIT')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
											<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','ACTUAL_MARKUP')/preceding-sibling::*)+1],'0.00%','nan')"/></nobr></td>
											<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','ER_TAXES')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
											<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','OVERHEAD')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
											<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','TOTAL_NET_PROFIT')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
											<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','NET_PROFIT_PER_MONTH')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
										</tr>
									</xsl:for-each>
									<tr>
										<th/>
										<td align="right"><b><nobr>Total <xsl:value-of select="$hiring_manager"/>:</nobr></b></td>
										<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@b=$hiring_manager]/@*[count(key('field','PAID_HOURS')/preceding-sibling::*)+1]),$FormatHour,'nan')"/></b></td>
										<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@b=$hiring_manager]/@*[count(key('field','VA_SI_HOURS')/preceding-sibling::*)+1]),$FormatHour,'nan')"/></b></td>
										<td align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@b=$hiring_manager]/@*[count(key('field','ACCRUED_VA')/preceding-sibling::*)+1]),$FormatHour,'nan')"/></b></td>
										<td/>
										<td align="right"><b><nobr><xsl:value-of select="format-number(sum(/d/rr/r[@b=$hiring_manager]/@*[position()=count(key('field','TOTAL_WAGES')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></b></td>
										<td align="right"><b><nobr><xsl:value-of select="format-number(sum(/d/rr/r[@b=$hiring_manager]/@*[count(key('field','INSURANCE')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></b></td>
										<td align="right"><b><nobr><xsl:value-of select="format-number(sum(/d/rr/r[@b=$hiring_manager]/@*[count(key('field','IRA_MATCH')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></b></td>
										<td align="right"><b><nobr><xsl:value-of select="format-number(sum(/d/rr/r[@b=$hiring_manager]/@*[count(key('field','TOTAL_EE_EXPENSE')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></b></td>
										<td align="right"><b><nobr><xsl:value-of select="format-number(sum(/d/rr/r[@b=$hiring_manager]/@*[count(key('field','INVOICED_AMOUNT')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></b></td>
										<td align="right"><b><nobr><xsl:value-of select="format-number(sum(/d/rr/r[@b=$hiring_manager]/@*[count(key('field','GROSS_PROFIT')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></b></td>
										<td/>
										<td align="right"><b><nobr><xsl:value-of select="format-number(sum(/d/rr/r[@b=$hiring_manager]/@*[count(key('field','ER_TAXES')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></b></td>
										<td align="right"><b><nobr><xsl:value-of select="format-number(sum(/d/rr/r[@b=$hiring_manager]/@*[count(key('field','OVERHEAD')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></b></td>
										<td align="right"><b><nobr><xsl:value-of select="format-number(sum(/d/rr/r[@b=$hiring_manager]/@*[count(key('field','TOTAL_NET_PROFIT')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></b></td>
										<td align="right"><b><nobr><xsl:value-of select="format-number(sum(/d/rr/r[@b=$hiring_manager]/@*[count(key('field','NET_PROFIT_PER_MONTH')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></b></td>
									</tr>
								</xsl:if>
							</xsl:for-each>
						</xsl:when>
						<xsl:otherwise>
							<xsl:for-each select="/d/rr/r[@a=$user_status]">
								<tr valign="center">
									<th><span><xsl:value-of select="position() + $ps*(number($pn)-1)"/></span></th>
									<td><xsl:value-of  select="@*[position()=count(key('field','USER_NAME')/preceding-sibling::*)+1]"/></td>
									<td align="right"><nobr><xsl:value-of  select="format-number(@*[count(key('field','PAID_HOURS')/preceding-sibling::*)+1],$FormatHour,'nan')"/></nobr></td>
									<td align="right"><nobr><xsl:value-of  select="format-number(@*[count(key('field','VA_SI_HOURS')/preceding-sibling::*)+1],$FormatHour,'nan')"/></nobr></td>
									<td align="right"><nobr><xsl:value-of  select="format-number(@*[count(key('field','ACCRUED_VA')/preceding-sibling::*)+1],$FormatHour,'nan')"/></nobr></td>
									<td align="right"><nobr><xsl:value-of  select="format-number(@*[count(key('field','PAY_RATE')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
									<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','TOTAL_WAGES')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
									<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','INSURANCE')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
									<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','IRA_MATCH')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
									<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','TOTAL_EE_EXPENSE')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
									<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','INVOICED_AMOUNT')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
									<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','GROSS_PROFIT')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
									<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','ACTUAL_MARKUP')/preceding-sibling::*)+1],'0.00%','nan')"/></nobr></td>
									<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','ER_TAXES')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
									<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','OVERHEAD')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
									<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','TOTAL_NET_PROFIT')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
									<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','NET_PROFIT_PER_MONTH')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
								</tr>
							</xsl:for-each>
						</xsl:otherwise>
						</xsl:choose>	
							
						<tr>
							<th/>
							<th align="right"><b>Total <xsl:value-of select="$user_status"/>:</b></th>
							<th align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@a=$user_status]/@*[count(key('field','PAID_HOURS')/preceding-sibling::*)+1]),$FormatHour,'nan')"/></b></th>
							<th align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@a=$user_status]/@*[count(key('field','VA_SI_HOURS')/preceding-sibling::*)+1]),$FormatHour,'nan')"/></b></th>
							<th align="right"><b><xsl:value-of select="format-number(sum(/d/rr/r[@a=$user_status]/@*[count(key('field','ACCRUED_VA')/preceding-sibling::*)+1]),$FormatHour,'nan')"/></b></th>
							<th/>
							<th align="right"><b><nobr><xsl:value-of select="format-number(sum(/d/rr/r[@a=$user_status]/@*[position()=count(key('field','TOTAL_WAGES')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></b></th>
							<th align="right"><b><nobr><xsl:value-of select="format-number(sum(/d/rr/r[@a=$user_status]/@*[count(key('field','INSURANCE')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></b></th>
							<th align="right"><b><nobr><xsl:value-of select="format-number(sum(/d/rr/r[@a=$user_status]/@*[count(key('field','IRA_MATCH')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></b></th>
							<th align="right"><b><nobr><xsl:value-of select="format-number(sum(/d/rr/r[@a=$user_status]/@*[count(key('field','TOTAL_EE_EXPENSE')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></b></th>
							<th align="right"><b><nobr><xsl:value-of select="format-number(sum(/d/rr/r[@a=$user_status]/@*[count(key('field','INVOICED_AMOUNT')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></b></th>
							<th align="right"><b><nobr><xsl:value-of select="format-number(sum(/d/rr/r[@a=$user_status]/@*[count(key('field','GROSS_PROFIT')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></b></th>
							<th/>
							<th align="right"><b><nobr><xsl:value-of select="format-number(sum(/d/rr/r[@a=$user_status]/@*[count(key('field','ER_TAXES')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></b></th>
							<th align="right"><b><nobr><xsl:value-of select="format-number(sum(/d/rr/r[@a=$user_status]/@*[count(key('field','OVERHEAD')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></b></th>
							<th align="right"><b><nobr><xsl:value-of select="format-number(sum(/d/rr/r[@a=$user_status]/@*[count(key('field','TOTAL_NET_PROFIT')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></b></th>
							<th align="right"><b><nobr><xsl:value-of select="format-number(sum(/d/rr/r[@a=$user_status]/@*[count(key('field','NET_PROFIT_PER_MONTH')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></b></th>
						</tr>
						
					</xsl:if>
				</xsl:for-each>
				
				
				
				
				<tr><th/>
					<th align="right" style="color:red">Total:</th>
					<th align="right" style="color:red"><xsl:value-of select="format-number(sum(/d/rr/r/@*[count(key('field','PAID_HOURS')/preceding-sibling::*)+1]),$FormatHour,'nan')"/></th>
					<th align="right" style="color:red"><xsl:value-of select="format-number(sum(/d/rr/r/@*[count(key('field','VA_SI_HOURS')/preceding-sibling::*)+1]),$FormatHour,'nan')"/></th>
					<th align="right" style="color:red"><xsl:value-of select="format-number(sum(/d/rr/r/@*[count(key('field','ACCRUED_VA')/preceding-sibling::*)+1]),$FormatHour,'nan')"/></th>
					<th/>
					<th align="right" style="color:red"><nobr><xsl:value-of select="format-number(sum(/d/rr/r/@*[count(key('field','TOTAL_WAGES')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></th>
					<th align="right" style="color:red"><nobr><xsl:value-of select="format-number(sum(/d/rr/r/@*[count(key('field','INSURANCE')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></th>
					<th align="right" style="color:red"><nobr><xsl:value-of select="format-number(sum(/d/rr/r/@*[count(key('field','IRA_MATCH')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></th>
					<th align="right" style="color:red"><nobr><xsl:value-of select="format-number(sum(/d/rr/r/@*[count(key('field','TOTAL_EE_EXPENSE')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></th>
					<th align="right" style="color:red"><nobr><xsl:value-of select="format-number(sum(/d/rr/r/@*[count(key('field','INVOICED_AMOUNT')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></th>
					<th align="right" style="color:red"><nobr><xsl:value-of select="format-number(sum(/d/rr/r/@*[count(key('field','GROSS_PROFIT')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></th>
					<th/>
					<th align="right" style="color:red"><nobr><xsl:value-of select="format-number(sum(/d/rr/r/@*[count(key('field','ER_TAXES')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></th>
					<th align="right" style="color:red"><nobr><xsl:value-of select="format-number(sum(/d/rr/r/@*[count(key('field','OVERHEAD')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></th>
					<th align="right" style="color:red"><nobr><xsl:value-of select="format-number(sum(/d/rr/r/@*[count(key('field','TOTAL_NET_PROFIT')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></th>
					<th align="right" style="color:red"><nobr><xsl:value-of select="format-number(sum(/d/rr/r/@*[count(key('field','NET_PROFIT_PER_MONTH')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></th>
				</tr>
			</table>
			
			
			
			
			<br/><h3>Profit &amp; Loss Projected vs.Actual</h3>
			<table cellspacing="2" cellpadding="3" width="100%" border="1" id="list">
  			<thead><tr>
  				<th/>
  				<th>Contractor name</th>
  				<th>Average hours per week</th>
   				<th>Projected markup</th>
   				<th>Actual markup</th>
   				<th>Projected profit</th>
   				<th>Actual Profit</th>
   				<th>Projected Profit per month</th>
   				<th>Actual profit per month</th>
   				<th>Actual overhead</th>
   				<th>Net profit</th>
 			</tr></thead>
				<xsl:for-each select="/d/rr/r">
					<xsl:variable name="class">lst<xsl:value-of select="floor(position() mod 2)"/></xsl:variable>
					<tr valign="center">
						<th class="{$class}"><span><xsl:value-of select="position() + $ps*(number($pn)-1)"/></span></th>
						<td width="180"><xsl:value-of select="@*[position()=count(key('field','USER_NAME')/preceding-sibling::*)+1]"/></td>
						<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','PAID_HOURS_PER_WEEK')/preceding-sibling::*)+1],$FormatHour,'nan')"/></nobr></td>
						<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','PROJECTED_MARKUP')/preceding-sibling::*)+1],'0.00%','nan')"/></nobr></td>
						<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','ACTUAL_MARKUP')/preceding-sibling::*)+1],'0.00%','nan')"/></nobr></td>
						<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','PROJECTED_PROFIT')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
						<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','GROSS_PROFIT')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
						<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','PROJECTED_PROFIT_PER_MONTH')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
						<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','GROSS_PROFIT_PER_MONTH')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
						<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','OVERHEAD')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
						<td align="right"><nobr><xsl:value-of select="format-number(@*[count(key('field','TOTAL_NET_PROFIT')/preceding-sibling::*)+1],$FormatCrs,'nan')"/></nobr></td>
					</tr>
				</xsl:for-each>
				<tr>
					<th/><th/><th/><th/><th/>
					<th align="right"><nobr><xsl:value-of select="format-number(sum(/d/rr/r/@*[count(key('field','PROJECTED_PROFIT')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></th>
					<th align="right"><nobr><xsl:value-of select="format-number(sum(/d/rr/r/@*[count(key('field','GROSS_PROFIT')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></th>
					<th align="right"><nobr><xsl:value-of select="format-number(sum(/d/rr/r/@*[count(key('field','PROJECTED_PROFIT_PER_MONTH')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></th>
					<th align="right"><nobr><xsl:value-of select="format-number(sum(/d/rr/r/@*[count(key('field','GROSS_PROFIT_PER_MONTH')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></th>
					<th align="right"><nobr><xsl:value-of select="format-number(sum(/d/rr/r/@*[count(key('field','OVERHEAD')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></th>
					<th align="right"><nobr><xsl:value-of select="format-number(sum(/d/rr/r/@*[count(key('field','TOTAL_NET_PROFIT')/preceding-sibling::*)+1]),$FormatCrs,'nan')"/></nobr></th>
				</tr>
			</table>
			</body></html>
	</xsl:template>
</xsl:stylesheet>