<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]

<xsl:template match="/">
	<table id="list" cellspacing="1" cellpadding="0" width="100%" border="0" onkeydown="if(event.keyCode==13)execDetail('{$o}')">
		<thead><tr><xsl:apply-templates select="/d/oo/hh/h"/></tr></thead>
			<xsl:for-each select="/d/rr/r[position()&lt;$ps+1]">
			<tr id="{@a}" onmouseover="_appstyle(this,'lst3', 'over')" onmouseout="_appstyle(this,'lst1', 'out')" ondblclick="execDetail('{$o}')" onclick="_appstyle(this);" valign="center">
					<th><span><xsl:value-of select="position() + $ps*(number($pn)-1)"/></span></th>
					<xsl:apply-templates select="@*[position()>1 and position()&lt;(last()-4)]"/>
					<xsl:if test="$RoID!=5">
						<xsl:variable name='project_id' select="@*[position()=count(key('field','PROJECT_ID')/preceding-sibling::*)+1]"/>
						<xsl:variable name='login_user_project_id' select="@*[position()=count(key('field','LOGIN_USER_PROJECT_ID')/preceding-sibling::*)+1]"/>
						<xsl:variable name='to_do_log_id' select="@*[position()=count(key('field','TO_DO_LOG_ID')/preceding-sibling::*)+1]"/>
						<xsl:variable name='check_out_date_time' select="@*[position()=count(key('field','CHECK_OUT_DATE_TIME')/preceding-sibling::*)+1]"/>
						
						<td valign="top" class="lst{floor(position() mod 2)}">
							<xsl:if test="$project_id!='' and $login_user_project_id!=''">
								<xsl:choose>
									<xsl:when test="$to_do_log_id!='' and $check_out_date_time!=''"><button style="width:100%;" onclick="execCheckIn({@a}, {$to_do_log_id})">check-in</button><br/><xsl:value-of select="$check_out_date_time"/> GMT</xsl:when>
									<xsl:otherwise><button style="width:100%;" onclick="execCheckOut({@a})">check-out</button></xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						</td>
					</xsl:if>
			</tr>
		</xsl:for-each>
	</table>
	<xsl:if test="$RoID!=5">
	<script>
		function execCheckOut(ToDoID){
			f.xml.value='&lt;w c="TO_DO_LOG_ID" k="">&lt;/w>&lt;w c="TO_DO_ID">' + ToDoID + '&lt;/w>';
			f.xmll.value=xml='&lt;s a="u">&lt;w c="LOGIN_USER_ID" k="">[#LOGIN_USER_ID]&lt;/w>&lt;w c="CHECK_IN_TIME">3/30/2005 3:55:49 PM&lt;/w>&lt;w c="CHECK_IN_TIME" k="" null=""/>&lt;/s>\n';
			f.oid.value=ToDoID;
			f.action='insert?o=to_do_log&amp;ol=to_do_log&amp;s=<xsl:value-of select="$s"/>&amp;pn=<xsl:value-of select="$pn"/>&amp;sti=<xsl:value-of select="$sti"/>';
			f.submit();f.xmll.value='';
		}

		function execCheckIn(ToDoID, ToDoLogID){
			f.xml.value='&lt;w c="TO_DO_LOG_ID" k="">' + ToDoLogID + '&lt;/w>&lt;w c="CHECK_IN_TIME">3/30/2005 3:55:49 PM&lt;/w>\n';
			f.action='update?o=to_do_log&amp;s=<xsl:value-of select="$s"/>&amp;pn=<xsl:value-of select="$pn"/>&amp;sti=<xsl:value-of select="$sti"/>';
			f.submit();f.xml.value='';
		}
	</script></xsl:if>
		<xsl:call-template name="Navigation">
			<xsl:with-param name="Title" select="string('To-do list')"/>
			<xsl:with-param name="Buttons">
				<xsl:if test="$RoID!=5"><button onclick="execDetail('{$o}',true)" name="btnNew"><u>A</u>dd</button></xsl:if>
				<button onclick="execDetail('{$o}')" name="btnEdit" disabled="" ><u>E</u>dit</button>
				<button onclick="execDelete('{$o}', true)" name="btnDelete" disabled=""><u>D</u>elete</button>
		</xsl:with-param>
	</xsl:call-template>
</xsl:template>
</xsl:stylesheet>