<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]

<xsl:variable name="Month" select="substring($StartDate,5,2)"/>
<xsl:variable name="Date" select="substring($StartDate,7,2)"/>
<xsl:variable name="Year" select="substring($StartDate,1,4)"/>
<xsl:variable name="ProjectID" select="/d/i/pi"/>


<xsl:template match="/">
	<link href="/tts/i/combobox.css" type="text/css" rel="stylesheet"/>
	<script language="JavaScript" src="/tts/i/j/combobox.js"></script>
	<table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
		<tr height="100%">
		<xsl:if test="/d/projects/d">
			<xsl:variable name="color">g</xsl:variable>
				<td valign="top" height="100%" rowspan="2" id="sidebar"><xsl:if test="$ProjectID=''"><xsl:attribute name="width">100%</xsl:attribute></xsl:if>
 					<table cellpadding="5" cellspacing="0" height="100%" width="240" border="0">
						<tr>
							<td width="170" class="rw1" height="10"><b>project</b></td>
							<td width="70"  class="rw1_"><b>total&#160;hours</b></td>
						</tr>
						<tr><td background="/tts/i/sidebar_bgr.jpg"><img src="/tts/i/spacer.gif"/></td><td background="/tts/i/sidebar_bgr1.jpg"><img src="/tts/i/spacer.gif"/></td><td background="/tts/i/sidebar_bgr.jpg"><img src="/tts/i/spacer.gif"/></td></tr>
						<xsl:for-each select="/d/projects/d/rr/r">
							<xsl:variable name="class">
								<xsl:choose>
									<xsl:when test="@a=$ProjectID">rw</xsl:when>
									<xsl:when test="floor(position() div 2)=(position() div 2)">rw1</xsl:when>
								<xsl:otherwise>rw2</xsl:otherwise></xsl:choose>
							</xsl:variable>
							<xsl:variable name="pos" select="position()"/>
							<xsl:variable name="link">worked_hour@month?s=<xsl:value-of select="$s"/>&amp;sti=<xsl:value-of select="$sti"/>&amp;oid=<xsl:value-of select="/d/projects/d/rr/r[$pos]/@a"/>&amp;y=<xsl:value-of select="$Year"/>&amp;m=<xsl:value-of select="$Month"/>&amp;d=<xsl:value-of select="$Date"/></xsl:variable>
								<tr onclick="document.location='{$link}'" style="cursor:hand;">
									<td class="{$class}" height="25"><nobr><xsl:value-of select="/d/projects/d/rr/r[$pos]/@b"/>&#160;</nobr></td>
									<td class="{$class}_" align="right"><xsl:if test="/d/projects/d/rr/r[$pos]/@a=$ProjectID"><xsl:attribute name="style">border:2px #FF4A18 solid;</xsl:attribute></xsl:if><b><xsl:apply-templates select="/d/projects/d/rr/r[$pos]/@c"/></b>&#160;</td>
									<td class="{$class}"></td>
								</tr>
						</xsl:for-each>
						<tr>
							<td align="right" class="rw1"><b>Total:</b></td>
							<td align="right" class="rw1_"><b><xsl:value-of select="format-number((sum(/d/projects/d/rr/r[@c>0]/@c)),$FormatHour,'non')"/></b></td>
						</tr>
						<tr><td height="100%"></td></tr>
					</table>
			</td>
			<td width="1" rowspan="2" bgcolor="#CCCCCC"><img src="/tts/i/spacer.gif" width="1" height=""/></td>
		</xsl:if>
		<td valign="top" align="center" width="100%"><br/><br/>
		
		<h1 style="color:#FF926D"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="string($StartDate)"/><xsl:with-param name="format" select="string('MMMM yyyy')"/> </xsl:call-template></h1>
		<xsl:if test="count(/d/hw/rr/r)!=0">
			<xsl:variable name="ProjectID" select="/d/hw/rr/r/@a"/>
			<xsl:variable name="ProjectName" select="/d/hw/rr/r/@b"/>
			<xsl:call-template name="strTable"><xsl:with-param name="title"><xsl:value-of select="$ProjectName"/> </xsl:with-param><xsl:with-param name="width" select="314"/></xsl:call-template>
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<th height="25">Mon</th>
					<th>Tue</th>
					<th>Wed</th>
					<th>Thu</th>
					<th>Fri</th>
					<th>Sat</th>
					<th>Sun</th>
				</tr>
				<tr>
					<xsl:call-template name="for">
						<xsl:with-param name="i" select="number(1)"/>
						<xsl:with-param name="to" select="42"/>
						<xsl:with-param name="project" select="$ProjectID"/>
						<xsl:with-param name="date" select="string($StartDate)"/>
					</xsl:call-template>
				</tr>
			</table>
			<xsl:call-template name="endTable"/>
		</xsl:if>
		</td>
	</tr>
</table>
</xsl:template>

<xsl:template name="for"> 
	<xsl:param name="i"/> 
	<xsl:param name="to"/> 
	<xsl:param name="project"/>
	<xsl:param name="date"/>
	<xsl:variable name="m" select="substring($date,5,2)"/>
	<xsl:variable name="d" select="substring($date,7,4)"/>
	<xsl:variable name="y" select="substring($date,1,4)"/>
	<xsl:variable name="startdate"><xsl:value-of select="substring($date,5,2)"/>/<xsl:value-of select="substring($date,7,2)"/>/<xsl:value-of select="substring($date,1,4)"/></xsl:variable>
	<xsl:variable name="cat">
		<xsl:choose>
			<xsl:when test="/d/hw/rr/r[(@a=$project) and (@c=$date)]/@h"><xsl:value-of select="/d/hw/rr/r[(@a=$project) and (@c=$date)]/@h"/></xsl:when>
			<xsl:otherwise>R</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:variable name="id"><xsl:value-of select="$i"/><xsl:value-of select="$project"/></xsl:variable>
	<xsl:variable name="Day"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="$date"/><xsl:with-param name="format">ddd</xsl:with-param></xsl:call-template></xsl:variable>
	<xsl:variable name="sampledate"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="string(js:nextDate('20040229',$i))"/><xsl:with-param name="format">ddd</xsl:with-param></xsl:call-template></xsl:variable>
		<td width="43" align="center">
			<xsl:choose>
				<xsl:when test="not($Day=$sampledate)">&#160;
					<xsl:call-template name="for"> 
						<xsl:with-param select="$i + 1" name="i"/> 
						<xsl:with-param select="$to" name="to"/> 
						<xsl:with-param select="$project" name="project"/>
						<xsl:with-param name="date" select="string($date)"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test=" (number($i)-7)>number($d)">&#160;</xsl:when>
						<xsl:otherwise>
							<div style="width:41px;height:39px;border:1px #CCCCCC solid;font-size:12px;font-weight:bold;background-color:white;">
								<span style="width:100%;background-color:#E3EAF2;font-size:9px;font-weight:normal;"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="$date"/><xsl:with-param name="format" select="string('MM/dd')"/></xsl:call-template></span>
								<xsl:apply-templates select="(/d/hw/rr/r[(@a=$project)and (@c=$date)]/@d)"/>
							</div>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="($i mod 7)=0"><xsl:text disable-output-escaping="yes">&lt;/tr&gt;&lt;tr&gt;</xsl:text></xsl:if>
					<xsl:if test="($i+1 &lt;= $to)"> 
					<xsl:call-template name="for"> 
						<xsl:with-param select="$i + 1" name="i"/> 
						<xsl:with-param select="$to" name="to"/> 
						<xsl:with-param select="$project" name="project"/>
						<xsl:with-param name="date"><xsl:value-of select="string(js:nextDate(string($date)))"/>
						</xsl:with-param>
					</xsl:call-template> 
				</xsl:if> 
			</xsl:otherwise>
		</xsl:choose>
		</td>
</xsl:template>
<xsl:template match='@c | @d | @e | @f | @g'><xsl:value-of select="format-number(.,$FormatHour,'non')"/></xsl:template>
</xsl:stylesheet>