<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:msxsl='urn:schemas-microsoft-com:xslt' xmlns:js='http://www.atttitude.com/jsnamespace'>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
[include_out_helpers_list]

<xsl:variable name="Month" select="substring($StartDate,5,2)"/>
<xsl:variable name="Date" select="substring($StartDate,7,2)"/>
<xsl:variable name="Year" select="substring($StartDate,1,4)"/>
<xsl:variable name="ChosenUsID" select="/d/i/lu"/>

<xsl:variable name="issubmitted" select="(/d/hw/rr/r/@j='Y') and not (/d/hw/rr/r/@j='N')"/>
<xsl:variable name="isapproved" select="((/d/hw/rr/r/@k='Y') and not (/d/hw/rr/r/@k='N')) or not (/d/hw/rr/r/@k)"/>

<xsl:template match="/">
<head><link href="/tts/i/print.css" media="all" type="text/css" rel="stylesheet"/></head>
<body style="font : 10px Verdana, Geneva, Arial, Helvetica, sans-serif;padding-left:50px;">
	<table width="600" cellpadding="0" cellspacing="0" border="0" align="center">
		<tr>
			<td width="500" ><br/><br/><h2>Object Systems International, LLC</h2></td>
			<td width="100" valign="top"></td>
		</tr>
		<tr>
			<td width="500" height="80" valign="top">631 E. 1250 S.<br/>Kaysville, UT 84037</td>
			<td width="100" valign="top"><nobr>Tel: (801) 451-7266<br/> Fax: (801) 447-8767</nobr></td>
		</tr>
		<tr><td colspan="2">Hours worked by: <b><xsl:value-of select="/d/hw/rr/r/@q"/></b><hr/></td></tr>
		<tr height="100%">
			<td valign="top" colspan="2" align="center" width="100%"><br/><br/>
			<xsl:if test="count(/d/oo/d/project/rr/r)!=0 or count(/d/hw/rr/r)!=0">
<!-- EMPLOYEE VIEW -->
				<xsl:choose>
				<xsl:when test="$ChosenUsID=$UsID">
					<xsl:for-each select="/d/project/rr/r">
						<xsl:variable name="ProjectID" select="@a"/>
						<xsl:variable name="ProjectName" select="@b"/>
						<xsl:variable name="ClientName" select="@c"/>
						<xsl:variable name="isSubmitted" select="(/d/hw/rr/r[@c=$ProjectID]/@j='Y') and not(/d/hw/rr/r[@c=$ProjectID]/@j='N')"/>
						<xsl:variable name="isApproved" select="(/d/hw/rr/r[@c=$ProjectID]/@k='Y') and not(/d/hw/rr/r[@c=$ProjectID]/@k='N')"/>
						<xsl:variable name="isEmpty" select="sum(/d/hw/rr/r[@c=$ProjectID]//@f)=0"/>
						<xsl:variable name="ApprovedBy" select="/d/hw/rr/r[@c=$ProjectID]/@l"/>
						<xsl:variable name="ApprovedDate" select="substring(/d/hw/rr/r[$ProjectID=@c]/@m,1,8)"/>
							<table width="100%" cellpadding="10" cellspacing="0" border="0">
								<tr><th colspan="8" align="left"><xsl:value-of select="$ClientName"/>: <xsl:value-of select="$ProjectName"/></th></tr>
								<tr>
									<xsl:call-template name="for">
										<xsl:with-param name="i">1</xsl:with-param>
										<xsl:with-param name="to" select="$Period+($Period div 7)*2"/>
										<xsl:with-param name="project" select="$ProjectID"/>
										<xsl:with-param name="date" select="string($StartDate)"/>
									</xsl:call-template>
								</tr>
								<xsl:if test="not($isEmpty)">
									<tr><td colspan="8"></td><td align="right"><b>Total: <xsl:value-of select="format-number(sum(/d/hw/rr/r[(@c=$ProjectID)]/@f),$FormatHour,'non')"/></b></td></tr>
								</xsl:if><tr><td><br/></td></tr>
							</table>
					</xsl:for-each>
				</xsl:when>
<!--MANAGER - SUPERVISOR VIEW -->				
				<xsl:otherwise>  
					<xsl:for-each select="/d/hw/rr/r">
					<xsl:if test="@c[not(. = ../preceding-sibling::r/@c)]">
						<xsl:variable name="ProjectID" select="@c"/>
						<xsl:variable name="ProjectName" select="@d"/>
						<xsl:variable name="isSubmitted" select="(/d/hw/rr/r[@c=$ProjectID]/@j='Y') and not(/d/hw/rr/r[@c=$ProjectID]/@j='N')"/>
						<xsl:variable name="isApproved" select="(/d/hw/rr/r[@c=$ProjectID]/@k='Y') and not(/d/hw/rr/r[@c=$ProjectID]/@k='N')"/>
						<xsl:variable name="isEmpty" select="sum(/d/hw/rr/r[@c=$ProjectID]/@f)=0"/>
						<xsl:variable name="ApprovedBy" select="/d/hw/rr/r[@c=$ProjectID]/@l"/>
						<xsl:variable name="ApprovedDate" select="substring(/d/hw/rr/r[$ProjectID=@c]/@m,1,8)"/>
							<table cellpadding="6" cellspacing="0" border="0">
								<tr><th colspan="8" align="left"><xsl:value-of select="$ProjectName"/></th></tr>
								<tr>
									<xsl:call-template name="for">
										<xsl:with-param name="i">1</xsl:with-param>
										<xsl:with-param name="to" select="$Period+($Period div 7)*2"/>
										<xsl:with-param name="project" select="$ProjectID"/>
										<xsl:with-param name="date" select="string($StartDate)"/>
									</xsl:call-template>
								</tr>
								<xsl:if test="not($isEmpty)">
									<tr><td colspan="8"></td><td align="right"><b>Total: <xsl:value-of select="format-number(sum(/d/hw/rr/r[(@c=$ProjectID)]/@f),$FormatHour,'non')"/></b></td></tr>
								</xsl:if><tr><td><br/></td></tr>
							</table>
						</xsl:if>
					</xsl:for-each>
					</xsl:otherwise>						
				</xsl:choose>					
		</xsl:if>
		</td>
	</tr>
	<xsl:if test="count(/d/project/rr/r)>1"><tr><td align="right" colspan="2"><b>TOTAL: <xsl:value-of select="format-number(sum(/d/hw/rr/r/@f), $FormatHour,'non')"/></b></td></tr></xsl:if>
	<tr><td  valign="top">Employee:	</td><td></td></tr>
	<tr><td height="25" style="font-size:10px;">&#160;&#160;&#160;&#160;&#160;&#160;&#160;(<xsl:value-of select="/d/hw/rr/r/@q"/>)</td><td></td></tr>
	<tr><td>Accepted by:	</td><td></td></tr>
	<xsl:if test="$RoID=2 or $RoID=4"><tr><td height="25" style="font-size:10px;">&#160;&#160;&#160;&#160;&#160;&#160;&#160;(<xsl:value-of select="/d/hw/rr/r/@r"/>)</td><td></td></tr></xsl:if>
</table>

<center><button onclick="window.print()" accesskey="p" id="np"><u>P</u>rint</button>&#160;<button onclick="window.close()" accesskey="c" id="np"><u>C</u>lose</button></center>
</body>
</xsl:template>

<xsl:template name="for"> 
	<xsl:param name="i"/> 
	<xsl:param name="to"/> 
	<xsl:param name="project"/>
	<xsl:param name="date"/>
	<xsl:variable name="m" select="substring($date,5,2)"/>
	<xsl:variable name="d" select="substring($date,7,4)"/>
	<xsl:variable name="y" select="substring($date,1,4)"/>
	<xsl:choose>
		<xsl:when test="(($i+8) mod 9)= 0"><!-- 1,9,17 -->
			<td width="45" valign="top">Week&#160;<xsl:value-of select="round(($i+9) div 8)"/>:</td>
			<xsl:if test="($i+1 &lt;= $to)"> 
				<xsl:call-template name="for"> 
					<xsl:with-param select="$i + 1" name="i"/> 
					<xsl:with-param select="$to" name="to"/> 
					<xsl:with-param select="$project" name="project"/>
					<xsl:with-param name="date" select="$date"/>
				</xsl:call-template> 
			</xsl:if> 
		</xsl:when>
		<xsl:when test="($i mod 9)= 0"><!-- 9,18,21 TOTAL -->
			<xsl:variable name="gtDate" select="js:nextDate(string($date),($i div 9)-1)"/>
			<xsl:variable name="ltDate" select="js:nextDate(string($date),(-8+($i div 9)-1))"/>
			<td valign="top" align="right" style="font-size:11px;font-weight:bold;"><u>Total:</u><br/><b><xsl:value-of select="format-number(sum(/d/hw/rr/r[(@e &lt; $gtDate) and (@e > $ltDate) and (@c=$project)]/@f),$FormatHour,'non')"/></b></td>
			<xsl:text disable-output-escaping="yes">&lt;/tr&gt;&lt;tr&gt;</xsl:text>
			<xsl:if test="($i+1 &lt;= $to)"> 
				<xsl:call-template name="for"> 
					<xsl:with-param select="$i + 1" name="i"/> 
					<xsl:with-param select="$to" name="to"/> 
					<xsl:with-param select="$project" name="project"/>
					<xsl:with-param name="date" select="$date"/>
				</xsl:call-template> 
			</xsl:if> 
		</xsl:when>
		<xsl:otherwise>
<!--			<xsl:variable name="startdate"><xsl:value-of select="substring($date,5,2)"/>/<xsl:value-of select="substring($date,7,2)"/>/<xsl:value-of select="substring($date,1,4)"/></xsl:variable>
			<xsl:variable name="id"><xsl:value-of select="$i"/><xsl:value-of select="$project"/></xsl:variable>
-->
			<td valign="top" align="right" style="font-size:10px;">
				<u><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="$date"/><xsl:with-param name="format" select="string('MM/dd/yyyy')"/></xsl:call-template></u>
				<span style="font-size:11px;font-weight:bold;"><xsl:value-of select="format-number(/d/hw/rr/r[(@c=$project) and (@e=$date)]/@f, $FormatHour,'non')"/></span>
			</td>
			<xsl:if test="($i+1 &lt;= $to)"> 
				<xsl:call-template name="for"> 
					<xsl:with-param select="$i + 1" name="i"/> 
					<xsl:with-param select="$to" name="to"/> 
					<xsl:with-param select="$project" name="project"/>
					<xsl:with-param name="date">
						<xsl:choose>
							<xsl:when test="(($i+7) mod 8)=0"><xsl:value-of select="string($date)"/></xsl:when>
							<xsl:otherwise><xsl:value-of select="string(js:nextDate(string($date)))"/></xsl:otherwise>
						</xsl:choose>
					</xsl:with-param>
				</xsl:call-template> 
			</xsl:if> 
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template match='@e | @f'><xsl:value-of select="format-number(.,$FormatHour,'non')"/></xsl:template>
</xsl:stylesheet>