<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
<xsl:output method='text'/>
<xsl:variable name="table" select="d/tt/t"/>
<xsl:variable name='gb' select='string(d/i/gb)'/>
<xsl:template match='/'>

<xsl:choose>
	<xsl:when test="d/i/s1"><xsl:value-of select="d/i/s1"/><xsl:text>&#10;</xsl:text></xsl:when>
	<xsl:otherwise><xsl:text>begin &#10;</xsl:text></xsl:otherwise>
</xsl:choose>
<xsl:for-each select="d/ww/s">
<xsl:variable name="uid"><xsl:value-of select="position()"/><xsl:value-of select="@a"/></xsl:variable>
<xsl:choose>

<xsl:when test="@a='u'">
	<xsl:text>update </xsl:text><xsl:value-of select='$table'/><xsl:text> </xsl:text>
	<xsl:text>set </xsl:text>
	<xsl:for-each select='w[not(@k)]'>
	<xsl:value-of select='@c'/>=:<xsl:value-of select='@c'/>$<xsl:value-of select="$uid"/>
	<xsl:if test='position()!=last()'><xsl:text>,</xsl:text></xsl:if>
	</xsl:for-each>
	<xsl:text> where </xsl:text>
	<xsl:for-each select="w[(@k)]">
	<xsl:if test="position()!=1"> and </xsl:if>
	<xsl:choose>
	<xsl:when test=".=''"><xsl:value-of select='@c'/> is null<xsl:text> </xsl:text></xsl:when>
	<xsl:otherwise><xsl:value-of select='@c'/>=:<xsl:value-of select='@c'/>$<xsl:value-of select="$uid"/><xsl:text> </xsl:text></xsl:otherwise>
	</xsl:choose>
	</xsl:for-each>
	<xsl:if test='$gb!="GB"'><xsl:text> and GRID=:GRID</xsl:text></xsl:if>
	<xsl:if test='($gb!="GB") and ($gb!="B")'><xsl:text> and (BRID=:BRID or BRID=0)</xsl:text></xsl:if>
	<xsl:text>;&#10;</xsl:text>
<!--
	<xsl:variable name='keyName' select='w[@k]/@c'/>
	<xsl:text>update </xsl:text> <xsl:value-of select='$table'/><xsl:text> set </xsl:text>
	<xsl:for-each select='w'>
	<xsl:if test='@c!=$keyName'><xsl:value-of select='@c'/>=:<xsl:value-of select='@c'/>$<xsl:value-of select="$uid"/>
	<xsl:if test='position()!=last()'><xsl:text>,</xsl:text></xsl:if>
	<xsl:text></xsl:text>
	</xsl:if>
	</xsl:for-each>
	<xsl:text> where </xsl:text><xsl:value-of select='$keyName'/>=:<xsl:value-of select='$keyName'/>$<xsl:value-of select="$uid"/><xsl:text> </xsl:text>
	<xsl:if test='$gb!="GB"'><xsl:text>and GRID=:GRID</xsl:text></xsl:if>
	<xsl:if test='($gb!="GB") and ($gb!="B")'><xsl:text>and (BRID=:BRID or BRID=0) </xsl:text></xsl:if>
	<xsl:text>;&#10;</xsl:text>-->
</xsl:when>

<xsl:when test="@a='i'">
<xsl:variable name='keyName' select='w[@k]/@c'/>
<xsl:variable name='schema'>
<xsl:choose>
<xsl:when test='string(/d/i/ss)!=""'><xsl:value-of select='/d/i/ss'/></xsl:when>
<xsl:otherwise>RESORTS</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<!--<xsl:text>select </xsl:text><xsl:value-of select='$schema'/>.<xsl:value-of select='$keyName'/>_SEQ.nextval into :OBJ_ID$<xsl:value-of select="$uid"/> from DUAL;<xsl:text>&#10;</xsl:text>-->
<xsl:text>insert into </xsl:text>
<xsl:value-of select='$table'/><xsl:text>( </xsl:text>
<xsl:variable name='gb' select='string(/d/i/gb)'/>
<xsl:if test='$gb!="GB"'><xsl:text>GRID, </xsl:text></xsl:if>
<xsl:if test='($gb!="GB") and ($gb!="B")'><xsl:text>BRID</xsl:text><xsl:if test='count(/d/ww/w)>0'>,</xsl:if></xsl:if>
<xsl:for-each select='w'>
<xsl:value-of select='@c'/><xsl:if test='position()!=last()'><xsl:text>,</xsl:text></xsl:if></xsl:for-each>
<xsl:text> )values(</xsl:text>
<xsl:if test='$gb!="GB"'><xsl:text>:GRID,</xsl:text></xsl:if>
<xsl:if test='($gb!="GB") and ($gb!="B")'><xsl:text>:BRID</xsl:text><xsl:if test='count(/d/ww/w)>0'>,</xsl:if></xsl:if>
<xsl:for-each select='w'>
<xsl:choose>
<xsl:when test='@c=$keyName'>0</xsl:when>
<xsl:otherwise><xsl:text>:</xsl:text><xsl:value-of select='@c'/>$<xsl:value-of select="$uid"/></xsl:otherwise>
</xsl:choose>
<xsl:if test='position()!=last()'><xsl:text>,</xsl:text></xsl:if>
</xsl:for-each>
<xsl:text>);&#10;</xsl:text>
</xsl:when>

<xsl:when test="@a='d'">
<xsl:variable name='keyName' select='w/@c'/>
<xsl:variable name='gb' select='string(/d/i/gb)'/>
<xsl:variable name='keyName1' select='w[@k]/@c'/>
<xsl:text>delete from </xsl:text><xsl:value-of select='$table'/><xsl:text> where </xsl:text>
<xsl:value-of select='$keyName1'/>=:<xsl:value-of select='$keyName1'/>$<xsl:value-of select="$uid"/><xsl:text> </xsl:text>
<xsl:if test='$gb!="GB"'><xsl:text>and GRID=:GRID</xsl:text></xsl:if>
<xsl:if test='($gb!="GB") and ($gb!="B")'><xsl:text>and (BRID=:BRID or BRID=0) </xsl:text></xsl:if>
<xsl:text>;&#10;</xsl:text>
<!--	<xsl:text>&#127;</xsl:text><xsl:value-of select='$keyName'/>$<xsl:value-of select="$uid"/>=<xsl:value-of select='w[@k]'/><xsl:text>&#10;</xsl:text>-->
</xsl:when>
		</xsl:choose>
		</xsl:for-each> 
		<xsl:choose>
			<xsl:when test="d/i/s2"><xsl:value-of select="d/i/s2"/><xsl:text>&#10;</xsl:text></xsl:when>
			<xsl:otherwise><xsl:text>end;&#10;</xsl:text></xsl:otherwise>
		</xsl:choose>
<xsl:for-each select="d/ww/s">
	<xsl:variable name="uid"><xsl:value-of select="position()"/><xsl:value-of select="@a"/></xsl:variable>
	<xsl:variable name='keyName' select='w[@k]/@c'/><xsl:choose>
	<xsl:when test="@a='u'">
		<!--<xsl:text>&#127;</xsl:text><xsl:value-of select='$keyName'/>$<xsl:value-of select="$uid"/>=<xsl:value-of select='w[@k]'/><xsl:text>&#10;</xsl:text>-->
		<xsl:for-each select='w[not(.="" and @k)]'>
			<xsl:text>&#127;</xsl:text><xsl:value-of select='@c'/>$<xsl:value-of select="$uid"/>=<xsl:value-of select='.'/><xsl:text>&#10;</xsl:text>
		</xsl:for-each>
	</xsl:when>
	<xsl:when test="@a='i'">
		<xsl:for-each select='w'>
		<xsl:choose>
			<xsl:when test='@c=$keyName'><!--<xsl:text>&#127;OBJ_ID_</xsl:text><xsl:value-of select="$uid"/>=0&#10;--></xsl:when>
			<xsl:otherwise><xsl:text>&#127;</xsl:text><xsl:value-of select='@c'/>$<xsl:value-of select="$uid"/>=<xsl:value-of select='.'/><xsl:text>&#10;</xsl:text></xsl:otherwise>
		</xsl:choose>
		</xsl:for-each>
	</xsl:when>
	<xsl:when test="@a='d'"><xsl:text>&#127;</xsl:text><xsl:value-of select='$keyName'/>$<xsl:value-of select="$uid"/>=<xsl:value-of select='w[@k]'/><xsl:text>&#10;</xsl:text>
	</xsl:when>
	</xsl:choose>
</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>