		
		<xsl:variable name="o" select="/d/i/o"/>
		<xsl:variable name="oa" select="/d/i/oa"/>
		<xsl:variable name="oid" select="/d/i/oid"/>
		<xsl:variable name="oname" select="/d/i/oname"/>
		<xsl:variable name="s" select="/d/i/s"/>
		<xsl:variable name="sti" select="/d/i/sti"/>
		<xsl:variable name="pn" select="/d/i/pn"/>
		<xsl:variable name="ps" select="(/d/i/ps)"/>
		<xsl:variable name="RoID" select="/d/i/ro"/>
		<xsl:variable name="UsID" select="/d/i/ui"/>
		<xsl:variable name="isPrint" select="/d/i/p!=''"/>
		<xsl:variable name="GroupPeriod" select="/d/i/gp"/>
		<xsl:variable name="GroupStartDate" select="/d/i/gd"/>
		<xsl:variable name="FormatHour" select="string(/d/i/ghf)"/>
		<xsl:variable name="FormatCrs" select="string('###,##0.00')"/>	
		<xsl:variable name="y" select="/d/i/y"/>
		<xsl:variable name="m" select="/d/i/m"/>
		<xsl:variable name="d" select="/d/i/d"/>
		<xsl:variable name="uid" select="/d/i/uid"/>
		<xsl:decimal-format name="non" decimal-separator="." grouping-separator=","  NaN=""/>
		<xsl:decimal-format name="nan" decimal-separator="." grouping-separator=","  NaN="0.00"/>
		
		<xsl:template match='@h'>
			<xsl:variable name="key"><xsl:number count="c"/></xsl:variable>
			<xsl:variable name="name" select="parent::*/./text()"/>
			<xsl:variable name="type" select="parent::*/./@t"/>
			<xsl:variable name="value"><xsl:value-of select='ancestor::*/rr/r/@*[position()=$key]'/></xsl:variable>
				<xsl:choose>
					<xsl:when test="$name='SYSTEM'"><xsl:choose><xsl:when test="$value='Y'"><img src="/tts/i/i/ico_flag.gif" width="7" height="12"/>Yes</xsl:when><xsl:when test=".='N'">No</xsl:when></xsl:choose></xsl:when>
					<xsl:when test="$name='ACTIVE'"><xsl:choose><xsl:when test="$value='Y'">Yes</xsl:when><xsl:when test="$value='N'">No</xsl:when></xsl:choose></xsl:when>
					<xsl:when test="$type='MM/DD/YYYY'"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="$value"/></xsl:call-template></xsl:when>
					<xsl:when test="$type='CURRENCY'"><xsl:value-of select="format-number($value,$FormatCrs,'non')"/></xsl:when>
					<xsl:when test="contains($name,'HOURS') or $name='TOTAL' or $name='LEFT_PO_HOURS' or $name='INVOICED_PO_HOURS' or $name='INSURANCE' or $name='OVERHEAD' or $name='ER_TAX'"><xsl:value-of select="format-number($value,$FormatHour,'non')"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="$value"/></xsl:otherwise>
				</xsl:choose>
		</xsl:template>

		<xsl:template match='@a | @b | @c | @d | @e | @f | @g | @i | @j | @k | @l | @m | @n'>
			<xsl:variable name='pos' select="position()+1"/>
			<xsl:variable name="ccs" select="parent::*/parent::*/parent::*/cc/c[$pos]"/>
			<xsl:variable name="key"><xsl:number count="rr/r"/></xsl:variable><xsl:variable name="class">lst<xsl:value-of select="floor($key mod 2)"/><xsl:if test="@f=''">new</xsl:if></xsl:variable>
			<xsl:variable name="name" select="$ccs/."/>
			<xsl:variable name="type" select="$ccs/@t"/>
			<xsl:variable name="privilege" select="/d/privileges/rr/r[$name=@a]/@b"/>
			<xsl:variable name="align">
				<xsl:choose>
					<xsl:when test="$ccs/@a!=''"><xsl:value-of select="$ccs/@a"/></xsl:when>
					<xsl:when test="contains($name,'SUM') or contains($name,'AMOUNT') or contains($name,'AMT_') or contains($name,'HOURS')">right</xsl:when>
				</xsl:choose>
			</xsl:variable>
			<xsl:if test="not($privilege='N')">
				<td class="{$class}" align="{$align}">
					<xsl:choose>
						<xsl:when test="$name='SYSTEM'"><xsl:choose><xsl:when test=".='Y'"><img src="/tts/i/i/ico_flag.gif" width="7" height="12"/>Yes</xsl:when><xsl:when test=".='N'">No</xsl:when></xsl:choose></xsl:when>
						<xsl:when test="$name='ACTIVE'"><xsl:choose><xsl:when test=".='Y'">Yes</xsl:when><xsl:when test=".='N'">No</xsl:when></xsl:choose></xsl:when>
						<xsl:when test="$type='MM/DD/YYYY'"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="."/></xsl:call-template></xsl:when>
						<xsl:when test="$type='CURRENCY'"><xsl:value-of select="format-number(.,$FormatCrs,'non')"/></xsl:when>
						<xsl:when test="contains($name,'HOURS') or $name='TOTAL'"><xsl:value-of select="format-number(.,$FormatHour,'nan')"/></xsl:when>
						<xsl:when test="contains($name,'SUM') or contains($name,'AMOUNT') or contains($name,'AMT_')"><xsl:value-of select="format-number(.,$FormatCrs,'nan')"/></xsl:when>
						<xsl:otherwise><xsl:value-of select="."/></xsl:otherwise>
					</xsl:choose>
				</td>
			</xsl:if>
		</xsl:template>

	<xsl:template name="field">
		<xsl:param name="name"/>
		<xsl:param name="field_name" select="$name"/>
		<xsl:param name="ro"/>
		<xsl:variable name="type" select="/d/privileges/rr/r[@a=$name]/@d"/>
		<xsl:variable name="priv" select="/d/privileges/rr/r[@a=$name]/@b"/>
		<xsl:variable name="value"><xsl:apply-templates select="/d/cc/c[.=$name]/@h"/></xsl:variable>
		<xsl:variable name="align"><xsl:if test="contains($name,'_RATE') or contains($name,'HOURS') or contains($name,'AMOUNT')  or contains($name,'AMT_')">right</xsl:if></xsl:variable>
		<xsl:variable name="required" select="/d/privileges/rr/r[@a=$name]/@e='Y'"/>
		<xsl:if test="not($priv='N')"><tr><td>
		<xsl:value-of select="/d/privileges/rr/r[@a=$name]/@c"/>:<xsl:if test="$required"><xsl:call-template name="ico_req"/></xsl:if></td><td class="i">
		<xsl:choose>
			<xsl:when test="$type='R' or $priv='V' or $ro='Y'"><xsl:value-of select="$value"/></xsl:when>
			<xsl:when test="$type='T'"><input name="{$field_name}"  type="text" style="width:100%; text-align:{$align}" maxlength="50" value="{$value}"><xsl:if test="$required"><xsl:attribute name="id">r</xsl:attribute></xsl:if></input></xsl:when>
		</xsl:choose>
		</td></tr></xsl:if>
	</xsl:template>

		<xsl:template name="select">
			<xsl:param name="name"/>
			<xsl:param name="nodes"/>
			<xsl:param name="value"/>
			<xsl:param name="id"/>
			<select name="{$name}" id="{$id}"  style="width:100%">
				<option value=""> </option>
				<xsl:for-each select="$nodes/rr/r">
					<option value="{@a}">
					<xsl:if test="$value=@a">
						<xsl:attribute name="selected"/>
					</xsl:if>
					<xsl:value-of select="@b"/></option>
				</xsl:for-each>
			</select>
		</xsl:template>


    <xsl:template name="FormatDate">
			<xsl:param name="date"/>
			<xsl:param name="format" select="string('MM/dd/yyyy')"/>
			<xsl:variable name="m" select="substring($date,5,2)"/>
			<xsl:variable name="d" select="substring($date,7,4)"/>
			<xsl:variable name="y" select="substring($date,1,4)"/>
			<xsl:value-of select="ms:format-date(concat($y,'-',$m,'-',$d),string($format))"/>
		</xsl:template>
		
		<xsl:template name="MonthName">
			<xsl:param name="n"/>
			<xsl:variable name="dateStr">2000-<xsl:value-of select="format-number($n, '00')"/>-16</xsl:variable>
			<xsl:value-of select="ms:format-date($dateStr,'MMMM')"/>
		</xsl:template>

		<xsl:template name="FormatWeekDay">
			<xsl:param name="date"/>
			<xsl:variable name="m" select="substring($date,5,2)"/>
			<xsl:variable name="d" select="substring($date,7,4)"/>
			<xsl:variable name="y" select="substring($date,1,4)"/>
			<xsl:value-of select="ms:format-date(concat($y,'-',$m,'-',$d),'ddd')"/><br/>
		</xsl:template>
		
		
		<xsl:template name="strTable">
			<xsl:param name="title"/>
			<xsl:param name="width" select="300"/>
			<xsl:param name="color" select="string('#F6F6F6')"/>
			<xsl:text disable-output-escaping="yes">&lt;div id="box" style="width:</xsl:text><xsl:value-of select="$width"/>px;background-color:<xsl:value-of select="$color"/><xsl:text disable-output-escaping="yes">;">&lt;div class="btop">&lt;div>&lt;/div>&lt;/div>&lt;div class="bcenter">&lt;h4></xsl:text><xsl:value-of select="$title"/><xsl:text disable-output-escaping="yes">&lt;/h4></xsl:text>
		</xsl:template>

		<xsl:template name="endTable">
			<xsl:text disable-output-escaping="yes">&lt;/div>&lt;div class="bbot">&lt;div>&lt;/div>&lt;/div>&lt;/div></xsl:text>
		</xsl:template>
		
		<xsl:template name="ico_req"><img src="/tts/i/i/ico_req.gif" width="3" height="3" align="texttop" alt="Required"/></xsl:template>
		
		<msxsl:script language='JScript' implements-prefix='js'>
			 function nextDate(date,i) {
					var d=new Date(date.substring(0,4),(parseInt(date.substring(4,6),10)-1),parseInt(date.substring(6,8),10)+((!i)?1:i));
					s=''+d.getFullYear()+get2Pos(d.getMonth()+1)+get2Pos(d.getDate());
					return s;
			 }
			 function get2Pos(val) {
					return (val&lt;10?"0"+val:val);
			 }
		</msxsl:script>

		<xsl:template name="Navigation">
			<xsl:param name="Buttons"/>
			<xsl:param name="addAction" select="string('')"/>
			<xsl:text disable-output-escaping="yes">&lt;/div></xsl:text>
			<div id="navigation">
				<table id="navigation" cellpadding="0" cellspacing="0" border="0" width="100%"><tr>
					<td height="100%" align="center"><nobr style="text-transform : capitalize;"><xsl:value-of select="$oa"/></nobr></td>
					<td align="right">
						<xsl:apply-templates select="msxsl:node-set($Buttons)/button"/>
						<!--&#160;<button onclick="execGoto('file?s={$s}&amp;oid=36','200,400',true)" accesskey="h"><img src="/tts/i/i/ico_help.gif" border="0"/></button>-->
					</td>
				</tr></table>		
			</div>		
		</xsl:template>

    <xsl:template match="button">
    	<button accesskey="{child::u}" onclick="{@onclick}" id="np" name="{@name}"><xsl:if test="@disabled"><xsl:attribute name="disabled"/></xsl:if>
			<xsl:variable name="cnt" select="count(child::text())-1"/>
			<xsl:value-of select="child::text()[position()=($cnt)]"/><u><xsl:value-of select="child::u"/></u><xsl:value-of select="child::text()[position()!=($cnt)]"/>
    	</button><xsl:if test="position()!=last()">&#160;</xsl:if>
    </xsl:template>
		<xsl:template name="popcal">
			<xsl:param name="ctrl"/>
			<img src="/tts/i/i/ico_cal.gif" style="position:relative;top:3px;left:-2px;cursor:hand;" onclick="gfPop.fPopCalendar({$ctrl});window.frames['gToday:calendar:/tts/i/j/calendar.js'].focus();return false;" />						
		</xsl:template>