		<xsl:variable name="s" select="/d/i/s"/>
		<xsl:variable name="sti" select="/d/i/sti"/>
		<xsl:variable name="pn"><xsl:choose><xsl:when test="/d/i/pn"><xsl:value-of select="/d/i/pn"/></xsl:when><xsl:otherwise>1</xsl:otherwise></xsl:choose></xsl:variable>
		<xsl:variable name="ps"><xsl:choose><xsl:when test="/d/i/ps"><xsl:value-of select="/d/i/ps"/></xsl:when><xsl:otherwise>99999</xsl:otherwise></xsl:choose></xsl:variable>
		<xsl:variable name="RoID" select="/d/i/ro"/>
		<xsl:variable name="UsID" select="/d/i/ui"/>
		<xsl:variable name="sc" select="/d/i/sc"/>
		<xsl:variable name="so" select="/d/i/so"/>
		<xsl:variable name="y" select="/d/i/y"/>
		<xsl:variable name="m" select="/d/i/m"/>
		<xsl:variable name="d" select="/d/i/d"/>
		<xsl:variable name="pr" select="/d/i/pr"/> <!--period -->
		
		
		<xsl:variable name="o" select="/d/i/o"/>
		<xsl:variable name="oa" select="/d/i/oa"/>
		<xsl:variable name="pages" select="/d/i/pages"/>
		<xsl:variable name="oid" select="/d/i/oid"/>
		<xsl:variable name="FormatHour" select="string(/d/i/hf)"/>
		<xsl:variable name="FormatCrs" select="string('###,##0.00')"/>	

		<xsl:key name='field' match='/d/cc/c' use='text()'/>

		<xsl:variable name="StartDate" select="/d/i/sd"/>
		<xsl:variable name="EndDate" select="/d/i/ed"/>
	  <xsl:variable name="Period" select="/d/i/pd"/>
		<xsl:decimal-format name="non" decimal-separator="." grouping-separator=","  NaN=""/>
		<xsl:decimal-format name="nan" decimal-separator="." grouping-separator=","  NaN="0.00"/>

		<xsl:template name="Navigation">
			<xsl:param name="Buttons"/>
			<xsl:param name="addAction" select="string('')"/>
			<xsl:param name="ObjectName" select="$o"/>
			<xsl:param name="Title"/>
			<xsl:text disable-output-escaping="yes">&lt;/div></xsl:text>
			<div id="navigation">
			<table cellpadding="0" cellspacing="0" border="0" width="100%"><tr>
				<td height="100%">
				<nobr class="pn">
					<xsl:if test="$pages='Y'">
						<button onclick="execSearch({($pn)-1})" class="n"><xsl:if test="$pn=1"><xsl:attribute name="disabled"/></xsl:if>3</button>&#160;
						<button onclick="execSearch({($pn)+1})"  class="n"><xsl:if test="count(/d/rr/r)&lt;=$ps"><xsl:attribute name="disabled"/></xsl:if>4</button>&#160;
						<xsl:choose><xsl:when test="count(/d/rr/r)>0">Page&#160;<xsl:value-of select="$pn"/></xsl:when><xsl:otherwise>Total matches: 0</xsl:otherwise></xsl:choose>
					</xsl:if>
				</nobr>
				</td>
				<td align="center"><nobr style="text-transform : capitalize;"><xsl:value-of select="$Title"/></nobr></td>
				<td>
					<form name="frm" action="?s={$s}&amp;sti={$sti}&amp;pn={$pn}&amp;y={$y}&amp;m={$m}&amp;d={$d}" method="post">
						<input type="hidden" name="oid" id="np"/>
						<input type="hidden" name="xml" id="np"/>
						<input type="hidden" name="xmll" id="np"/>
						<input type="hidden" name="xmlm" id="np"/>
						<input type="hidden" name="ids" id="np"/>
					</form>
					<form name="frmXML" action="list?o={$ObjectName}{$addAction}&amp;s={$s}&amp;sti={$sti}&amp;y={$y}&amp;m={$m}&amp;d={$d}&amp;pr={$pr}" method="post">
						<input type="hidden" name="sc" value="{$sc}"/>
						<input type="hidden" name="so" value="{$so}"/>
						<input type="hidden" name="xml" value="{/d/i/sq}"/>
					</form>
				</td>
				<td align="right"><xsl:apply-templates select="msxsl:node-set($Buttons)/button"/><!--&#160;<button onclick="execGoto('/tts/template.htm','200,400',true)"><img src="/tts/i/i/ico_help.gif" border="0"/></button>-->
				</td>
			</tr></table></div>		
		</xsl:template>
		
		<xsl:template match='@a | @b | @c | @d | @e | @f | @g | @h | @i | @j | @k | @l | @m | @n'>
			<xsl:param name='ro' select='N'/>
			<xsl:param name='row_id' select='../@a'/>
			<xsl:variable name='pos' select="position()+1"/>
			<xsl:variable name="ccs" select="parent::*/parent::*/parent::*/cc/c[$pos]"/>
			<xsl:variable name="key"><xsl:number count="rr/r"/></xsl:variable><xsl:variable name="class">lst<xsl:value-of select="floor($key mod 2)"/><xsl:if test="@f=''">new</xsl:if></xsl:variable>
			<xsl:variable name="name" select="$ccs/."/>
			<xsl:variable name="fname" select="$ccs/@h"/>
			<xsl:variable name="type" select="$ccs/@t"/>
			<xsl:variable name="privilege" select="/d/privileges/d/rr/r[$name=@a]/@b"/>
			<xsl:variable name="align">
				<xsl:choose>
					<xsl:when test="$ccs/@a!=''"><xsl:value-of select="$ccs/@a"/></xsl:when>
					<xsl:when test="$name='SUM' or $name='TOTAL_SUM' or $name='TOTAL' or contains($name,'HOURS')">right</xsl:when>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="ctrlType" select="/d/oo/hh/h[@f=$ccs/text()]/@t"/>
			<xsl:variable name="ctrlName" select="/d/oo/hh/h[@f=$ccs/text()]/@c"/>
			<xsl:variable name="value">
				<xsl:choose>	
					<xsl:when test="$name='SYSTEM'"><xsl:choose><xsl:when test=".='Y'"><img src="/tts/i/i/ico_flag.gif" width="7" height="12"/>Yes</xsl:when><xsl:when test=".='N'">No</xsl:when></xsl:choose></xsl:when>
					<xsl:when test="$name='ACTIVE'"><xsl:choose><xsl:when test=".='Y'">Yes</xsl:when><xsl:when test=".='N'">No</xsl:when></xsl:choose></xsl:when>
					<xsl:when test="$type='MM/DD/YYYY'"><xsl:call-template name="FormatDate"><xsl:with-param name="date" select="."/></xsl:call-template></xsl:when>
					<xsl:when test="$type='CURRENCY'"><xsl:value-of select="format-number(.,$FormatCrs,'non')"/></xsl:when>
					<xsl:when test="contains($name,'HOURS') or $name='TOTAL'"><xsl:value-of select="format-number(.,$FormatHour,'non')"/></xsl:when>
					<xsl:when test="contains($name,'SUM') or contains($name,'AMOUNT') or contains($name, 'AMT_')"><xsl:value-of select="format-number(.,$FormatCrs,'non')"/></xsl:when>
					<xsl:when test="$name='MARK_UP'"><xsl:value-of select="format-number(.,'0.00%','non')"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="."/></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:if test="not($privilege='N')">
				<td class="{$class}" align="{$align}">
					<xsl:choose>
						<xsl:when test="$ctrlType='input' and not($ro='Y') and not($privilege='V')">
							<input type="text" name="{$ctrlName}_{$row_id}" style="width:100%;text-align:{$align}" value="{$value}"/>
						</xsl:when>
						<xsl:when test="$ctrlType='checkbox' and  not($ro='Y') and not($privilege='V')">
							<input type="checkbox" name="{$ctrlName}_{$row_id}" value="{$value}"/>
						</xsl:when>
						<xsl:when test="$ctrlType='hidden' and  not($ro='Y')">
							<input type="hidden" name="{$ctrlName}_{$row_id}" value="{$value}"/><xsl:value-of select="$value"/>
						</xsl:when>
						<xsl:when test="$ctrlType='invisible'">
							<input type="hidden" name="{$ctrlName}_{$row_id}" value="{$value}"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$value"/>
						</xsl:otherwise>
					</xsl:choose>
				</td>
			</xsl:if>
		</xsl:template>

		
		<xsl:template match='h'>
			<xsl:variable name="field" select="@f"/>
			<xsl:variable name="privilege" select="/d/privileges/d/rr/r[$field=@a]/@b"/>
			<xsl:if test="not($privilege='N')">
			<th width="{@w}">
				<xsl:choose>
					<xsl:when test="@sc!=''"><a href="javascript:execSearch(1,'{@sc}')"><xsl:value-of select="."/></a></xsl:when>
					<xsl:otherwise><span><xsl:value-of select="."/></span></xsl:otherwise>
				</xsl:choose>
			</th>
			</xsl:if>
		</xsl:template>

    <xsl:template match="button">
    	<button accesskey="{child::u}" onclick="{@onclick}" id="{@name}" name="{@name}"><xsl:if test="@disabled"><xsl:attribute name="disabled"/></xsl:if>
			<xsl:variable name="cnt" select="count(child::text())-1"/>
			<xsl:value-of select="child::text()[position()=($cnt)]"/><u><xsl:value-of select="child::u"/></u><xsl:value-of select="child::text()[position()!=($cnt)]"/>
    	</button><xsl:if test="position()!=last()">&#160;</xsl:if>
    </xsl:template>
    
    <xsl:template name="FormatDate">
			<xsl:param name="date"/>
			<xsl:param name="format" select="string('MM/dd/yyyy')"/>
			<xsl:variable name="y" select="substring($date,1,4)"/>
			<xsl:variable name="m" select="substring($date,5,2)"/>
			<xsl:variable name="d" select="substring($date,7,4)"/>
			<xsl:value-of select="ms:format-date(concat($y,'-',$m,'-',$d),string($format))"/><br/>
		</xsl:template>
		
		<xsl:template name="MonthName">
			<xsl:param name="n"/>
			<xsl:variable name="dateStr">2000-<xsl:value-of select="format-number($n, '00')"/>-16</xsl:variable>
			<xsl:value-of select="ms:format-date($dateStr,'MMMM')"/>
		</xsl:template>

		<xsl:template name="FormatWeekDay">
			<xsl:param name="date"/>
			<xsl:variable name="m" select="substring($date,5,2)"/>
			<xsl:variable name="d" select="substring($date,7,4)"/>
			<xsl:variable name="y" select="substring($date,1,4)"/>
			<xsl:value-of select="ms:format-date(concat($y,'-',$m,'-',$d),'ddd')"/><br/>
		</xsl:template>
		
		
		<xsl:template name="strTable">
			<xsl:param name="title"/>
			<xsl:param name="width" select="300"/>
			<xsl:param name="color" select="string('#F6F6F6')"/>
			<xsl:text disable-output-escaping="yes">&lt;div id="box" style="width:</xsl:text><xsl:value-of select="$width"/>px;background-color:<xsl:value-of select="$color"/><xsl:text disable-output-escaping="yes">;">&lt;div class="btop">&lt;div>&lt;/div>&lt;/div>&lt;div class="bcenter">&lt;h4></xsl:text><xsl:value-of select="$title"/><xsl:text disable-output-escaping="yes">&lt;/h4></xsl:text>
		</xsl:template>

		<xsl:template name="endTable">
			<xsl:text disable-output-escaping="yes">&lt;/div>&lt;div class="bbot">&lt;div>&lt;/div>&lt;/div>&lt;/div></xsl:text>
		</xsl:template>

		<xsl:template name="ico_req"><img src="/tts/i/i/ico_req.gif" width="3" height="3" align="texttop" alt="Required"/></xsl:template>

		<msxsl:script language='JScript' implements-prefix='js'>
			 function nextDate(date,i) {
			 		var d=date;
					d=new Date(date.substring(0,4),(parseInt(date.substring(4,6),10)-1),parseInt(date.substring(6,8),10)+((!i)?(i==0?0:1):i));
					s=''+d.getFullYear()+get2Pos(d.getMonth()+1)+get2Pos(d.getDate());
					return s;
			 }
			 function get2Pos(val) {
					return (val&lt;10?"0"+val:val);
			 }
		</msxsl:script>

