create or replace trigger "TTS".ACCOUNT_INFO_BIUD
  before insert or update or delete on TTS.ACCOUNT_INFO
  for each row
begin
  if (inserting) and (:new.ACCOUNT_INFO_ID = 0) then
    select TTS.ACCOUNT_INFO_ID_SEQ.nextval into :new.ACCOUNT_INFO_ID from DUAL;
  elsif (updating) and (:new.ACCOUNT_INFO_ID<>:old.ACCOUNT_INFO_ID) then
    raise_application_error(-20000,'Cannot update ACCOUNT_INFO_ID');
  end if;
  if (inserting or updating) then
    :new.UP_PO_NUM:=upper(:new.PO_NUM);
    :new.UP_JOB_TITLE:=upper(:new.JOB_TITLE);
    :new.UP_NAME:=upper(:new.NAME);
    :new.UP_DEPT_NUM:=upper(:new.DEPT_NUM);
    :new.last_updated_date:=sysdate;
    :new.UP_HIRING_MANAGER:=upper(:new.HIRING_MANAGER);
    if (:new.IRA = 'N') then
       :new.IRA_NUM:='';
       :new.IRA_AMOUNT:=null;
     elsif (:new.IRA is null) then 
        :new.IRA:='N';
     end if;
    :new.UP_IRA_NUM:=upper(:new.IRA_NUM);
  end if;

  if (inserting) then
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
  end if;

  if (updating) or (deleting) then
    null;
    insert into tts.account_info_history
      (account_info_id, login_user_id, name, job_title, dept_num, hire_date, termination_date, po_num, po_total_hours, bill_rate, benefits_rate, pay_rate, created_by, creation_date, last_updated_by, last_updated_date, grid, active, up_po_num, start_date, end_date, hiring_manager, pending_hire_date, contract_end_date, insurance, overhead, ira, ira_num, er_tax, ira_amount )
    values
      (:old.account_info_id, :old.login_user_id, :old.name, :old.job_title, :old.dept_num, :old.hire_date, :old.termination_date, :old.po_num, :old.po_total_hours, :old.bill_rate, :old.benefits_rate, :old.pay_rate, :old.created_by, :old.creation_date, :old.last_updated_by, :old.last_updated_date, :old.grid, :old.active, :old.up_po_num, :old.start_date, :old.end_date, :old.hiring_manager,:old.pending_hire_date,  :old.contract_end_date,  :old.insurance,  :old.overhead,  :old.ira,  :old.ira_num,  :old.er_tax, :old.ira_amount );
  end if;
 end ACCOUNT_INFO_BIU;
/
