create or replace trigger "TTS".ACCOUNT_INFO_HISTORY_BI
  before insert on TTS.ACCOUNT_INFO_HISTORY
  for each row
declare
     v_projects_names  varchar2(2000);
     v_supervisors_names varchar2(2000);
begin
  if (inserting) and (:new.ACCOUNT_INFO_HISTORY_ID = 0 or :new.account_info_history_id is null) then
    select TTS.ACCOUNT_INFO_HISTORY_ID_SEQ.nextval into :new.ACCOUNT_INFO_HISTORY_ID from DUAL;
  end if;
  :new.creation_date:=sysdate;
  :new.created_by:=:new.last_updated_by;
  :new.last_updated_date:=sysdate;

  :new.UP_PO_NUM:=upper(:new.PO_NUM);
  :new.UP_JOB_TITLE:=upper(:new.JOB_TITLE);
  :new.UP_NAME:=upper(:new.NAME);
  :new.UP_DEPT_NUM:=upper(:new.DEPT_NUM);
  :new.UP_HIRING_MANAGER:= upper(:new.HIRING_MANAGER);
  if (:new.IRA = 'N') then  
     :new.IRA_NUM:='';
     :new.IRA_AMOUNT:=null; 
  end if;
  :new.UP_IRA_NUM:=upper(:new.IRA_NUM);
  begin
    select sv.supervisors_names into v_supervisors_names from TABLE(tts.sv_report(:new.GRID)) sv where sv.employee=:new.login_user_id;
    :new.supervisors_info:=trim(',' from v_supervisors_names);
     select sv.projects_names into v_projects_names from TABLE(tts.pr_report(:new.GRID)) sv where sv.employee=:new.login_user_id;
    :new.projects_info:=trim(',' from v_projects_names);
  exception 
     when NO_DATA_FOUND then 
     :new.supervisors_info:=null;
     :new.projects_info:=null;  
  end;
  select t.first_name || ' ' || t.last_name into :new.name from tts.login_user t where t.login_user_id=:new.login_user_id;
end ACCOUNT_INFO_HISTORY_BI;
/
