create or replace trigger "TTS".DOCUMENT_BIU
  before insert or update on TTS.DOCUMENT
  for each row
begin
  if (inserting) and (:new.DOCUMENT_ID = 0) then
    select TTS.DOCUMENT_ID_SEQ.nextval into :new.DOCUMENT_ID from DUAL;
  elsif (updating) and (:new.DOCUMENT_ID<>:old.DOCUMENT_ID) then
    raise_application_error(-20000,'Cannot update DOCUMENT_ID');
  end if;
  :new.OBJECT_NAME:=upper(:new.OBJECT_NAME);
  :new.FILE_EXT:=upper(:new.FILE_EXT);
  if (inserting) then
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
  end if;
  :new.last_updated_date:=sysdate;
  

 end DOCUMENT_BIU;
/
