create or replace trigger "TTS".EXP_STATEMENT_BIU
  before insert or update on TTS.EXP_STATEMENT
  for each row
declare
 --
begin
  if (inserting) and (:new.EXP_STATEMENT_ID = 0) then
    select TTS.EXP_STATEMENT_ID_SEQ.nextval into :new.EXP_STATEMENT_ID from DUAL;
  elsif (updating) and (:new.EXP_STATEMENT_ID<>:old.EXP_STATEMENT_ID) then
    raise_application_error(-20000,'Cannot update EXP_STATEMENT_ID');
  end if;
  if (inserting) then
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
  elsif (updating) then
      if(:new.SUBMITTED='Y'  and (:old.SUBMITTED='N' or :old.SUBMITTED is null)) then
        :new.SUBMITTED:= :new.SUBMITTED;
        :new.SUBMITTED_DATE:= sysdate;
      end if;
      if(:new.APPROVED='Y' and (:old.APPROVED='N' or :old.APPROVED is null)) then
        :new.APPROVED_BY:= :new.LAST_UPDATED_BY;
        :new.APPROVED_DATE:= sysdate;
      end if;
      if(:new.PROCESSED='Y' and (:old.PROCESSED='N' or :old.PROCESSED is null)) then
        :new.PROCESSED_BY:= :new.LAST_UPDATED_BY;
        :new.PROCESSED_DATE:= sysdate;
      end if;
      if(:new.REIMBURSED='Y' and (:old.REIMBURSED='N' or :old.REIMBURSED is null)) then
        :new.REIMBURSED_BY:= :new.LAST_UPDATED_BY;
        :new.REIMBURSED_DATE:= sysdate;
      end if;
      if(:new.INVOICE_ID is null and :old.INVOICE_ID is not null) then
        :new.INVOICED:= 'N';
      elsif  (:new.invoice_id is not null) then
         :new.invoiced:='Y';
      end if;
   end if;
  :new.last_updated_date:=sysdate;
 end EXP_STATEMENT_BIU;
/
