create or replace trigger "TTS".EXP_STATEMENT_RECORD_BIU
  before insert or update on TTS.EXP_STATEMENT_RECORD
  for each row
begin
  if (inserting) and (:new.EXP_STATEMENT_RECORD_ID = 0) then
    select TTS.EXP_STATEMENT_RECORD_ID_SEQ.nextval into :new.EXP_STATEMENT_RECORD_ID from DUAL;
  elsif (updating) and (:new.EXP_STATEMENT_RECORD_ID<>:old.EXP_STATEMENT_RECORD_ID) then
    raise_application_error(-20000,'Cannot update EXP_STATEMENT_RECORD_ID');
  end if;
  if (inserting) then
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
  end if;
  :new.last_updated_date:=sysdate;
  
 end EXP_STATEMENT_RECORD_BIU;
/
