create or replace trigger "TTS".FIELD_PRIVILEGE_BIU
  before insert or update on TTS.FIELD_PRIVILEGE
  for each row
begin
  if (inserting) and (:new.FIELD_PRIVILEGE_ID = 0 or :new.FIELD_PRIVILEGE_ID is null)  then
    select TTS.FIELD_PRIVILEGE_ID_SEQ.nextval into :new.FIELD_PRIVILEGE_ID from DUAL;
  elsif (updating) and (:new.FIELD_PRIVILEGE_ID<>:old.FIELD_PRIVILEGE_ID) then
    raise_application_error(-20000,'Cannot update FIELD_PRIVILEGE_ID');
  end if;
  :new.FIELD_NAME:=lower(:new.FIELD_name);
  :new.up_FIELD_ALIAS:=upper(:new.FIELD_ALIAS);
  :new.last_updated_date:=sysdate;
  if (inserting) then
     if(:new.object_privilege_id is not null) then
       select o.object_name into :new.object_name from tts.object_privilege o where o.object_privilege_id=:new.object_privilege_id;
     elsif (:new.object_name is not null) then
       select o.object_privilege_id into :new.object_privilege_id from tts.object_privilege o where o.object_name=:new.object_name;
     end if;     
     
  end if;
 end FIELD_PRIVILEGE_BIU;
/
