create or replace trigger "TTS".IRA_CONTRIB_BIU
  before insert or update on TTS.IRA_CONTRIB
  for each row
begin
  if (inserting) and (:new.IRA_CONTRIB_ID = 0 or :new.ira_contrib_id is null) then
    select TTS.IRA_CONTRIB_ID_SEQ.nextval into :new.IRA_CONTRIB_ID from DUAL;
  elsif (updating) and (:new.IRA_CONTRIB_ID<>:old.IRA_CONTRIB_ID) then
    raise_application_error(-20000,'Cannot update IRA_CONTRIB_ID');
  end if;
  :new.UP_IRA_NUM:=upper(:new.IRA_NUM);

  if (inserting) then 
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
  end if;
  :new.last_updated_date:=sysdate;
 
 end IRA_CONTRIB_BIU;
/
