create or replace trigger "TTS".LOGIN_USER_BIU
  before insert or update on TTS.LOGIN_USER
  for each row
declare
  v_role_type number;
  v_client_id number;
begin
  if (inserting) and ((:new.LOGIN_USER_ID = 0) or (:new.LOGIN_USER_ID is null) )then
    select TTS.LOGIN_USER_ID_SEQ.nextval into :new.LOGIN_USER_ID from DUAL;
  elsif (updating) and (:new.LOGIN_USER_ID<>:old.LOGIN_USER_ID) then
    raise_application_error(-20000,'Cannot update LOGIN_USER_ID');
  end if;  
  :new.LAST_UPDATED_DATE:=sysdate;
  
  :new.UP_FIRST_NAME:=upper(:new.FIRST_NAME);
  :new.UP_MIDDLE_NAME:=upper(:new.MIDDLE_NAME);
  :new.UP_LAST_NAME:=upper(:new.LAST_NAME);
  :new.UP_EMAIL:=upper(:new.EMAIL);
  :new.UP_PHONE:=upper(:new.PHONE);
  :new.UP_STREET_1:=upper(:new.STREET_1);
  :new.UP_STREET_2:=upper(:new.STREET_2);
  :new.UP_CITY:=upper(:new.CITY);
  :new.UP_STATE:=upper(:new.STATE);
  :new.UP_COUNTRY:=upper(:new.COUNTRY);
  :new.ACTIVE:=upper(:new.ACTIVE);
  

  v_role_type:=floor(:new.ROLE_TYPE/POWER(10,LENGTH(TO_CHAR(:new.ROLE_TYPE))-1));
  if (:new.ROLE_TYPE>9) then
  begin
    :new.client_id:= mod(:new.ROLE_TYPE,POWER(10,LENGTH(TO_CHAR(:new.ROLE_TYPE))-1));
    :new.role_type:=v_role_type;
  end;
  end if;
  if (inserting and :new.ROLE_TYPE=4) then
       null;
       select t.client_id into v_client_id from tts.login_user t
       where t.login_user_id=:new.supervisor_id;
       :new.client_id:=v_client_id;
  end if;
  if (:new.role_type!=2 and :old.role_type=2) or (:new.role_type!=5 and :old.role_type=5) then
     :new.client_id:=null;
  end if;
  if(:new.COUNTRY is null) then :new.country:='US'; end if;
  if (inserting) then
     :new.role_id:=:new.role_type;
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
     if(:new.hire_date is null) then :new.hire_date:=trunc(sysdate); end if;
  end if;
  if(:new.termination_date is not null and :old.termination_date is null) then :new.active:='N'; end if;
  if(:new.termination_date is null and :old.termination_date is not null) then :new.active:='Y'; end if;
  if(:new.active='N' and :old.active='Y') then :new.termination_date:=sysdate; end if;
  if(:new.active='Y' and :old.active='N') then :new.termination_date:=null; end if;
  if :new.role_id is null then :new.role_id:=:new.role_type; end if;
  :new.last_updated_date:=sysdate;

end LOGIN_USER_BIU;
/
