create or replace trigger "TTS".MAIL_TEMPLATE_BIUD
  before insert or update or delete on TTS.MAIL_TEMPLATE
  for each row
begin
  if (inserting) and (:new.MAIL_TEMPLATE_ID = 0 or :new.MAIL_TEMPLATE_ID is null) then
    select TTS.MAIL_TEMPLATE_ID_SEQ.nextval into :new.MAIL_TEMPLATE_ID from DUAL;
  elsif (updating) and (:new.MAIL_TEMPLATE_ID<>:old.MAIL_TEMPLATE_ID) then
    raise_application_error(-20000,'Cannot update MAIL_TEMPLATE_ID');
  elsif (deleting and :old.SYSTEM='Y') then
    raise_application_error(-20000,'This is a system mail template that can not be deleted. ');   
  end if;
  if (inserting) or (updating) then
    :new.UP_NAME:=upper(:new.NAME);
    :new.UP_SUBJECT:=upper(:new.SUBJECT);
    :new.format:=upper(:new.format);
    :new.last_updated_date:=sysdate;
    if (inserting) then
      :new.creation_date:=sysdate;
      :new.created_by:=:new.last_updated_by;
    end if;
  end if;
 end MAIL_TEMPLATE_BIUD;
/
