create or replace trigger "TTS".MESSAGE_BIU
  before insert or update on TTS.MESSAGE
  for each row
declare
 --
begin
  if (inserting) and (:new.MESSAGE_ID = 0) then
    select TTS.MESSAGE_ID_SEQ.nextval into :new.MESSAGE_ID from DUAL;
  elsif (updating) and (:new.MESSAGE_ID<>:old.MESSAGE_ID) then
    raise_application_error(-20000,'Cannot update MESSAGE_ID');
  end if;
  if (updating) and (:new.REVIEWED='Y' ) then
     :new.REVIEWED_DATE:=sysdate;
  end if;
  if (inserting) then 
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
     :new.from_active:='Y';
     :new.to_active:='Y';
  end if;
  :new.last_updated_date:=sysdate;
end MESSAGE_BIU;
/
