create or replace trigger "TTS".NOTIFICATION_LOG_BIU
  before insert or update on TTS.NOTIFICATION_LOG
  for each row
begin
  if (inserting) and (:new.NOTIFICATION_LOG_ID = 0) or (:new.NOTIFICATION_LOG_ID is null) then
    select TTS.NOTIFICATION_LOG_ID_SEQ.nextval into :new.NOTIFICATION_LOG_ID from DUAL;
  elsif (updating) and (:new.NOTIFICATION_LOG_ID<>:old.NOTIFICATION_LOG_ID) then
    raise_application_error(-20000,'Cannot update NOTIFICATION_LOG_ID');
  end if;

  if (inserting) then 
     if (:new.send_date is null) then :new.send_date:=sysdate; end if;
     :new.send_by:=:new.last_updated_by;
     :new.active:='Y';
  end if;
  :new.last_updated_date:=sysdate;
end NOTIFICATION_LOG_BIU;
/
