create or replace trigger "TTS".OBJECT_PATH_INFO_BIU
  before insert or update on TTS.OBJECT_PATH_INFO
  for each row
begin
  if (inserting) and (:new.OBJECT_PATH_INFO_ID = 0 or :new.OBJECT_PATH_INFO_ID is null)  then
    select TTS.OBJECT_PRIVILEGE_ID_SEQ.nextval into :new.OBJECT_PATH_INFO_ID from DUAL;
  elsif (updating) and (:new.OBJECT_PATH_INFO_ID<>:old.OBJECT_PATH_INFO_ID) then
    raise_application_error(-20000,'Cannot update OBJECT_PATH_INFO_ID');
  end if;

  if (inserting) then 
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
  end if;
  :new.last_updated_date:=sysdate;
  :new.path_info:=lower(:new.path_info);
  :new.up_title:=upper(:new.title);
 end OBJECT_PATH_INFO_BIU;
/
