create or replace trigger "TTS".OBJECT_PRIVILEGE_BIU
  before insert or update on TTS.OBJECT_PRIVILEGE
  for each row
begin
  if (inserting) and (:new.OBJECT_PRIVILEGE_ID = 0 or :new.OBJECT_PRIVILEGE_ID is null)  then
    select TTS.OBJECT_PRIVILEGE_ID_SEQ.nextval into :new.OBJECT_PRIVILEGE_ID from DUAL;
  elsif (updating) and (:new.OBJECT_PRIVILEGE_ID<>:old.OBJECT_PRIVILEGE_ID) then
    raise_application_error(-20000,'Cannot update OBJECT_PRIVILEGE_ID');
  end if;

  if (inserting) then 
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
  end if;
  :new.last_updated_date:=sysdate;
  :new.object_name:=lower(:new.object_name);
 end OBJECT_PRIVILEGE_BIU;
/
