create or replace trigger "TTS".PROJECT_BIU
  before insert or update on TTS.PROJECT
  for each row
begin
  if (inserting) and (:new.PROJECT_ID = 0) then
    select TTS.PROJECT_ID_SEQ.nextval into :new.PROJECT_ID from DUAL;
  elsif (updating) and (:new.PROJECT_ID<>:old.PROJECT_ID) then
    raise_application_error(-20000,'Cannot update PROJECT_ID');
  end if;
  :new.UP_PROJECT_NAME:=upper(:new.PROJECT_NAME);

  if (inserting) then 
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
  end if;
  :new.last_updated_date:=sysdate;
 
 end PROJECT_BIU;
/
