create or replace trigger TTS.PURCHASE_ORDER_BIU
  before insert or update on TTS.PURCHASE_ORDER
  for each row
begin
  if (inserting) and (:new.PURCHASE_ORDER_ID = 0) then
    select TTS.PURCHASE_ORDER_ID_SEQ.nextval into :new.PURCHASE_ORDER_ID from DUAL;
  elsif (updating) and (:new.PURCHASE_ORDER_ID<>:old.PURCHASE_ORDER_ID) then
     raise_application_error(-20000,'Cannot update PURCHASE_ORDER_ID');
  end if;
  if (inserting) then 
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
  end if;
  :new.last_updated_date:=sysdate;
end PURCHASE_ORDER_BIU;
/
