create or replace trigger "TTS".ROLE_BIUD
  before insert or update or delete on TTS.ROLE
  for each row
begin
  if (inserting) and (:new.ROLE_ID = 0 or :new.ROLE_ID is null)  then
    select TTS.ROLE_ID_SEQ.nextval into :new.ROLE_ID from DUAL;
  elsif (deleting) and :old.system='Y' then
        raise_application_error(-20000,'Cannot delete system role');
  end if;

  if (inserting) then 
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
   end if;
  if inserting or updating then
    :new.last_updated_date:=sysdate;
    :new.up_role_name:=upper(:new.role_name);
   end if;
 end ROLE_BIU;
/
