create or replace trigger "TTS".TRAVEL_PROFILE_BIU
  before insert or update on TTS.TRAVEL_PROFILE
  for each row
begin
  if (inserting) and (:new.TRAVEL_PROFILE_ID = 0 or :new.TRAVEL_PROFILE_ID is null) then
    select TTS.LOGIN_USER_ID_SEQ.nextval into :new.TRAVEL_PROFILE_ID from DUAL;
  elsif (updating) and (:new.TRAVEL_PROFILE_ID<>:old.TRAVEL_PROFILE_ID) then
    raise_application_error(-20000,'Cannot update TRAVEL_PROFILE_ID');
  end if;
  :new.UP_PREFIX:=upper(:new.PREFIX);
	:new.UP_FIRST_NAME:=upper(:new.FIRST_NAME);
	:new.UP_MIDDLE_NAME:=upper(:new.MIDDLE_NAME);
	:new.UP_LAST_NAME:=upper(:new.LAST_NAME);
	:new.UP_SUFFIX:=upper(:new.SUFFIX);
	:new.UP_EMAIL:=upper(:new.EMAIL);
	:new.UP_STREET_1:=upper(:new.STREET_1);
	:new.UP_STREET_2:=upper(:new.STREET_2);
  :new.UP_CITY:=upper(:new.CITY);
  :new.UP_STATE:=upper(:new.STATE);
  :new.UP_COMPANY_NAME:=upper(:new.COMPANY_NAME);
  :new.UP_STREET_1_WORK:=upper(:new.STREET_1_WORK);
  :new.UP_STREET_2_WORK:=upper(:new.STREET_2_WORK);
  :new.UP_CITY_WORK:=upper(:new.CITY_WORK);
  :new.UP_STATE_WORK:=upper(:new.STATE_WORK);

  :new.AIRLINE_MEAL:=upper(:new.AIRLINE_MEAL);
  :new.AIRLINE_SEAT:=upper(:new.AIRLINE_SEAT);
  :new.CAR_TYPE:=upper(:new.CAR_TYPE);
  :new.CC_TYPE:=upper(:new.CC_TYPE);
  :new.HOTEL_ROOM_TYPE:=upper(:new.HOTEL_ROOM_TYPE);
  :new.ACTIVE:=upper(:new.ACTIVE);
   if (inserting) then
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
   end if;
  :new.last_updated_date:=sysdate;
 end TRAVEL_PROFILE_BIU;
/
