create or replace trigger "TTS".W4INFO_BIUD
  before insert or update or delete on TTS.W4INFO
  for each row
begin
  if (inserting) and (:new.W4INFO_ID = 0) then
    select TTS.W4INFO_ID_SEQ.nextval into :new.W4INFO_ID from DUAL;
  elsif (updating) and (:new.W4INFO_ID<>:old.W4INFO_ID) then
     raise_application_error(-20000,'Cannot update W4INFO_ID');
  end if;
 if (inserting or updating) then
   :new.UP_FIRST_NAME:=upper(:new.FIRST_NAME);
   :new.UP_MIDDLE_NAME:=upper(:new.MIDDLE_NAME);
   :new.UP_LAST_NAME:=upper(:new.LAST_NAME);
   :new.UP_STREET1:=upper(:new.STREET_1);
   :new.UP_CITY:=upper(:new.CITY);
   :new.UP_MIDDLE_NAME:=upper(:new.MIDDLE_NAME);
   :new.EXEMPT:=upper(:new.EXEMPT);
   :new.last_updated_date:=sysdate;
  end if;
  
  if (inserting) then 
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
  end if;
  if (updating) or (deleting) then
     insert into tts.w4info_history 
       (w4info_id,login_user_id, year, first_name, middle_name, last_name, street_1, street_2, city, state, zip, country, ssn, married, diff_last_name, count_allowance, add_amount, exempt, grid, last_updated_by)
     values
       (:old.w4info_id,:old.login_user_id, :old.year, :old.first_name, :old.middle_name, :old.last_name, :old.street_1, :old.street_2, :old.city, :old.state, :old.zip, :old.country, :old.ssn, :old.married, :old.diff_last_name, :old.count_allowance, :old.add_amount, :old.exempt, :old.grid, :old.last_updated_by);
  end if;

  
end W4INFO_BIU;





/*
create or replace trigger "TTS".ACCOUNT_INFO_BIUD
  before insert or update or delete on TTS.ACCOUNT_INFO
  for each row
begin
  if (inserting) and (:new.ACCOUNT_INFO_ID = 0) then
    select TTS.ACCOUNT_INFO_ID_SEQ.nextval into :new.ACCOUNT_INFO_ID from DUAL;
  elsif (updating) and (:new.ACCOUNT_INFO_ID<>:old.ACCOUNT_INFO_ID) then
    raise_application_error(-20000,'Cannot update ACCOUNT_INFO_ID');
  end if;
 if (updating) or (deleting) then
    null;
    insert into tts.account_info_history
      (account_info_id, login_user_id, name, job_title, dept_num, hire_date, termination_date, po_num, po_total_hours, bill_rate, benefits_rate, pay_rate, created_by, creation_date, last_updated_by, last_updated_date, grid, active, up_po_num, start_date, end_date, hiring_manager, contract_end_date, insurance, overhead, ira, ira_num, er_tax )
    values
      (:old.account_info_id, :old.login_user_id, :old.name, :old.job_title, :old.dept_num, :old.hire_date, :old.termination_date, :old.po_num, :old.po_total_hours, :old.bill_rate, :old.benefits_rate, :old.pay_rate, :old.created_by, :old.creation_date, :old.last_updated_by, :old.last_updated_date, :old.grid, :old.active, :old.up_po_num, :old.start_date, :old.end_date, :old.hiring_manager, :old.contract_end_date,  :old.insurance,  :old.overhead,  :old.ira,  :old.ira_num,  :old.er_tax );
  end if;
 end ACCOUNT_INFO_BIU;

*/
/
