create or replace trigger "TTS".WORKED_HOUR_BIU
  before insert or update on TTS.WORKED_HOUR
  for each row
begin
  if (inserting) and (:new.WORKED_HOUR_ID = 0) or (:new.WORKED_HOUR_ID is null) then
    select TTS.WORKED_HOUR_ID_SEQ.nextval into :new.WORKED_HOUR_ID from DUAL;
  elsif (updating) and (:new.WORKED_HOUR_ID<>:old.WORKED_HOUR_ID) then
    raise_application_error(-20000,'Cannot update WORKED_HOUR_ID');
  end if;

  if :new.category is null then :new.category:='R'; end if;
  if :new.submitted is null then :new.submitted:='N'; end if;
  if :new.approved is null then :new.approved:='N'; end if;
  if :new.invoiced is null or :new.invoice_id is null then :new.invoiced:='N'; end if;
  :new.last_updated_date:=sysdate;
  :new.total:= ROUND(:new.total,2);
  if (inserting) then
     :new.creation_date:=sysdate;
     :new.created_by:=:new.last_updated_by;
  elsif (updating) then
      if :new.submitted='Y' and (:old.submitted='N' or :old.submitted is  null) then
         :new.submitted_date:=sysdate;
      elsif  :new.approved='Y' and (:old.approved='N' or :old.approved is  null) then
         :new.approved_date:=sysdate;
         :new.approved_by:=:new.last_updated_by;
      elsif :new.processed='Y' and (:old.processed='N'or :old.processed is  null) then                                  
        :new.processed_date:=sysdate;
        :new.processed_by:=:new.last_updated_by;
      end if;        
  end if;
  
 end WORKED_HOUR_BIU;
/
