create or replace procedure tts.hproject_report(
       p_login_user in number, 
       p_start_date in date, 
       p_end_date in date, 
       p_grid in number) 
is
  v_project_names varchar(1000);
begin
  for s in (
    select  p.project_name 
    from  tts.login_user_project up, tts.project p, tts.worked_hour t
    where 
    up.login_user_id(+)=t.login_user_id
    and up.project_id (+)= t.project_id
    and p.project_id(+)=up.project_id
    and up.active='N'
    and t.submitted='N'
    and p.active='Y'
    and t.track_date between p_start_date and p_end_date
    and t.login_user_id=p_login_user
    and p.grid=p_grid
    and t.grid=p_grid
    group by p.project_name
  )
  loop
     v_project_names:=(v_project_names||s.project_name||',');
  end loop;
  v_project_names:=trim(',' from v_project_names);
  if(length(v_project_names)>0) then
    raise_application_error(-20000,  'You cannot submit your hours for approval because there are project(s) with entered hours for this period that have been set to invisible. Please go to Display Preferences and set these project(s): ' || v_project_names || ' to "show" by clicking the checkbox.');                                                         
  end if;
end;
/
