create or replace function tts.pr_report(p_grid in number) return tts.t_pr_report_item_list
pipelined deterministic is
  v_pr_report_item TTS.t_pr_report_item :=TTS.t_pr_report_item(null,null,null);
begin
  for e in (
    select 
      lup.login_user_id as employee
    from
      tts.login_user slu,
      tts.login_user_project lup
     where
      slu.grid=p_grid
      and lup.grid=p_grid
      and slu.login_user_id=lup.login_user_id
    group by
      lup.login_user_id
  ) loop     
    
    v_pr_report_item.employee:=e.employee;
    v_pr_report_item.projects:=null;
    v_pr_report_item.projects_names:=null;
  
    for p in (
      select 
        p.project_id,
        p.project_name
      from
        tts.login_user lu, 
        tts.login_user_project lup,
        tts.project p
      where
        lu.grid=p_grid
        and lu.login_user_id=lup.login_user_id
        and p.project_id=lup.project_id
        and lu.login_user_id=e.employee
      group by
        p.project_id,
        p.project_name
       order by project_id
   ) loop
      null;
      v_pr_report_item.projects:=v_pr_report_item.projects || p.project_id || ', ';
      v_pr_report_item.projects_names:=v_pr_report_item.projects_names || p.project_name||', ';
    end loop;
    v_pr_report_item.projects:=trim(',' from v_pr_report_item.projects);
    v_pr_report_item.projects_names:=trim(' ' from v_pr_report_item.projects_names);
    v_pr_report_item.projects_names:=trim(',' from v_pr_report_item.projects_names);
    pipe row(v_pr_report_item);
  end loop; 
  return;
end pr_report;
/
