create or replace function tts.sv_report(p_grid in number) return tts.t_sv_report_item_list
pipelined deterministic is
  v_sv_report_item TTS.t_sv_report_item :=TTS.t_sv_report_item(null,null,null);
begin
  for e in (
    select 
      lup.login_user_id as employee
    from
      tts.login_user slu,
      tts.supervisor_project sp,
      tts.login_user_project lup
     where
      lup.grid=p_grid
      and sp.grid=p_grid
      and slu.grid=p_grid
      and sp.project_id=lup.project_id
      and slu.login_user_id=sp.supervisor_id
    group by
      lup.login_user_id
  ) loop     
    
    v_sv_report_item.employee:=e.employee;
    v_sv_report_item.supervisors:=null;
    v_sv_report_item.supervisors_names:=null;
  
    for s in (
      select 
        sp.supervisor_id as supervisor,
        slu.first_name || ' '|| slu.last_name as supervisor_name
      from
        tts.login_user slu, 
        tts.supervisor_project sp,
        tts.login_user_project lup,
        tts.login_user lu
      where
        lu.grid=p_grid
        and slu.login_user_id=sp.supervisor_id
        and lup.login_user_id=lu.login_user_id
        and sp.project_id=lup.project_id
        and lu.login_user_id=e.employee
        and slu.role_type=2
      group by
        sp.supervisor_id,
        slu.first_name || ' '|| slu.last_name
       order by supervisor
   ) loop
      null;
      v_sv_report_item.supervisors:=v_sv_report_item.supervisors||s.supervisor||',';
      v_sv_report_item.supervisors_names:=v_sv_report_item.supervisors_names || s.supervisor_name||',';
    end loop;
    v_sv_report_item.supervisors:=trim(',' from v_sv_report_item.supervisors);
    v_sv_report_item.supervisors_names:=trim(',' from v_sv_report_item.supervisors_names);
    pipe row(v_sv_report_item);
  end loop; 
  return;
end sv_report;
/
